SystemOrganization addCategory: #SeasideGallery!
SystemOrganization addCategory: #'SeasideGallery-Views'!
SystemOrganization addCategory: #'SeasideGallery-Model'!
SystemOrganization addCategory: #'SeasideGallery-Util'!
SystemOrganization addCategory: #'SeasideGallery-Tests'!

WAComponent subclass: #SgComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgComponent class methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:00:40.581'!
appName

	^ 'Seaside Gallery'! !

!SgComponent class methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:01:00.834'!
styleSheet

	^ 'style.css'! !

!SgComponent methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:06:28.656'!
updateRoot: anHtmlRoot
 
	super updateRoot: anHtmlRoot.
	anHtmlRoot title: self class appName.
	anHtmlRoot stylesheet url: SgFilePool / self class styleSheet! !

SgComponent subclass: #SgLogin
	instanceVariableNames: 'username password messenger'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgLogin methodsFor: 'as yet unclassified' stamp: 'LT 11/3/2010 11:54:01.809'!
children

	^ Array with: self messenger.! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'LT 11/3/2010 11:53:07.831'!
initialize

	super initialize.
	self messenger: SgMessenger new..! !

!SgLogin methodsFor: 'accessing' stamp: 'LT 11/3/2010 11:52:53.207'!
messenger
	^ messenger! !

!SgLogin methodsFor: 'accessing' stamp: 'LT 11/3/2010 11:52:57.167'!
messenger: anObject
	messenger := anObject! !

!SgLogin methodsFor: 'accessing' stamp: 'HK 11/1/2010 10:19:29.322'!
password
	^ password! !

!SgLogin methodsFor: 'accessing' stamp: 'HK 11/1/2010 10:19:29.334'!
password: anObject
	password := anObject! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'HK 11/3/2010 10:41:57.74'!
renderContentOn: html	
	
	html form: 
		[self
			renderHeadingOn: html;
			renderMessageComponentOn: html;
			renderUserNameOn: html;
			renderPasswordInputOn: html;
			renderSubmitButtonOn: html;
			renderRegisterLinkOn: html].! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 10:24:13.242'!
renderHeadingOn: html

	html heading: 'Login'! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'LT 11/3/2010 11:53:57.534'!
renderMessageComponentOn: html

	html render: self messenger.! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:07:42.084'!
renderPasswordInputOn: html

	html div with:
		[ html span 
			class: 'label'; 
			with: 'Password'.
		html span with:
			[ html passwordInput on: #password of: self ]].! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 14:55:05.574'!
renderRegisterLinkOn: html

	html anchor 
		callback: [self answer: #registerUser];
		with: 'Register'.! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'HK 11/3/2010 10:55:19.39'!
renderSubmitButtonOn: html

	html submitButton
		callback: [self tryToLogin];
		with: 'Login'.

	"html div id: 'test'; with: [ html text: 'hello text'].

	html paragraph
		onClick: ((html jQuery id: 'test') effect highlight color: 'green');
		with: 'Login'."! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 14:23:58.113'!
renderUserNameOn: html

	html div with:
		[ html span 
			class: 'label'; 
			with: 'Username'.
		html span with:
			[ html textInput 
				on: #username 
				of: self ]].! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'LT 11/3/2010 11:53:42.766'!
tryToLogin

	| user |
	user := self validateLogin.
	(user isNil)
		ifTrue: [self messenger showMessage: 'Wrong password or username']
		ifFalse: [self answer: user].! !

!SgLogin methodsFor: 'accessing' stamp: 'LT 11/1/2010 14:24:57.732'!
username

	^ username! !

!SgLogin methodsFor: 'accessing' stamp: 'LT 11/1/2010 14:25:05.219'!
username: anObject

	username := anObject! !

!SgLogin methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:13:29.039'!
validateLogin

	| user passwordIsValid |
	user := SgUser 
		find: [ :each | each username = self username]
		ifAbsent: [^ nil].
	passwordIsValid := (user validatePassword: self password).
	passwordIsValid
		ifTrue: [^ user]
		ifFalse: [^ nil]! !

SgComponent subclass: #SgRegister
	instanceVariableNames: 'user password repeatedPassword messenger'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgRegister methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:54:03.357'!
doPasswordsCorrespond

	^ self password = self repeatedPassword! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'LT 11/3/2010 11:53:12.992'!
initialize

	super initialize.
	self
		user: SgUser new;
		messenger: SgMessenger new..! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 16:06:26.647'!
isNewUserValid

	^ self isUserDataCompleted and:
		[ self isUsernameAvailable and:
			[self doPasswordsCorrespond]]! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 16:09:00.003'!
isUserDataCompleted

	self user username ifEmpty: [^ false].
	self user firstName ifEmpty: [^ false].
	self user lastName ifEmpty: [^ false].
	self password ifEmpty: [^ false].
	self repeatedPassword ifEmpty: [^ false].
	^ true! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:56:04.777'!
isUsernameAvailable

	SgUser
		find: [ :each | each username = self user username]
		ifAbsent: [ ^ true ].
	^ false
	! !

!SgRegister methodsFor: 'accessing' stamp: 'LT 11/3/2010 11:53:24.175'!
messenger
	^ messenger! !

!SgRegister methodsFor: 'accessing' stamp: 'LT 11/3/2010 11:53:34.694'!
messenger: anObject
	messenger := anObject! !

!SgRegister methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:51:30.746'!
password
	^ password! !

!SgRegister methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:51:30.756'!
password: anObject
	password := anObject! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'LT 11/3/2010 11:53:52.175'!
registerUser

	self isNewUserValid
		ifTrue:
			[self
				user password: self password;
				save.
			self answer: self user]
		ifFalse:
			[self messenger showMessage: 'Try again']! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 16:02:18.841'!
renderContentOn: html

	html form: 
		[self
			renderMessageComponentOn: html;
			renderUsernameInputOn: html;
			renderFirstNameInputOn: html;
			renderLastNameInputOn: html;
			renderPasswordInputOn: html;
			renderRepeatedPasswordInputOn: html;
			renderSubmitButtonOn: html]. ! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 13:14:23.208'!
renderFirstNameInputOn: html

	html div with: 
		[html span 
			class: 'label';
			with: 'First name'.
		html span with: 
			[html textInput
				on: #firstName
				of: self user]]! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 13:14:50.929'!
renderLastNameInputOn: html

	html div with: 
		[html span 
			class: 'label';
			with: 'Last name'.
		html span with: 
			[html textInput
				on: #lastName
				of: self user]]! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'LT 11/3/2010 11:53:47.39'!
renderMessageComponentOn: html

	html render: self messenger.! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:51:39.698'!
renderPasswordInputOn: html

	html div with: 
		[html span 
			class: 'label';
			with: 'Password'.
		html span with: 
			[html passwordInput
				on: #password
				of: self]]! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 14:09:53.059'!
renderRepeatedPasswordInputOn: html

	html div with: 
		[html span 
			class: 'label';
			with: 'Password repetition'.
		html span with: 
			[html passwordInput
				on: #repeatedPassword
				of: self]]! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 16:04:17.451'!
renderSubmitButtonOn: html

	html submitButton
		callback: [self registerUser];
		with: 'Register'! !

!SgRegister methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 13:12:45.942'!
renderUsernameInputOn: html

	html div with: 
		[html span 
			class: 'label';
			with: 'Username'.
		html span with: 
			[html textInput
				on: #username
				of: self user]]! !

!SgRegister methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:51:30.766'!
repeatedPassword
	^ repeatedPassword! !

!SgRegister methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:51:30.774'!
repeatedPassword: anObject
	repeatedPassword := anObject! !

!SgRegister methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:05:19.059'!
user

	^ user
! !

!SgRegister methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:05:19.069'!
user: aSgUser

	user := aSgUser
! !

SgComponent subclass: #SgRoot
	instanceVariableNames: 'head menu desk foot'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgRoot methodsFor: 'as yet unclassified' stamp: 'HK 11/3/2010 10:49:57.64'!
children

	^ Array
		with: self head;
		with: self menu;
		with: self desk;
		with: self foot.! !

!SgRoot methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.731'!
desk
	^ desk! !

!SgRoot methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.737'!
desk: anObject
	desk := anObject! !

!SgRoot methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.743'!
foot
	^ foot! !

!SgRoot methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.749'!
foot: anObject
	foot := anObject! !

!SgRoot methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.703'!
head
	^ head! !

!SgRoot methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.713'!
head: anObject
	head := anObject! !

!SgRoot methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 10:55:56.725'!
initialize

	super initialize.
	self 
		initializeHead;
		initializeMenu;
		initializeDesk;
		initializeFoot.! !

!SgRoot methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:38:11.514'!
initializeDesk

	self desk: SgDesk new.! !

!SgRoot methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:38:26.121'!
initializeFoot

	self foot: SgFoot new.! !

!SgRoot methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:38:36.86'!
initializeHead

	self head: SgHead new.! !

!SgRoot methodsFor: 'as yet unclassified' stamp: 'HK 11/3/2010 11:24:32.235'!
initializeMenu

	self menu: (SgMenu new
		addEntry: 'Uploader' withAction:
			[self desk currentComponent: self desk uploader];
		addEntry: 'Viewer' withAction:
			[self desk currentComponent: self desk viewer];
		addEntry: 'Logout' withAction: [self logout];
		yourself).
	! !

!SgRoot methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:29:17.817'!
logout

	self session logout.
	self answer.! !

!SgRoot methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.719'!
menu
	^ menu! !

!SgRoot methodsFor: 'accessing' stamp: 'LT 11/2/2010 10:55:16.725'!
menu: anObject
	menu := anObject! !

!SgRoot methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:12:47.593'!
renderContentOn: html

	html
		render: self head;
		render: self menu;
		render: self desk;
		render: self foot.! !

WAComponent subclass: #SgDesk
	instanceVariableNames: 'currentComponent uploader viewer'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgDesk methodsFor: 'accessing' stamp: 'LT 11/2/2010 11:01:39.318'!
currentComponent
	^ currentComponent! !

!SgDesk methodsFor: 'accessing' stamp: 'LT 11/2/2010 11:01:39.329'!
currentComponent: anObject
	currentComponent := anObject! !

!SgDesk methodsFor: 'as yet unclassified' stamp: 'HK 11/3/2010 11:23:15.906'!
initialize

	super initialize.
	self
		uploader: SgUploader new;
		viewer: SgImageViewer new;
		currentComponent: self uploader! !

!SgDesk methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:16:27.353'!
renderContentOn: html

	html render: self currentComponent.! !

!SgDesk methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:21:59.397'!
uploader
	^ uploader! !

!SgDesk methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:21:59.405'!
uploader: anObject
	uploader := anObject! !

!SgDesk methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:21:59.415'!
viewer
	^ viewer! !

!SgDesk methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:21:59.421'!
viewer: anObject
	viewer := anObject! !

WAComponent subclass: #SgFoot
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgFoot methodsFor: 'as yet unclassified' stamp: 'HK 11/3/2010 11:23:35.13'!
renderContentOn: html

	html div 
		id: 'head';
		with: [self renderDisclaimerOn: html].! !

!SgFoot methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 10:58:29.62'!
renderDisclaimerOn: html

	html paragraph with: 'Developed for the Bachelorproject H-1'.! !

WAComponent subclass: #SgGalleryEditor
	instanceVariableNames: 'currentGallery messenger'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgGalleryEditor methodsFor: 'as yet unclassified' stamp: 'LT 11/3/2010 11:54:31.804'!
children

	^ Array with: self messenger! !

!SgGalleryEditor methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:41:40.953'!
currentGallery
	^ currentGallery! !

!SgGalleryEditor methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:41:40.965'!
currentGallery: anObject
	currentGallery := anObject! !

!SgGalleryEditor methodsFor: 'as yet unclassified' stamp: 'LT 11/3/2010 11:52:24.812'!
initialize

	super initialize.
	self messenger: SgMessenger new.! !

!SgGalleryEditor methodsFor: 'accessing' stamp: 'LT 11/3/2010 11:51:52.626'!
messenger
	^ messenger! !

!SgGalleryEditor methodsFor: 'accessing' stamp: 'LT 11/3/2010 11:51:56.826'!
messenger: anObject
	messenger := anObject! !

WAComponent subclass: #SgGalleryViewer
	instanceVariableNames: 'currentGallery'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgGalleryViewer methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:28:25.163'!
currentGallery
	^ currentGallery! !

!SgGalleryViewer methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:28:25.171'!
currentGallery: anObject
	currentGallery := anObject! !

WAComponent subclass: #SgHead
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgHead methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 10:59:03.325'!
renderContentOn: html

	html div
		class: 'head';
		with: [self renderLogoOn: html].! !

!SgHead methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 11:00:24.721'!
renderLogoOn: html
	"should be exchanged with an image!!"
	html heading: 'Seaside Gallery'.! !

WAComponent subclass: #SgImageViewer
	instanceVariableNames: 'currentImage'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgImageViewer methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:20:39.938'!
currentImage
	^ currentImage! !

!SgImageViewer methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:20:39.949'!
currentImage: anObject
	currentImage := anObject! !

!SgImageViewer methodsFor: 'as yet unclassified' stamp: 'HK 11/3/2010 11:27:34.483'!
initialize

	super initialize.! !

!SgImageViewer methodsFor: 'as yet unclassified' stamp: 'HK 11/3/2010 11:17:46.469'!
renderContentOn: html

	self
		renderTitleOn: html;
		renderImageOn: html.! !

!SgImageViewer methodsFor: 'as yet unclassified' stamp: 'HK 11/3/2010 11:27:42.667'!
renderImageOn: html

	self currentImage: (SgImage findAll at: 1).

	html image
		document: (SgFileHandler openAsFormFileNamed: self currentImage fileName);
		mimeType: self currentImage mimeType! !

!SgImageViewer methodsFor: 'as yet unclassified' stamp: 'HK 11/3/2010 10:43:53.872'!
renderTitleOn: html

	html heading
		level: 2;
		with: 'This is my title'.! !

WAComponent subclass: #SgMenu
	instanceVariableNames: 'entries'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgMenu methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 13:59:12.813'!
addEntry: aString withAction: aBlock

	^ self entries add: aString -> aBlock.! !

!SgMenu methodsFor: 'accessing' stamp: 'LT 11/2/2010 11:03:14.77'!
entries

	^ entries! !

!SgMenu methodsFor: 'accessing' stamp: 'LT 11/2/2010 11:04:18.912'!
entries: anOrderedCollection

	entries := anOrderedCollection! !

!SgMenu methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 11:04:35.857'!
initialize

	super initialize.
	self entries: OrderedCollection new.! !

!SgMenu methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 11:06:34.637'!
renderContentOn: html

	html div
		class: 'menu';
		with: [self renderNavigationOn: html]! !

!SgMenu methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:28:13.474'!
renderMenuItemsOn: html

	self entries do: 
		[ :each |
			html anchor
				callback: each value;
				with: each key].! !

!SgMenu methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:15:42.931'!
renderNavigationOn: html

	html orderedList with: [self renderMenuItemsOn: html].! !

WAComponent subclass: #SgMessenger
	instanceVariableNames: 'message isVisible'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgMessenger methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:34:53.243'!
hide
	self isVisible: false! !

!SgMessenger methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:35:32.513'!
initialize

	super initialize.
	self hide! !

!SgMessenger methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:34:15.637'!
isVisible
	^ isVisible! !

!SgMessenger methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:34:15.647'!
isVisible: anObject
	isVisible := anObject! !

!SgMessenger methodsFor: 'accessing' stamp: 'LT 11/1/2010 15:06:59.308'!
message
	^ message! !

!SgMessenger methodsFor: 'accessing' stamp: 'LT 11/1/2010 15:06:59.321'!
message: anObject
	message := anObject! !

!SgMessenger methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:44:20.379'!
renderContentOn: html

	self isVisible
		ifFalse: [^ self]
		ifTrue: [self renderMessageOn: html]! !

!SgMessenger methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 15:44:49.297'!
renderMessageOn: html

	html div 
		class: 'message';
		with: [html text: self message].! !

!SgMessenger methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:34:46.202'!
show

	self isVisible: true! !

!SgMessenger methodsFor: 'accessing' stamp: 'HK 11/1/2010 15:39:38.342'!
showMessage: aMessage

	self
		show;
		message: aMessage! !

WAComponent subclass: #SgMetaEditor
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgMetaEditor methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 12:07'!
renderContentOn: html

	html text: 'Hallo'! !

WAComponent subclass: #SgUploader
	instanceVariableNames: 'messageComponent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgUploader methodsFor: 'as yet unclassified' stamp: 'LT 11/3/2010 11:52:24.841'!
initialize

	super initialize.
	self messanger: SgMessenger new! !

!SgUploader methodsFor: 'accessing' stamp: 'HK 11/2/2010 16:32:37.445'!
messageComponent
	^ messageComponent! !

!SgUploader methodsFor: 'accessing' stamp: 'HK 11/2/2010 16:32:37.455'!
messageComponent: anObject
	messageComponent := anObject! !

!SgUploader methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 11:50'!
renderContentOn: html

	self renderFormOn: html! !

!SgUploader methodsFor: 'as yet unclassified' stamp: 'HK 11/2/2010 16:28:02.758'!
renderFormOn: html

	html form multipart; with:
		[html fileUpload callback:
			[ :newFile |
			self uploadFile: newFile.].
		html submitButton: 'Upload']! !

!SgUploader methodsFor: 'as yet unclassified' stamp: 'HK 11/3/2010 11:11:20.862'!
uploadFile: aFile

	| uploadedImage |
	(SgFileHandler isFileTypeSupportedFor: aFile) ifTrue:
		[uploadedImage := SgImage fromFile: aFile forUser: self session user]! !

SDActiveRecord subclass: #SgGallery
	instanceVariableNames: 'title galleryDescription owner isPublic creationDateAndTime images'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Model'!

!SgGallery class methodsFor: 'as yet unclassified' stamp: 'HK 11/3/2010 11:36:26.794'!
defaultPublicity

	^ false! !

!SgGallery methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:30:40.085'!
creationDateAndTime
	^ creationDateAndTime! !

!SgGallery methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:30:40.091'!
creationDateAndTime: anObject
	creationDateAndTime := anObject! !

!SgGallery methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:30:40.039'!
galleryDescription
	^ galleryDescription! !

!SgGallery methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:30:40.047'!
galleryDescription: anObject
	galleryDescription := anObject! !

!SgGallery methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:30:40.099'!
images
	^ images! !

!SgGallery methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:30:40.106'!
images: anObject
	images := anObject! !

!SgGallery methodsFor: 'as yet unclassified' stamp: 'HK 11/3/2010 11:36:13.388'!
initialize

	super initialize.
	self
		creationDateAndTime: DateAndTime now;
		images: OrderedCollection new;
		isPublic: self class defaultPublicity! !

!SgGallery methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:30:40.071'!
isPublic
	^ isPublic! !

!SgGallery methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:30:40.079'!
isPublic: anObject
	isPublic := anObject! !

!SgGallery methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:30:40.058'!
owner
	^ owner! !

!SgGallery methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:30:40.064'!
owner: anObject
	owner := anObject! !

!SgGallery methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 08:16'!
size! !

!SgGallery methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:30:40.023'!
title
	^ title! !

!SgGallery methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:30:40.031'!
title: anObject
	title := anObject! !

SDActiveRecord subclass: #SgImage
	instanceVariableNames: 'title fileName mimeType owner creationDateAndTime modificationDateAndTime'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Model'!

!SgImage class methodsFor: 'as yet unclassified' stamp: 'HK 11/3/2010 11:12:14.856'!
fromFile: aFile forUser: aUser

	| fileName newImage |
	fileName := SgFileHandler uniqueFileNameFor: aFile.
	SgFileHandler saveFile: aFile named: fileName.
	newImage := self new
		owner: aUser;
		mimeType: aFile contentType greaseString;
		title: (SgFileHandler fileNameWithoutExtensionFor: aFile);
		fileName: fileName.
	newImage save.
	^ newImage! !

!SgImage class methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 12:14'!
thumbnailSize

	^ 100! !

!SgImage methodsFor: 'accessing' stamp: 'HK 11/2/2010 17:57:24.313'!
creationDateAndTime
	^ creationDateAndTime! !

!SgImage methodsFor: 'accessing' stamp: 'HK 11/2/2010 17:57:24.323'!
creationDateAndTime: anObject
	creationDateAndTime := anObject! !

!SgImage methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 13:12'!
fileName
	^ fileName! !

!SgImage methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 12:13'!
fileName: anObject
	fileName := anObject! !

!SgImage methodsFor: 'as yet unclassified' stamp: 'HK 11/2/2010 18:19:15.09'!
initialize

	super initialize.
	self
		creationDateAndTime: DateAndTime now;
		modificationDateAndTime: DateAndTime now.! !

!SgImage methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:10:06.923'!
mimeType
	^ mimeType! !

!SgImage methodsFor: 'accessing' stamp: 'HK 11/3/2010 11:10:06.933'!
mimeType: anObject
	mimeType := anObject! !

!SgImage methodsFor: 'accessing' stamp: 'HK 11/2/2010 18:03:11.191'!
modificationDateAndTime
	^ modificationDateAndTime! !

!SgImage methodsFor: 'accessing' stamp: 'HK 11/2/2010 18:03:11.197'!
modificationDateAndTime: anObject
	modificationDateAndTime := anObject! !

!SgImage methodsFor: 'accessing' stamp: 'HK 11/2/2010 18:01:15.488'!
owner
	^ owner! !

!SgImage methodsFor: 'accessing' stamp: 'HK 11/2/2010 18:01:00.705'!
owner: anObject
	owner := anObject! !

!SgImage methodsFor: 'accessing' stamp: 'HK 11/2/2010 18:03:11.181'!
title
	^ title! !

!SgImage methodsFor: 'as yet unclassified' stamp: 'hauke 10/28/2010 12:12'!
title: aString
	title := aString! !

!SgImage methodsFor: 'as yet unclassified' stamp: 'HK 11/2/2010 18:27:10.691'!
url

	^ SgFileHandler imageDirectory pathName, FileDirectory slash, self fileName! !

SDActiveRecord subclass: #SgUser
	instanceVariableNames: 'hashedPassword username firstName lastName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Model'!

!SgUser class methodsFor: 'as yet unclassified' stamp: 'LT 11/1/2010 14:32:10.424'!
hashPassword: aString

	^ GRPlatform current secureHashFor: aString! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:13:32.603'!
firstName
	^ firstName! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:13:32.613'!
firstName: anObject
	firstName := anObject! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 14:30:18.923'!
hashedPassword
	^ hashedPassword! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 14:30:18.933'!
hashedPassword: anObject
	hashedPassword := anObject! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:13:32.623'!
lastName
	^ lastName! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:13:32.629'!
lastName: anObject
	lastName := anObject! !

!SgUser methodsFor: 'accessing' stamp: 'HK 11/1/2010 16:11:54.201'!
password: aString

	self hashedPassword: (GRPlatform current secureHashFor: aString)! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:07:57.87'!
username
	^ username! !

!SgUser methodsFor: 'accessing' stamp: 'LT 11/1/2010 13:08:02.341'!
username: anObject
	username := anObject! !

!SgUser methodsFor: 'as yet unclassified' stamp: 'HK 11/2/2010 10:20:22.563'!
validatePassword: aString

	| passwordHash |
	passwordHash := self class hashPassword: aString.
	^ self hashedPassword = passwordHash! !

WAFileLibrary subclass: #SgFilePool
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgFilePool methodsFor: 'uploaded' stamp: 'HK 11/2/2010 13:47:53.541'!
musicinmyheadbysophistiblackJpg
	^ #(255 216 255 224 0 16 74 70 73 70 0 1 2 1 0 200 0 200 0 0 255 225 21 60 69 120 105 102 0 0 77 77 0 42 0 0 0 8 0 7 1 18 0 3 0 0 0 1 0 1 0 0 1 26 0 5 0 0 0 1 0 0 0 98 1 27 0 5 0 0 0 1 0 0 0 106 1 40 0 3 0 0 0 1 0 2 0 0 1 49 0 2 0 0 0 29 0 0 0 114 1 50 0 2 0 0 0 20 0 0 0 143 135 105 0 4 0 0 0 1 0 0 0 164 0 0 0 208 0 0 0 200 0 0 0 1 0 0 0 200 0 0 0 1 65 100 111 98 101 32 80 104 111 116 111 115 104 111 112 32 67 83 32 77 97 99 105 110 116 111 115 104 0 50 48 48 56 58 48 50 58 49 49 32 49 50 58 53 49 58 53 55 0 0 0 3 160 1 0 3 0 0 0 1 0 1 0 0 160 2 0 4 0 0 0 1 0 0 2 24 160 3 0 4 0 0 0 1 0 0 2 66 0 0 0 0 0 0 0 6 1 3 0 3 0 0 0 1 0 6 0 0 1 26 0 5 0 0 0 1 0 0 1 30 1 27 0 5 0 0 0 1 0 0 1 38 1 40 0 3 0 0 0 1 0 2 0 0 2 1 0 4 0 0 0 1 0 0 1 46 2 2 0 4 0 0 0 1 0 0 20 6 0 0 0 0 0 0 0 72 0 0 0 1 0 0 0 72 0 0 0 1 255 216 255 224 0 16 74 70 73 70 0 1 2 1 0 72 0 72 0 0 255 237 0 12 65 100 111 98 101 95 67 77 0 1 255 238 0 14 65 100 111 98 101 0 100 128 0 0 0 1 255 219 0 132 0 12 8 8 8 9 8 12 9 9 12 17 11 10 11 17 21 15 12 12 15 21 24 19 19 21 19 19 24 17 12 12 12 12 12 12 17 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 1 13 11 11 13 14 13 16 14 14 16 20 14 14 14 20 20 14 14 14 14 20 17 12 12 12 12 12 17 17 12 12 12 12 12 12 17 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 255 192 0 17 8 0 160 0 148 3 1 34 0 2 17 1 3 17 1 255 221 0 4 0 10 255 196 1 63 0 0 1 5 1 1 1 1 1 1 0 0 0 0 0 0 0 3 0 1 2 4 5 6 7 8 9 10 11 1 0 1 5 1 1 1 1 1 1 0 0 0 0 0 0 0 1 0 2 3 4 5 6 7 8 9 10 11 16 0 1 4 1 3 2 4 2 5 7 6 8 5 3 12 51 1 0 2 17 3 4 33 18 49 5 65 81 97 19 34 113 129 50 6 20 145 161 177 66 35 36 21 82 193 98 51 52 114 130 209 67 7 37 146 83 240 225 241 99 115 53 22 162 178 131 38 68 147 84 100 69 194 163 116 54 23 210 85 226 101 242 179 132 195 211 117 227 243 70 39 148 164 133 180 149 196 212 228 244 165 181 197 213 229 245 86 102 118 134 150 166 182 198 214 230 246 55 71 87 103 119 135 151 167 183 199 215 231 247 17 0 2 2 1 2 4 4 3 4 5 6 7 7 6 5 53 1 0 2 17 3 33 49 18 4 65 81 97 113 34 19 5 50 129 145 20 161 177 66 35 193 82 209 240 51 36 98 225 114 130 146 67 83 21 99 115 52 241 37 6 22 162 178 131 7 38 53 194 210 68 147 84 163 23 100 69 85 54 116 101 226 242 179 132 195 211 117 227 243 70 148 164 133 180 149 196 212 228 244 165 181 197 213 229 245 86 102 118 134 150 166 182 198 214 230 246 39 55 71 87 103 119 135 151 167 183 199 255 218 0 12 3 1 0 2 17 3 17 0 63 0 211 115 157 185 222 227 201 238 124 83 110 119 239 31 188 164 239 164 239 137 252 169 151 30 73 183 171 12 94 29 18 215 59 225 37 11 123 255 0 121 223 121 71 65 120 135 144 59 234 62 106 72 72 157 10 248 178 96 123 181 46 116 124 74 40 46 26 2 71 204 166 2 0 30 9 38 74 68 149 167 85 247 59 247 143 222 83 58 93 203 156 15 140 148 146 66 207 117 33 38 198 152 46 119 222 82 6 194 96 57 211 241 42 118 141 1 240 74 161 161 62 58 41 56 253 54 186 244 182 109 150 240 231 19 227 37 62 231 126 241 251 202 100 148 118 123 173 92 185 199 66 79 222 80 158 30 221 67 157 31 19 162 34 68 72 32 247 70 50 33 67 68 27 223 251 206 251 202 43 3 162 92 231 121 9 40 108 18 224 15 207 228 140 159 57 17 160 93 37 247 59 247 143 222 82 220 239 222 63 121 76 146 142 202 198 95 224 230 76 239 241 63 186 146 95 224 191 183 255 0 125 73 59 136 247 59 43 248 191 255 208 210 119 210 119 196 254 84 201 221 244 157 241 63 149 50 227 206 239 86 20 133 97 247 252 33 20 144 4 158 16 9 146 73 238 157 1 173 175 136 108 38 81 173 219 155 29 194 146 105 21 162 210 164 146 73 5 49 183 232 124 194 85 125 15 154 133 142 147 3 129 249 82 173 208 96 240 84 156 39 131 241 93 94 148 169 36 146 141 106 146 73 70 199 109 30 103 132 64 189 20 198 144 231 220 26 193 185 207 59 90 7 36 147 237 106 43 154 230 60 214 246 150 61 191 73 142 4 56 124 90 229 12 29 51 177 124 125 122 191 234 216 187 139 89 210 186 161 178 155 61 59 223 67 139 30 222 30 194 14 191 187 99 21 236 28 151 222 35 34 38 33 48 106 49 150 211 107 115 124 215 177 56 220 12 160 69 202 81 222 15 18 146 217 234 255 0 87 198 13 14 202 162 210 234 90 64 53 191 233 13 196 51 218 246 253 47 115 191 57 171 25 85 207 131 38 25 240 100 20 106 251 233 221 151 14 104 101 135 30 51 113 186 237 175 102 95 224 191 183 255 0 125 73 47 240 95 219 255 0 190 164 153 252 23 127 23 255 209 190 235 91 185 210 8 247 31 202 152 218 222 192 149 7 130 30 224 121 220 127 42 138 229 56 35 111 92 34 25 57 197 199 95 185 69 17 181 119 119 220 166 26 209 192 8 25 129 160 87 16 8 65 32 200 208 169 139 127 120 124 194 153 99 15 111 187 69 107 166 116 107 186 133 174 37 222 150 37 90 221 144 99 72 247 122 108 221 237 245 54 255 0 98 175 252 13 59 28 14 89 8 68 92 138 217 228 132 98 101 51 195 24 245 65 143 93 217 86 250 56 213 62 235 121 218 209 192 253 231 184 157 149 183 250 235 102 175 171 5 149 250 189 75 41 184 213 254 115 107 32 71 245 175 187 219 255 0 129 40 93 215 40 195 172 224 244 10 154 24 223 167 148 225 50 123 189 187 191 156 119 252 53 223 248 34 175 87 66 234 221 73 226 252 146 231 147 197 151 18 7 143 179 119 187 111 252 93 59 21 168 98 229 241 203 132 66 92 214 110 208 191 106 63 226 252 223 244 26 153 50 101 35 138 83 28 166 46 156 126 190 98 95 224 252 184 255 0 233 182 253 63 169 120 254 215 63 215 115 127 58 109 178 127 237 175 209 39 245 254 165 59 67 86 209 227 233 218 63 234 2 45 95 84 24 0 245 46 19 220 6 147 255 0 73 206 255 0 190 34 59 234 150 49 26 90 103 205 131 248 22 171 34 60 215 78 79 16 29 136 199 127 250 81 170 115 114 183 175 53 204 19 220 78 95 247 136 25 211 126 173 102 251 112 114 253 43 14 141 102 249 51 255 0 21 145 250 85 79 63 160 117 12 48 108 107 126 211 80 229 213 15 112 31 202 167 233 127 219 126 162 177 147 245 62 208 15 163 99 108 30 6 90 126 231 122 141 255 0 166 170 213 147 215 122 45 130 185 115 170 31 224 45 151 52 129 254 137 218 237 255 0 172 89 179 254 13 67 150 56 182 230 57 115 203 147 254 87 23 201 126 94 172 95 243 217 177 76 157 121 126 100 102 255 0 85 159 231 63 245 79 157 203 245 129 18 221 124 211 227 212 114 50 169 160 187 111 173 99 43 47 230 55 56 51 114 220 183 31 167 253 96 173 247 224 129 141 212 216 55 91 67 180 15 243 49 244 189 223 246 161 159 245 245 139 232 58 167 150 216 11 109 172 193 7 66 215 15 251 243 85 108 184 70 19 25 105 60 114 249 103 31 211 240 254 172 155 152 243 9 137 70 142 60 177 210 80 151 205 3 210 95 215 135 245 158 222 174 137 210 106 173 140 102 45 127 163 33 205 121 18 253 205 59 218 255 0 91 249 205 219 135 239 46 55 169 88 234 250 198 83 235 113 107 197 238 218 90 72 116 207 230 237 247 110 254 170 211 255 0 156 253 79 209 244 226 189 241 30 182 211 187 250 219 39 211 223 255 0 67 254 13 89 250 167 69 14 179 39 37 195 118 72 32 110 118 164 53 210 231 62 127 122 215 239 223 253 69 123 38 92 28 220 241 97 195 232 212 200 203 135 135 135 134 45 12 49 205 202 199 54 108 231 221 211 134 49 226 226 226 226 150 247 47 149 168 58 158 94 87 67 206 175 48 151 59 29 244 1 185 176 248 115 219 244 254 143 238 254 234 199 54 183 176 37 117 255 0 90 156 198 244 123 65 32 58 199 214 214 248 146 30 215 237 255 0 53 175 114 226 213 126 127 23 6 72 70 82 57 12 97 92 71 127 158 101 179 240 249 71 38 57 206 48 246 196 178 26 128 249 126 76 119 255 0 57 47 170 239 78 127 151 199 246 82 75 211 119 161 61 247 241 223 232 164 170 250 124 54 166 214 159 139 255 210 191 123 100 184 247 14 63 116 168 86 217 116 248 34 219 249 255 0 23 126 85 10 120 63 21 201 95 164 189 104 62 150 105 36 146 141 9 176 241 109 204 201 175 26 173 29 97 213 220 237 104 250 118 127 101 171 71 46 195 154 89 209 250 99 73 194 171 219 237 63 206 184 31 125 143 127 250 38 187 221 187 252 35 255 0 73 254 141 3 23 126 63 79 115 235 7 237 61 65 198 138 136 26 138 88 64 184 179 249 118 218 239 69 116 189 39 166 87 129 142 4 3 115 192 245 28 59 127 193 183 249 12 90 92 159 47 41 143 106 36 199 140 9 231 200 62 104 226 151 243 120 99 253 108 159 206 57 252 223 48 49 158 51 234 49 38 56 97 211 220 143 243 153 165 254 207 249 184 35 233 157 15 23 5 173 115 128 178 241 174 227 244 90 127 224 218 127 243 231 243 139 77 36 150 222 44 56 241 68 67 28 68 71 231 227 35 250 78 54 76 179 201 35 41 200 200 158 234 73 36 148 139 20 161 109 53 93 89 174 214 7 177 220 181 194 66 154 72 16 8 32 139 7 161 80 36 27 26 83 204 245 78 133 102 27 254 223 128 226 61 51 186 71 211 103 242 191 225 43 253 255 0 252 19 212 173 3 48 179 170 225 187 57 140 12 206 197 0 102 86 56 123 59 92 207 234 255 0 233 74 255 0 209 46 181 115 157 79 20 244 156 234 250 142 51 127 87 113 45 182 177 198 211 252 237 59 127 117 237 253 37 63 240 172 89 92 215 41 28 34 82 143 251 159 38 153 113 239 236 203 244 115 227 254 235 167 202 243 82 200 99 25 31 215 67 249 169 255 0 156 143 233 96 201 253 247 158 68 163 34 252 107 69 184 246 58 171 6 155 155 225 251 174 7 218 230 255 0 89 79 55 29 184 217 118 83 89 221 80 33 213 56 106 13 111 30 165 90 255 0 81 200 11 28 137 99 153 23 82 129 171 31 189 23 92 24 206 32 239 25 11 215 247 101 224 147 59 47 43 52 135 228 218 109 115 7 178 96 1 251 219 88 192 214 123 149 106 219 46 159 4 94 202 20 240 126 72 153 202 66 70 68 202 93 228 108 174 136 17 141 68 8 129 176 26 4 191 224 191 183 255 0 125 73 47 240 95 219 255 0 190 164 155 252 22 255 0 23 255 211 191 123 160 185 189 203 143 221 42 21 186 29 7 130 153 228 151 184 158 119 31 202 162 185 78 29 41 235 192 210 155 9 19 0 159 4 54 218 6 143 248 2 182 111 232 248 236 232 77 234 77 181 230 199 215 91 182 29 187 38 194 214 159 205 223 249 255 0 190 148 57 124 147 19 49 26 99 137 156 191 187 22 28 153 35 140 192 79 252 164 132 35 253 233 55 250 54 24 179 53 174 112 27 48 105 174 182 142 222 163 155 234 216 239 251 114 203 127 240 53 181 147 149 143 137 87 171 144 240 198 76 14 73 36 240 198 49 178 251 30 239 220 98 171 208 217 250 143 171 222 251 31 97 251 253 54 255 0 209 98 188 88 210 224 226 1 115 103 105 141 68 243 11 160 228 177 240 242 226 81 171 201 250 203 240 159 201 254 46 46 7 159 230 178 113 103 60 86 99 15 70 159 213 249 255 0 198 155 150 238 179 156 227 56 253 43 37 236 253 235 54 84 79 194 187 29 191 252 228 108 110 177 85 182 54 156 154 110 194 185 231 107 27 123 118 181 199 247 106 185 187 169 123 191 145 191 212 90 10 46 99 94 210 215 128 230 158 90 68 130 167 16 200 13 251 151 224 99 30 31 249 171 14 76 68 87 180 35 253 104 202 92 127 94 62 40 127 204 100 146 73 41 24 88 91 109 84 214 235 109 120 174 182 9 115 220 64 0 121 184 172 215 245 187 222 127 82 233 217 57 12 237 99 154 41 105 30 44 251 65 101 142 255 0 182 214 155 152 215 70 224 29 6 68 137 130 59 169 38 74 51 59 75 128 120 11 151 252 230 72 75 28 117 148 61 195 253 98 99 15 249 156 50 255 0 158 230 85 214 218 211 183 63 22 252 31 248 75 90 29 86 186 123 178 42 47 101 127 245 223 77 93 202 199 102 86 53 148 63 232 216 34 124 15 45 119 246 93 238 70 76 214 181 141 13 104 13 107 68 0 52 0 37 192 76 76 102 120 227 33 70 197 111 191 18 165 56 216 148 35 237 200 27 208 241 71 252 30 47 83 195 231 53 194 172 109 250 89 80 179 25 224 246 244 93 185 131 251 44 191 103 246 21 69 189 212 48 89 145 215 89 134 242 107 174 247 58 208 91 19 173 126 232 220 28 223 115 232 89 253 91 167 125 139 41 244 227 139 47 101 85 178 203 28 64 37 187 203 199 187 96 111 179 244 95 184 185 188 252 188 199 30 79 208 199 63 96 200 157 120 225 233 255 0 158 239 224 207 2 33 18 106 115 143 187 93 56 103 46 255 0 243 28 251 29 13 243 58 5 10 157 14 142 197 68 184 184 201 238 153 68 35 165 119 110 1 165 54 191 193 127 111 254 250 146 23 168 239 66 59 239 231 191 209 73 14 3 248 44 225 63 139 255 212 209 115 24 28 237 59 158 126 41 139 24 123 71 193 73 223 73 223 19 249 83 46 64 147 123 189 96 37 218 232 184 21 83 75 114 92 55 93 104 46 107 136 250 45 63 69 172 254 183 231 163 228 127 226 46 143 248 172 127 250 186 144 250 62 91 45 199 101 4 129 109 67 110 211 201 104 250 46 111 253 249 19 44 109 250 151 88 29 169 162 62 79 169 77 240 147 51 47 136 113 221 251 90 127 119 245 156 46 94 83 51 204 67 143 127 188 98 175 238 220 248 93 126 145 31 179 113 227 247 21 127 172 125 103 246 47 75 126 112 96 182 192 230 178 186 201 128 226 227 175 187 254 47 123 212 250 5 162 206 153 88 28 214 92 211 247 239 31 244 30 213 137 254 50 129 253 131 76 118 202 100 255 0 153 114 232 249 50 37 131 9 29 97 15 250 45 76 88 99 62 124 99 152 184 203 41 226 31 189 30 47 251 167 43 255 0 28 236 191 251 129 95 253 184 239 252 130 95 248 231 101 255 0 220 10 255 0 237 199 127 228 23 20 146 185 193 23 163 255 0 68 242 63 230 71 248 211 255 0 190 123 95 252 115 178 255 0 238 5 127 246 227 191 242 9 127 227 157 151 255 0 112 43 255 0 183 29 255 0 144 92 65 120 248 166 223 228 151 182 17 254 140 248 127 249 161 254 54 79 251 231 184 255 0 199 59 47 254 224 87 255 0 110 59 255 0 32 151 254 57 217 127 247 2 191 251 113 223 249 5 196 7 3 228 164 151 183 20 143 133 114 39 108 35 252 105 255 0 223 61 175 254 57 249 67 156 10 227 191 233 15 31 230 47 64 4 16 8 212 29 65 94 18 120 43 219 240 3 198 14 56 127 211 21 48 59 227 180 74 100 226 6 206 71 198 185 60 28 184 194 112 195 131 136 200 75 89 30 42 225 175 153 205 205 143 249 207 129 253 71 127 212 100 165 145 35 172 228 159 248 10 32 255 0 107 33 2 251 189 79 173 184 204 28 87 185 191 117 86 59 254 170 213 46 165 149 70 55 84 200 117 206 219 52 211 181 163 87 58 13 255 0 69 171 156 248 151 175 145 230 184 69 223 51 95 226 240 71 254 229 132 66 87 138 32 89 60 180 116 31 237 156 62 167 139 85 25 175 107 26 3 94 5 129 189 134 239 164 7 246 130 170 88 195 219 238 70 201 189 217 55 190 231 8 46 225 190 0 104 214 161 44 220 124 66 17 18 62 160 5 186 248 248 132 34 36 125 64 11 91 210 30 159 58 111 249 253 20 148 255 0 193 127 111 254 250 146 147 136 247 232 187 136 254 47 255 213 210 119 210 119 196 254 84 201 221 244 157 241 63 149 50 227 206 239 86 21 224 123 142 21 188 142 181 145 103 78 111 75 53 176 82 26 198 239 19 186 24 90 225 252 159 204 85 16 30 119 56 159 185 75 135 36 227 196 34 104 74 60 50 241 137 232 163 142 19 49 50 23 192 120 163 253 89 141 139 211 125 87 204 13 181 248 142 58 88 55 51 250 205 231 252 234 255 0 243 210 185 245 191 1 217 255 0 87 179 42 172 77 149 180 93 95 115 53 17 107 131 99 243 159 91 94 197 203 99 222 250 222 203 152 118 185 164 16 71 98 59 174 227 167 103 215 157 142 45 110 143 26 88 207 7 127 228 93 249 139 91 225 60 200 225 56 36 106 80 38 80 254 180 63 74 63 224 57 92 246 57 97 207 14 106 3 105 70 71 251 240 255 0 190 124 72 144 4 168 18 74 232 62 185 253 93 179 163 117 19 101 76 255 0 39 228 184 187 29 195 134 184 251 159 142 239 221 217 254 11 247 233 254 165 171 158 91 177 54 45 223 135 49 28 208 140 241 155 132 133 255 0 191 253 213 36 146 72 165 74 77 116 104 120 81 73 37 2 65 176 223 233 88 15 234 61 75 27 5 128 159 94 198 181 196 114 25 244 173 127 253 110 160 247 175 104 190 234 241 233 125 214 24 101 109 46 63 46 193 113 191 226 239 234 243 232 164 245 156 182 22 217 115 118 226 49 195 81 89 250 87 235 254 155 252 23 252 15 252 114 209 250 203 213 129 156 74 79 181 135 244 132 119 120 225 159 245 175 252 249 255 0 22 168 243 220 208 195 140 207 244 190 92 99 247 166 226 124 66 127 125 231 33 135 30 176 194 42 114 254 180 191 156 255 0 188 113 234 234 54 215 213 190 220 3 95 99 11 204 31 162 75 131 131 248 254 186 150 126 117 185 249 31 104 181 173 99 182 134 67 102 32 23 31 206 254 178 207 105 218 224 124 57 71 92 204 242 76 67 219 226 60 4 241 17 222 127 188 223 56 160 36 38 34 56 163 30 1 47 234 126 234 146 73 37 10 230 95 224 191 183 255 0 125 73 47 240 95 219 255 0 190 164 157 252 22 255 0 23 255 214 210 46 105 115 160 142 79 229 81 46 104 228 132 23 253 55 127 88 254 84 203 147 56 197 238 245 194 44 223 102 237 6 129 65 73 172 115 184 227 197 79 210 111 114 82 184 199 68 216 12 26 226 211 229 220 43 221 63 169 89 135 112 182 167 71 103 53 220 17 251 174 84 205 94 7 239 80 32 131 5 16 117 18 137 49 148 117 18 31 48 91 56 67 32 49 144 176 119 15 110 45 233 93 127 9 248 153 12 109 141 177 191 164 161 220 143 229 214 225 251 191 153 109 107 128 235 223 80 122 175 78 123 173 192 107 179 241 36 237 216 38 230 137 246 182 202 91 252 239 63 206 81 255 0 109 84 173 85 117 180 184 58 183 22 144 100 71 143 136 143 163 253 149 183 133 245 171 46 184 101 237 23 15 229 115 255 0 110 55 254 255 0 90 215 229 190 45 194 0 204 63 234 144 23 19 253 248 127 222 52 99 203 115 28 172 140 185 105 9 227 58 156 51 255 0 185 124 200 232 226 211 163 129 130 14 132 31 130 75 214 46 234 221 3 62 15 80 193 101 207 26 3 101 117 219 31 213 117 158 255 0 250 40 1 159 82 216 119 55 166 84 79 129 165 132 125 207 59 85 241 241 78 80 139 247 99 255 0 71 240 102 31 16 201 250 92 182 65 47 234 145 40 255 0 140 249 158 46 38 86 101 194 140 74 95 145 105 252 202 154 92 99 196 237 250 45 93 215 213 191 241 122 41 115 115 186 246 211 233 157 205 194 4 57 130 63 59 42 207 160 255 0 248 150 126 139 253 37 150 127 54 182 29 245 147 11 18 159 75 3 17 181 86 62 139 64 13 104 63 241 84 251 127 233 172 124 238 183 155 155 165 143 134 118 96 209 191 230 127 233 79 81 87 207 241 140 64 17 138 242 31 15 68 62 179 151 253 194 201 228 231 57 129 195 24 142 91 25 222 68 241 229 35 250 181 242 187 125 103 235 27 24 215 81 134 237 78 134 225 204 127 192 255 0 233 111 251 105 114 207 121 121 147 242 30 9 137 36 146 76 147 201 42 77 169 199 83 160 252 86 46 124 243 203 62 60 134 206 209 31 163 1 218 17 103 229 249 108 124 188 56 97 245 145 249 164 193 77 150 109 208 234 20 189 38 248 148 198 162 62 137 159 37 23 20 78 133 154 193 102 28 211 193 9 203 154 57 32 42 233 33 237 142 232 225 108 122 173 244 251 198 254 127 178 146 20 31 70 123 111 231 251 41 39 112 71 240 71 8 252 95 255 215 189 123 125 206 112 253 227 63 122 131 27 185 209 219 186 53 191 159 241 63 149 66 158 9 92 151 23 164 248 61 112 62 150 105 36 146 141 106 147 57 187 132 119 236 83 164 136 209 77 116 118 55 104 142 253 208 227 244 209 230 138 159 51 183 142 171 164 84 146 73 40 214 169 5 237 218 232 237 217 25 66 238 1 243 79 129 215 205 49 58 173 83 103 220 123 112 136 153 159 64 39 66 70 202 137 213 73 36 146 106 24 90 221 55 14 71 42 12 110 231 71 110 232 199 80 66 29 60 19 240 82 9 122 79 130 224 116 77 3 210 142 219 248 254 202 73 127 130 254 223 253 245 36 223 224 179 248 191 255 208 208 184 198 255 0 50 71 226 161 81 212 143 29 82 183 123 172 119 181 208 9 141 15 138 136 107 193 144 215 79 192 174 83 128 209 29 222 184 15 77 38 73 38 146 239 205 32 248 65 79 181 223 186 126 226 162 32 142 139 86 73 62 215 126 233 251 138 27 203 136 218 214 187 204 193 68 68 149 13 88 110 247 238 243 148 100 29 143 253 215 125 197 77 133 192 109 115 93 29 140 20 249 196 214 157 23 72 51 73 62 215 126 233 251 138 91 93 251 167 238 42 58 43 22 67 180 240 62 104 142 150 254 105 39 194 10 9 107 201 146 215 73 242 41 240 137 187 93 30 233 43 50 207 134 138 72 77 222 211 59 93 230 32 163 0 72 144 15 220 80 148 72 54 169 44 146 125 174 253 211 247 20 136 112 18 65 31 34 155 69 107 23 24 105 42 21 29 72 241 254 9 63 123 143 209 116 14 52 42 33 175 6 67 93 35 200 169 4 15 13 119 94 6 141 143 240 95 219 255 0 190 164 163 189 222 140 236 118 237 252 65 253 212 144 224 151 110 139 43 243 127 255 217 255 237 56 54 80 104 111 116 111 115 104 111 112 32 51 46 48 0 56 66 73 77 4 37 0 0 0 0 0 16 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 56 66 73 77 3 234 0 0 0 0 29 176 60 63 120 109 108 32 118 101 114 115 105 111 110 61 34 49 46 48 34 32 101 110 99 111 100 105 110 103 61 34 85 84 70 45 56 34 63 62 10 60 33 68 79 67 84 89 80 69 32 112 108 105 115 116 32 80 85 66 76 73 67 32 34 45 47 47 65 112 112 108 101 32 67 111 109 112 117 116 101 114 47 47 68 84 68 32 80 76 73 83 84 32 49 46 48 47 47 69 78 34 32 34 104 116 116 112 58 47 47 119 119 119 46 97 112 112 108 101 46 99 111 109 47 68 84 68 115 47 80 114 111 112 101 114 116 121 76 105 115 116 45 49 46 48 46 100 116 100 34 62 10 60 112 108 105 115 116 32 118 101 114 115 105 111 110 61 34 49 46 48 34 62 10 60 100 105 99 116 62 10 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 103 101 70 111 114 109 97 116 46 80 77 72 111 114 105 122 111 110 116 97 108 82 101 115 60 47 107 101 121 62 10 9 60 100 105 99 116 62 10 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 114 101 97 116 111 114 60 47 107 101 121 62 10 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 105 110 103 109 97 110 97 103 101 114 60 47 115 116 114 105 110 103 62 10 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 105 116 101 109 65 114 114 97 121 60 47 107 101 121 62 10 9 9 60 97 114 114 97 121 62 10 9 9 9 60 100 105 99 116 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 103 101 70 111 114 109 97 116 46 80 77 72 111 114 105 122 111 110 116 97 108 82 101 115 60 47 107 101 121 62 10 9 9 9 9 60 114 101 97 108 62 55 50 60 47 114 101 97 108 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 108 105 101 110 116 60 47 107 101 121 62 10 9 9 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 105 110 103 109 97 110 97 103 101 114 60 47 115 116 114 105 110 103 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 109 111 100 68 97 116 101 60 47 107 101 121 62 10 9 9 9 9 60 100 97 116 101 62 50 48 48 56 45 48 50 45 49 49 84 49 56 58 53 49 58 51 51 90 60 47 100 97 116 101 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 115 116 97 116 101 70 108 97 103 60 47 107 101 121 62 10 9 9 9 9 60 105 110 116 101 103 101 114 62 48 60 47 105 110 116 101 103 101 114 62 10 9 9 9 60 47 100 105 99 116 62 10 9 9 60 47 97 114 114 97 121 62 10 9 60 47 100 105 99 116 62 10 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 103 101 70 111 114 109 97 116 46 80 77 79 114 105 101 110 116 97 116 105 111 110 60 47 107 101 121 62 10 9 60 100 105 99 116 62 10 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 114 101 97 116 111 114 60 47 107 101 121 62 10 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 105 110 103 109 97 110 97 103 101 114 60 47 115 116 114 105 110 103 62 10 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 105 116 101 109 65 114 114 97 121 60 47 107 101 121 62 10 9 9 60 97 114 114 97 121 62 10 9 9 9 60 100 105 99 116 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 103 101 70 111 114 109 97 116 46 80 77 79 114 105 101 110 116 97 116 105 111 110 60 47 107 101 121 62 10 9 9 9 9 60 105 110 116 101 103 101 114 62 49 60 47 105 110 116 101 103 101 114 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 108 105 101 110 116 60 47 107 101 121 62 10 9 9 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 105 110 103 109 97 110 97 103 101 114 60 47 115 116 114 105 110 103 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 109 111 100 68 97 116 101 60 47 107 101 121 62 10 9 9 9 9 60 100 97 116 101 62 50 48 48 56 45 48 50 45 49 49 84 49 56 58 53 49 58 51 51 90 60 47 100 97 116 101 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 115 116 97 116 101 70 108 97 103 60 47 107 101 121 62 10 9 9 9 9 60 105 110 116 101 103 101 114 62 48 60 47 105 110 116 101 103 101 114 62 10 9 9 9 60 47 100 105 99 116 62 10 9 9 60 47 97 114 114 97 121 62 10 9 60 47 100 105 99 116 62 10 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 103 101 70 111 114 109 97 116 46 80 77 83 99 97 108 105 110 103 60 47 107 101 121 62 10 9 60 100 105 99 116 62 10 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 114 101 97 116 111 114 60 47 107 101 121 62 10 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 105 110 103 109 97 110 97 103 101 114 60 47 115 116 114 105 110 103 62 10 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 105 116 101 109 65 114 114 97 121 60 47 107 101 121 62 10 9 9 60 97 114 114 97 121 62 10 9 9 9 60 100 105 99 116 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 103 101 70 111 114 109 97 116 46 80 77 83 99 97 108 105 110 103 60 47 107 101 121 62 10 9 9 9 9 60 114 101 97 108 62 49 60 47 114 101 97 108 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 108 105 101 110 116 60 47 107 101 121 62 10 9 9 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 105 110 103 109 97 110 97 103 101 114 60 47 115 116 114 105 110 103 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 109 111 100 68 97 116 101 60 47 107 101 121 62 10 9 9 9 9 60 100 97 116 101 62 50 48 48 56 45 48 50 45 49 49 84 49 56 58 53 49 58 51 51 90 60 47 100 97 116 101 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 115 116 97 116 101 70 108 97 103 60 47 107 101 121 62 10 9 9 9 9 60 105 110 116 101 103 101 114 62 48 60 47 105 110 116 101 103 101 114 62 10 9 9 9 60 47 100 105 99 116 62 10 9 9 60 47 97 114 114 97 121 62 10 9 60 47 100 105 99 116 62 10 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 103 101 70 111 114 109 97 116 46 80 77 86 101 114 116 105 99 97 108 82 101 115 60 47 107 101 121 62 10 9 60 100 105 99 116 62 10 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 114 101 97 116 111 114 60 47 107 101 121 62 10 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 105 110 103 109 97 110 97 103 101 114 60 47 115 116 114 105 110 103 62 10 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 105 116 101 109 65 114 114 97 121 60 47 107 101 121 62 10 9 9 60 97 114 114 97 121 62 10 9 9 9 60 100 105 99 116 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 103 101 70 111 114 109 97 116 46 80 77 86 101 114 116 105 99 97 108 82 101 115 60 47 107 101 121 62 10 9 9 9 9 60 114 101 97 108 62 55 50 60 47 114 101 97 108 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 108 105 101 110 116 60 47 107 101 121 62 10 9 9 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 105 110 103 109 97 110 97 103 101 114 60 47 115 116 114 105 110 103 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 109 111 100 68 97 116 101 60 47 107 101 121 62 10 9 9 9 9 60 100 97 116 101 62 50 48 48 56 45 48 50 45 49 49 84 49 56 58 53 49 58 51 51 90 60 47 100 97 116 101 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 115 116 97 116 101 70 108 97 103 60 47 107 101 121 62 10 9 9 9 9 60 105 110 116 101 103 101 114 62 48 60 47 105 110 116 101 103 101 114 62 10 9 9 9 60 47 100 105 99 116 62 10 9 9 60 47 97 114 114 97 121 62 10 9 60 47 100 105 99 116 62 10 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 103 101 70 111 114 109 97 116 46 80 77 86 101 114 116 105 99 97 108 83 99 97 108 105 110 103 60 47 107 101 121 62 10 9 60 100 105 99 116 62 10 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 114 101 97 116 111 114 60 47 107 101 121 62 10 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 105 110 103 109 97 110 97 103 101 114 60 47 115 116 114 105 110 103 62 10 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 105 116 101 109 65 114 114 97 121 60 47 107 101 121 62 10 9 9 60 97 114 114 97 121 62 10 9 9 9 60 100 105 99 116 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 103 101 70 111 114 109 97 116 46 80 77 86 101 114 116 105 99 97 108 83 99 97 108 105 110 103 60 47 107 101 121 62 10 9 9 9 9 60 114 101 97 108 62 49 60 47 114 101 97 108 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 108 105 101 110 116 60 47 107 101 121 62 10 9 9 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 105 110 103 109 97 110 97 103 101 114 60 47 115 116 114 105 110 103 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 109 111 100 68 97 116 101 60 47 107 101 121 62 10 9 9 9 9 60 100 97 116 101 62 50 48 48 56 45 48 50 45 49 49 84 49 56 58 53 49 58 51 51 90 60 47 100 97 116 101 62 10 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 115 116 97 116 101 70 108 97 103 60 47 107 101 121 62 10 9 9 9 9 60 105 110 116 101 103 101 114 62 48 60 47 105 110 116 101 103 101 114 62 10 9 9 9 60 47 100 105 99 116 62 10 9 9 60 47 97 114 114 97 121 62 10 9 60 47 100 105 99 116 62 10 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 115 117 98 84 105 99 107 101 116 46 112 97 112 101 114 95 105 110 102 111 95 116 105 99 107 101 116 60 47 107 101 121 62 10 9 60 100 105 99 116 62 10 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 103 101 70 111 114 109 97 116 46 80 77 65 100 106 117 115 116 101 100 80 97 103 101 82 101 99 116 60 47 107 101 121 62 10 9 9 60 100 105 99 116 62 10 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 114 101 97 116 111 114 60 47 107 101 121 62 10 9 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 105 110 103 109 97 110 97 103 101 114 60 47 115 116 114 105 110 103 62 10 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 105 116 101 109 65 114 114 97 121 60 47 107 101 121 62 10 9 9 9 60 97 114 114 97 121 62 10 9 9 9 9 60 100 105 99 116 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 103 101 70 111 114 109 97 116 46 80 77 65 100 106 117 115 116 101 100 80 97 103 101 82 101 99 116 60 47 107 101 121 62 10 9 9 9 9 9 60 97 114 114 97 121 62 10 9 9 9 9 9 9 60 114 101 97 108 62 48 46 48 60 47 114 101 97 108 62 10 9 9 9 9 9 9 60 114 101 97 108 62 48 46 48 60 47 114 101 97 108 62 10 9 9 9 9 9 9 60 114 101 97 108 62 55 51 52 60 47 114 101 97 108 62 10 9 9 9 9 9 9 60 114 101 97 108 62 53 55 54 60 47 114 101 97 108 62 10 9 9 9 9 9 60 47 97 114 114 97 121 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 108 105 101 110 116 60 47 107 101 121 62 10 9 9 9 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 105 110 103 109 97 110 97 103 101 114 60 47 115 116 114 105 110 103 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 109 111 100 68 97 116 101 60 47 107 101 121 62 10 9 9 9 9 9 60 100 97 116 101 62 50 48 48 56 45 48 50 45 49 49 84 49 56 58 53 49 58 51 51 90 60 47 100 97 116 101 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 115 116 97 116 101 70 108 97 103 60 47 107 101 121 62 10 9 9 9 9 9 60 105 110 116 101 103 101 114 62 48 60 47 105 110 116 101 103 101 114 62 10 9 9 9 9 60 47 100 105 99 116 62 10 9 9 9 60 47 97 114 114 97 121 62 10 9 9 60 47 100 105 99 116 62 10 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 103 101 70 111 114 109 97 116 46 80 77 65 100 106 117 115 116 101 100 80 97 112 101 114 82 101 99 116 60 47 107 101 121 62 10 9 9 60 100 105 99 116 62 10 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 114 101 97 116 111 114 60 47 107 101 121 62 10 9 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 105 110 103 109 97 110 97 103 101 114 60 47 115 116 114 105 110 103 62 10 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 105 116 101 109 65 114 114 97 121 60 47 107 101 121 62 10 9 9 9 60 97 114 114 97 121 62 10 9 9 9 9 60 100 105 99 116 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 103 101 70 111 114 109 97 116 46 80 77 65 100 106 117 115 116 101 100 80 97 112 101 114 82 101 99 116 60 47 107 101 121 62 10 9 9 9 9 9 60 97 114 114 97 121 62 10 9 9 9 9 9 9 60 114 101 97 108 62 45 49 56 60 47 114 101 97 108 62 10 9 9 9 9 9 9 60 114 101 97 108 62 45 49 56 60 47 114 101 97 108 62 10 9 9 9 9 9 9 60 114 101 97 108 62 55 55 52 60 47 114 101 97 108 62 10 9 9 9 9 9 9 60 114 101 97 108 62 53 57 52 60 47 114 101 97 108 62 10 9 9 9 9 9 60 47 97 114 114 97 121 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 108 105 101 110 116 60 47 107 101 121 62 10 9 9 9 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 105 110 103 109 97 110 97 103 101 114 60 47 115 116 114 105 110 103 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 109 111 100 68 97 116 101 60 47 107 101 121 62 10 9 9 9 9 9 60 100 97 116 101 62 50 48 48 56 45 48 50 45 49 49 84 49 56 58 53 49 58 51 51 90 60 47 100 97 116 101 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 115 116 97 116 101 70 108 97 103 60 47 107 101 121 62 10 9 9 9 9 9 60 105 110 116 101 103 101 114 62 48 60 47 105 110 116 101 103 101 114 62 10 9 9 9 9 60 47 100 105 99 116 62 10 9 9 9 60 47 97 114 114 97 121 62 10 9 9 60 47 100 105 99 116 62 10 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 112 101 114 73 110 102 111 46 80 77 80 97 112 101 114 78 97 109 101 60 47 107 101 121 62 10 9 9 60 100 105 99 116 62 10 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 114 101 97 116 111 114 60 47 107 101 121 62 10 9 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 112 109 46 80 111 115 116 83 99 114 105 112 116 60 47 115 116 114 105 110 103 62 10 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 105 116 101 109 65 114 114 97 121 60 47 107 101 121 62 10 9 9 9 60 97 114 114 97 121 62 10 9 9 9 9 60 100 105 99 116 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 112 101 114 73 110 102 111 46 80 77 80 97 112 101 114 78 97 109 101 60 47 107 101 121 62 10 9 9 9 9 9 60 115 116 114 105 110 103 62 110 97 45 108 101 116 116 101 114 60 47 115 116 114 105 110 103 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 108 105 101 110 116 60 47 107 101 121 62 10 9 9 9 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 112 109 46 80 111 115 116 83 99 114 105 112 116 60 47 115 116 114 105 110 103 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 109 111 100 68 97 116 101 60 47 107 101 121 62 10 9 9 9 9 9 60 100 97 116 101 62 50 48 48 51 45 48 55 45 48 49 84 49 55 58 52 57 58 51 54 90 60 47 100 97 116 101 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 115 116 97 116 101 70 108 97 103 60 47 107 101 121 62 10 9 9 9 9 9 60 105 110 116 101 103 101 114 62 49 60 47 105 110 116 101 103 101 114 62 10 9 9 9 9 60 47 100 105 99 116 62 10 9 9 9 60 47 97 114 114 97 121 62 10 9 9 60 47 100 105 99 116 62 10 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 112 101 114 73 110 102 111 46 80 77 85 110 97 100 106 117 115 116 101 100 80 97 103 101 82 101 99 116 60 47 107 101 121 62 10 9 9 60 100 105 99 116 62 10 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 114 101 97 116 111 114 60 47 107 101 121 62 10 9 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 112 109 46 80 111 115 116 83 99 114 105 112 116 60 47 115 116 114 105 110 103 62 10 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 105 116 101 109 65 114 114 97 121 60 47 107 101 121 62 10 9 9 9 60 97 114 114 97 121 62 10 9 9 9 9 60 100 105 99 116 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 112 101 114 73 110 102 111 46 80 77 85 110 97 100 106 117 115 116 101 100 80 97 103 101 82 101 99 116 60 47 107 101 121 62 10 9 9 9 9 9 60 97 114 114 97 121 62 10 9 9 9 9 9 9 60 114 101 97 108 62 48 46 48 60 47 114 101 97 108 62 10 9 9 9 9 9 9 60 114 101 97 108 62 48 46 48 60 47 114 101 97 108 62 10 9 9 9 9 9 9 60 114 101 97 108 62 55 51 52 60 47 114 101 97 108 62 10 9 9 9 9 9 9 60 114 101 97 108 62 53 55 54 60 47 114 101 97 108 62 10 9 9 9 9 9 60 47 97 114 114 97 121 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 108 105 101 110 116 60 47 107 101 121 62 10 9 9 9 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 105 110 103 109 97 110 97 103 101 114 60 47 115 116 114 105 110 103 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 109 111 100 68 97 116 101 60 47 107 101 121 62 10 9 9 9 9 9 60 100 97 116 101 62 50 48 48 56 45 48 50 45 49 49 84 49 56 58 53 49 58 51 51 90 60 47 100 97 116 101 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 115 116 97 116 101 70 108 97 103 60 47 107 101 121 62 10 9 9 9 9 9 60 105 110 116 101 103 101 114 62 48 60 47 105 110 116 101 103 101 114 62 10 9 9 9 9 60 47 100 105 99 116 62 10 9 9 9 60 47 97 114 114 97 121 62 10 9 9 60 47 100 105 99 116 62 10 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 112 101 114 73 110 102 111 46 80 77 85 110 97 100 106 117 115 116 101 100 80 97 112 101 114 82 101 99 116 60 47 107 101 121 62 10 9 9 60 100 105 99 116 62 10 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 114 101 97 116 111 114 60 47 107 101 121 62 10 9 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 112 109 46 80 111 115 116 83 99 114 105 112 116 60 47 115 116 114 105 110 103 62 10 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 105 116 101 109 65 114 114 97 121 60 47 107 101 121 62 10 9 9 9 60 97 114 114 97 121 62 10 9 9 9 9 60 100 105 99 116 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 112 101 114 73 110 102 111 46 80 77 85 110 97 100 106 117 115 116 101 100 80 97 112 101 114 82 101 99 116 60 47 107 101 121 62 10 9 9 9 9 9 60 97 114 114 97 121 62 10 9 9 9 9 9 9 60 114 101 97 108 62 45 49 56 60 47 114 101 97 108 62 10 9 9 9 9 9 9 60 114 101 97 108 62 45 49 56 60 47 114 101 97 108 62 10 9 9 9 9 9 9 60 114 101 97 108 62 55 55 52 60 47 114 101 97 108 62 10 9 9 9 9 9 9 60 114 101 97 108 62 53 57 52 60 47 114 101 97 108 62 10 9 9 9 9 9 60 47 97 114 114 97 121 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 108 105 101 110 116 60 47 107 101 121 62 10 9 9 9 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 105 110 103 109 97 110 97 103 101 114 60 47 115 116 114 105 110 103 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 109 111 100 68 97 116 101 60 47 107 101 121 62 10 9 9 9 9 9 60 100 97 116 101 62 50 48 48 56 45 48 50 45 49 49 84 49 56 58 53 49 58 51 51 90 60 47 100 97 116 101 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 115 116 97 116 101 70 108 97 103 60 47 107 101 121 62 10 9 9 9 9 9 60 105 110 116 101 103 101 114 62 48 60 47 105 110 116 101 103 101 114 62 10 9 9 9 9 60 47 100 105 99 116 62 10 9 9 9 60 47 97 114 114 97 121 62 10 9 9 60 47 100 105 99 116 62 10 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 112 101 114 73 110 102 111 46 112 112 100 46 80 77 80 97 112 101 114 78 97 109 101 60 47 107 101 121 62 10 9 9 60 100 105 99 116 62 10 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 114 101 97 116 111 114 60 47 107 101 121 62 10 9 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 112 109 46 80 111 115 116 83 99 114 105 112 116 60 47 115 116 114 105 110 103 62 10 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 105 116 101 109 65 114 114 97 121 60 47 107 101 121 62 10 9 9 9 60 97 114 114 97 121 62 10 9 9 9 9 60 100 105 99 116 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 112 101 114 73 110 102 111 46 112 112 100 46 80 77 80 97 112 101 114 78 97 109 101 60 47 107 101 121 62 10 9 9 9 9 9 60 115 116 114 105 110 103 62 85 83 32 76 101 116 116 101 114 60 47 115 116 114 105 110 103 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 99 108 105 101 110 116 60 47 107 101 121 62 10 9 9 9 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 112 109 46 80 111 115 116 83 99 114 105 112 116 60 47 115 116 114 105 110 103 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 109 111 100 68 97 116 101 60 47 107 101 121 62 10 9 9 9 9 9 60 100 97 116 101 62 50 48 48 51 45 48 55 45 48 49 84 49 55 58 52 57 58 51 54 90 60 47 100 97 116 101 62 10 9 9 9 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 115 116 97 116 101 70 108 97 103 60 47 107 101 121 62 10 9 9 9 9 9 60 105 110 116 101 103 101 114 62 49 60 47 105 110 116 101 103 101 114 62 10 9 9 9 9 60 47 100 105 99 116 62 10 9 9 9 60 47 97 114 114 97 121 62 10 9 9 60 47 100 105 99 116 62 10 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 65 80 73 86 101 114 115 105 111 110 60 47 107 101 121 62 10 9 9 60 115 116 114 105 110 103 62 48 48 46 50 48 60 47 115 116 114 105 110 103 62 10 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 112 114 105 118 97 116 101 76 111 99 107 60 47 107 101 121 62 10 9 9 60 102 97 108 115 101 47 62 10 9 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 116 121 112 101 60 47 107 101 121 62 10 9 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 112 101 114 73 110 102 111 84 105 99 107 101 116 60 47 115 116 114 105 110 103 62 10 9 60 47 100 105 99 116 62 10 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 65 80 73 86 101 114 115 105 111 110 60 47 107 101 121 62 10 9 60 115 116 114 105 110 103 62 48 48 46 50 48 60 47 115 116 114 105 110 103 62 10 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 112 114 105 118 97 116 101 76 111 99 107 60 47 107 101 121 62 10 9 60 102 97 108 115 101 47 62 10 9 60 107 101 121 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 116 105 99 107 101 116 46 116 121 112 101 60 47 107 101 121 62 10 9 60 115 116 114 105 110 103 62 99 111 109 46 97 112 112 108 101 46 112 114 105 110 116 46 80 97 103 101 70 111 114 109 97 116 84 105 99 107 101 116 60 47 115 116 114 105 110 103 62 10 60 47 100 105 99 116 62 10 60 47 112 108 105 115 116 62 10 56 66 73 77 3 233 0 0 0 0 0 120 0 3 0 0 0 72 0 72 0 0 0 0 2 222 2 64 255 238 255 238 3 6 2 82 3 103 5 40 3 252 0 2 0 0 0 72 0 72 0 0 0 0 2 216 2 40 0 1 0 0 0 100 0 0 0 1 0 3 3 3 0 0 0 1 127 255 0 1 0 1 0 0 0 0 0 0 0 0 0 0 0 0 104 8 0 25 1 144 0 0 0 0 0 32 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 56 66 73 77 3 237 0 0 0 0 0 16 0 200 0 0 0 1 0 1 0 200 0 0 0 1 0 1 56 66 73 77 4 38 0 0 0 0 0 14 0 0 0 0 0 0 0 0 0 0 63 128 0 0 56 66 73 77 4 13 0 0 0 0 0 4 0 0 0 120 56 66 73 77 4 25 0 0 0 0 0 4 0 0 0 30 56 66 73 77 3 243 0 0 0 0 0 9 0 0 0 0 0 0 0 0 1 0 56 66 73 77 4 10 0 0 0 0 0 1 0 0 56 66 73 77 39 16 0 0 0 0 0 10 0 1 0 0 0 0 0 0 0 1 56 66 73 77 3 245 0 0 0 0 0 72 0 47 102 102 0 1 0 108 102 102 0 6 0 0 0 0 0 1 0 47 102 102 0 1 0 161 153 154 0 6 0 0 0 0 0 1 0 50 0 0 0 1 0 90 0 0 0 6 0 0 0 0 0 1 0 53 0 0 0 1 0 45 0 0 0 6 0 0 0 0 0 1 56 66 73 77 3 248 0 0 0 0 0 112 0 0 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 3 232 0 0 0 0 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 3 232 0 0 0 0 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 3 232 0 0 0 0 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 255 3 232 0 0 56 66 73 77 4 0 0 0 0 0 0 2 0 1 56 66 73 77 4 2 0 0 0 0 0 4 0 0 0 0 56 66 73 77 4 8 0 0 0 0 0 16 0 0 0 1 0 0 2 64 0 0 2 64 0 0 0 0 56 66 73 77 4 30 0 0 0 0 0 4 0 0 0 0 56 66 73 77 4 26 0 0 0 0 3 73 0 0 0 6 0 0 0 0 0 0 0 0 0 0 2 66 0 0 2 24 0 0 0 10 0 85 0 110 0 116 0 105 0 116 0 108 0 101 0 100 0 45 0 49 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 2 24 0 0 2 66 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 16 0 0 0 1 0 0 0 0 0 0 110 117 108 108 0 0 0 2 0 0 0 6 98 111 117 110 100 115 79 98 106 99 0 0 0 1 0 0 0 0 0 0 82 99 116 49 0 0 0 4 0 0 0 0 84 111 112 32 108 111 110 103 0 0 0 0 0 0 0 0 76 101 102 116 108 111 110 103 0 0 0 0 0 0 0 0 66 116 111 109 108 111 110 103 0 0 2 66 0 0 0 0 82 103 104 116 108 111 110 103 0 0 2 24 0 0 0 6 115 108 105 99 101 115 86 108 76 115 0 0 0 1 79 98 106 99 0 0 0 1 0 0 0 0 0 5 115 108 105 99 101 0 0 0 18 0 0 0 7 115 108 105 99 101 73 68 108 111 110 103 0 0 0 0 0 0 0 7 103 114 111 117 112 73 68 108 111 110 103 0 0 0 0 0 0 0 6 111 114 105 103 105 110 101 110 117 109 0 0 0 12 69 83 108 105 99 101 79 114 105 103 105 110 0 0 0 13 97 117 116 111 71 101 110 101 114 97 116 101 100 0 0 0 0 84 121 112 101 101 110 117 109 0 0 0 10 69 83 108 105 99 101 84 121 112 101 0 0 0 0 73 109 103 32 0 0 0 6 98 111 117 110 100 115 79 98 106 99 0 0 0 1 0 0 0 0 0 0 82 99 116 49 0 0 0 4 0 0 0 0 84 111 112 32 108 111 110 103 0 0 0 0 0 0 0 0 76 101 102 116 108 111 110 103 0 0 0 0 0 0 0 0 66 116 111 109 108 111 110 103 0 0 2 66 0 0 0 0 82 103 104 116 108 111 110 103 0 0 2 24 0 0 0 3 117 114 108 84 69 88 84 0 0 0 1 0 0 0 0 0 0 110 117 108 108 84 69 88 84 0 0 0 1 0 0 0 0 0 0 77 115 103 101 84 69 88 84 0 0 0 1 0 0 0 0 0 6 97 108 116 84 97 103 84 69 88 84 0 0 0 1 0 0 0 0 0 14 99 101 108 108 84 101 120 116 73 115 72 84 77 76 98 111 111 108 1 0 0 0 8 99 101 108 108 84 101 120 116 84 69 88 84 0 0 0 1 0 0 0 0 0 9 104 111 114 122 65 108 105 103 110 101 110 117 109 0 0 0 15 69 83 108 105 99 101 72 111 114 122 65 108 105 103 110 0 0 0 7 100 101 102 97 117 108 116 0 0 0 9 118 101 114 116 65 108 105 103 110 101 110 117 109 0 0 0 15 69 83 108 105 99 101 86 101 114 116 65 108 105 103 110 0 0 0 7 100 101 102 97 117 108 116 0 0 0 11 98 103 67 111 108 111 114 84 121 112 101 101 110 117 109 0 0 0 17 69 83 108 105 99 101 66 71 67 111 108 111 114 84 121 112 101 0 0 0 0 78 111 110 101 0 0 0 9 116 111 112 79 117 116 115 101 116 108 111 110 103 0 0 0 0 0 0 0 10 108 101 102 116 79 117 116 115 101 116 108 111 110 103 0 0 0 0 0 0 0 12 98 111 116 116 111 109 79 117 116 115 101 116 108 111 110 103 0 0 0 0 0 0 0 11 114 105 103 104 116 79 117 116 115 101 116 108 111 110 103 0 0 0 0 0 56 66 73 77 4 40 0 0 0 0 0 12 0 0 0 1 63 240 0 0 0 0 0 0 56 66 73 77 4 20 0 0 0 0 0 4 0 0 0 2 56 66 73 77 4 12 0 0 0 0 20 34 0 0 0 1 0 0 0 148 0 0 0 160 0 0 1 188 0 1 21 128 0 0 20 6 0 24 0 1 255 216 255 224 0 16 74 70 73 70 0 1 2 1 0 72 0 72 0 0 255 237 0 12 65 100 111 98 101 95 67 77 0 1 255 238 0 14 65 100 111 98 101 0 100 128 0 0 0 1 255 219 0 132 0 12 8 8 8 9 8 12 9 9 12 17 11 10 11 17 21 15 12 12 15 21 24 19 19 21 19 19 24 17 12 12 12 12 12 12 17 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 1 13 11 11 13 14 13 16 14 14 16 20 14 14 14 20 20 14 14 14 14 20 17 12 12 12 12 12 17 17 12 12 12 12 12 12 17 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 255 192 0 17 8 0 160 0 148 3 1 34 0 2 17 1 3 17 1 255 221 0 4 0 10 255 196 1 63 0 0 1 5 1 1 1 1 1 1 0 0 0 0 0 0 0 3 0 1 2 4 5 6 7 8 9 10 11 1 0 1 5 1 1 1 1 1 1 0 0 0 0 0 0 0 1 0 2 3 4 5 6 7 8 9 10 11 16 0 1 4 1 3 2 4 2 5 7 6 8 5 3 12 51 1 0 2 17 3 4 33 18 49 5 65 81 97 19 34 113 129 50 6 20 145 161 177 66 35 36 21 82 193 98 51 52 114 130 209 67 7 37 146 83 240 225 241 99 115 53 22 162 178 131 38 68 147 84 100 69 194 163 116 54 23 210 85 226 101 242 179 132 195 211 117 227 243 70 39 148 164 133 180 149 196 212 228 244 165 181 197 213 229 245 86 102 118 134 150 166 182 198 214 230 246 55 71 87 103 119 135 151 167 183 199 215 231 247 17 0 2 2 1 2 4 4 3 4 5 6 7 7 6 5 53 1 0 2 17 3 33 49 18 4 65 81 97 113 34 19 5 50 129 145 20 161 177 66 35 193 82 209 240 51 36 98 225 114 130 146 67 83 21 99 115 52 241 37 6 22 162 178 131 7 38 53 194 210 68 147 84 163 23 100 69 85 54 116 101 226 242 179 132 195 211 117 227 243 70 148 164 133 180 149 196 212 228 244 165 181 197 213 229 245 86 102 118 134 150 166 182 198 214 230 246 39 55 71 87 103 119 135 151 167 183 199 255 218 0 12 3 1 0 2 17 3 17 0 63 0 211 115 157 185 222 227 201 238 124 83 110 119 239 31 188 164 239 164 239 137 252 169 151 30 73 183 171 12 94 29 18 215 59 225 37 11 123 255 0 121 223 121 71 65 120 135 144 59 234 62 106 72 72 157 10 248 178 96 123 181 46 116 124 74 40 46 26 2 71 204 166 2 0 30 9 38 74 68 149 167 85 247 59 247 143 222 83 58 93 203 156 15 140 148 146 66 207 117 33 38 198 152 46 119 222 82 6 194 96 57 211 241 42 118 141 1 240 74 161 161 62 58 41 56 253 54 186 244 182 109 150 240 231 19 227 37 62 231 126 241 251 202 100 148 118 123 173 92 185 199 66 79 222 80 158 30 221 67 157 31 19 162 34 68 72 32 247 70 50 33 67 68 27 223 251 206 251 202 43 3 162 92 231 121 9 40 108 18 224 15 207 228 140 159 57 17 160 93 37 247 59 247 143 222 82 220 239 222 63 121 76 146 142 202 198 95 224 230 76 239 241 63 186 146 95 224 191 183 255 0 125 73 59 136 247 59 43 248 191 255 208 210 119 210 119 196 254 84 201 221 244 157 241 63 149 50 227 206 239 86 20 133 97 247 252 33 20 144 4 158 16 9 146 73 238 157 1 173 175 136 108 38 81 173 219 155 29 194 146 105 21 162 210 164 146 73 5 49 183 232 124 194 85 125 15 154 133 142 147 3 129 249 82 173 208 96 240 84 156 39 131 241 93 94 148 169 36 146 141 106 146 73 70 199 109 30 103 132 64 189 20 198 144 231 220 26 193 185 207 59 90 7 36 147 237 106 43 154 230 60 214 246 150 61 191 73 142 4 56 124 90 229 12 29 51 177 124 125 122 191 234 216 187 139 89 210 186 161 178 155 61 59 223 67 139 30 222 30 194 14 191 187 99 21 236 28 151 222 35 34 38 33 48 106 49 150 211 107 115 124 215 177 56 220 12 160 69 202 81 222 15 18 146 217 234 255 0 87 198 13 14 202 162 210 234 90 64 53 191 233 13 196 51 218 246 253 47 115 191 57 171 25 85 207 131 38 25 240 100 20 106 251 233 221 151 14 104 101 135 30 51 113 186 237 175 102 95 224 191 183 255 0 125 73 47 240 95 219 255 0 190 164 153 252 23 127 23 255 209 190 235 91 185 210 8 247 31 202 152 218 222 192 149 7 130 30 224 121 220 127 42 138 229 56 35 111 92 34 25 57 197 199 95 185 69 17 181 119 119 220 166 26 209 192 8 25 129 160 87 16 8 65 32 200 208 169 139 127 120 124 194 153 99 15 111 187 69 107 166 116 107 186 133 174 37 222 150 37 90 221 144 99 72 247 122 108 221 237 245 54 255 0 98 175 252 13 59 28 14 89 8 68 92 138 217 228 132 98 101 51 195 24 245 65 143 93 217 86 250 56 213 62 235 121 218 209 192 253 231 184 157 149 183 250 235 102 175 171 5 149 250 189 75 41 184 213 254 115 107 32 71 245 175 187 219 255 0 129 40 93 215 40 195 172 224 244 10 154 24 223 167 148 225 50 123 189 187 191 156 119 252 53 223 248 34 175 87 66 234 221 73 226 252 146 231 147 197 151 18 7 143 179 119 187 111 252 93 59 21 168 98 229 241 203 132 66 92 214 110 208 191 106 63 226 252 223 244 26 153 50 101 35 138 83 28 166 46 156 126 190 98 95 224 252 184 255 0 233 182 253 63 169 120 254 215 63 215 115 127 58 109 178 127 237 175 209 39 245 254 165 59 67 86 209 227 233 218 63 234 2 45 95 84 24 0 245 46 19 220 6 147 255 0 73 206 255 0 190 34 59 234 150 49 26 90 103 205 131 248 22 171 34 60 215 78 79 16 29 136 199 127 250 81 170 115 114 183 175 53 204 19 220 78 95 247 136 25 211 126 173 102 251 112 114 253 43 14 141 102 249 51 255 0 21 145 250 85 79 63 160 117 12 48 108 107 126 211 80 229 213 15 112 31 202 167 233 127 219 126 162 177 147 245 62 208 15 163 99 108 30 6 90 126 231 122 141 255 0 166 170 213 147 215 122 45 130 185 115 170 31 224 45 151 52 129 254 137 218 237 255 0 172 89 179 254 13 67 150 56 182 230 57 115 203 147 254 87 23 201 126 94 172 95 243 217 177 76 157 121 126 100 102 255 0 85 159 231 63 245 79 157 203 245 129 18 221 124 211 227 212 114 50 169 160 187 111 173 99 43 47 230 55 56 51 114 220 183 31 167 253 96 173 247 224 129 141 212 216 55 91 67 180 15 243 49 244 189 223 246 161 159 245 245 139 232 58 167 150 216 11 109 172 193 7 66 215 15 251 243 85 108 184 70 19 25 105 60 114 249 103 31 211 240 254 172 155 152 243 9 137 70 142 60 177 210 80 151 205 3 210 95 215 135 245 158 222 174 137 210 106 173 140 102 45 127 163 33 205 121 18 253 205 59 218 255 0 91 249 205 219 135 239 46 55 169 88 234 250 198 83 235 113 107 197 238 218 90 72 116 207 230 237 247 110 254 170 211 255 0 156 253 79 209 244 226 189 241 30 182 211 187 250 219 39 211 223 255 0 67 254 13 89 250 167 69 14 179 39 37 195 118 72 32 110 118 164 53 210 231 62 127 122 215 239 223 253 69 123 38 92 28 220 241 97 195 232 212 200 203 135 135 135 134 45 12 49 205 202 199 54 108 231 221 211 134 49 226 226 226 226 150 247 47 149 168 58 158 94 87 67 206 175 48 151 59 29 244 1 185 176 248 115 219 244 254 143 238 254 234 199 54 183 176 37 117 255 0 90 156 198 244 123 65 32 58 199 214 214 248 146 30 215 237 255 0 53 175 114 226 213 126 127 23 6 72 70 82 57 12 97 92 71 127 158 101 179 240 249 71 38 57 206 48 246 196 178 26 128 249 126 76 119 255 0 57 47 170 239 78 127 151 199 246 82 75 211 119 161 61 247 241 223 232 164 170 250 124 54 166 214 159 139 255 210 191 123 100 184 247 14 63 116 168 86 217 116 248 34 219 249 255 0 23 126 85 10 120 63 21 201 95 164 189 104 62 150 105 36 146 141 9 176 241 109 204 201 175 26 173 29 97 213 220 237 104 250 118 127 101 171 71 46 195 154 89 209 250 99 73 194 171 219 237 63 206 184 31 125 143 127 250 38 187 221 187 252 35 255 0 73 254 141 3 23 126 63 79 115 235 7 237 61 65 198 138 136 26 138 88 64 184 179 249 118 218 239 69 116 189 39 166 87 129 142 4 3 115 192 245 28 59 127 193 183 249 12 90 92 159 47 41 143 106 36 199 140 9 231 200 62 104 226 151 243 120 99 253 108 159 206 57 252 223 48 49 158 51 234 49 38 56 97 211 220 143 243 153 165 254 207 249 184 35 233 157 15 23 5 173 115 128 178 241 174 227 244 90 127 224 218 127 243 231 243 139 77 36 150 222 44 56 241 68 67 28 68 71 231 227 35 250 78 54 76 179 201 35 41 200 200 158 234 73 36 148 139 20 161 109 53 93 89 174 214 7 177 220 181 194 66 154 72 16 8 32 139 7 161 80 36 27 26 83 204 245 78 133 102 27 254 223 128 226 61 51 186 71 211 103 242 191 225 43 253 255 0 252 19 212 173 3 48 179 170 225 187 57 140 12 206 197 0 102 86 56 123 59 92 207 234 255 0 233 74 255 0 209 46 181 115 157 79 20 244 156 234 250 142 51 127 87 113 45 182 177 198 211 252 237 59 127 117 237 253 37 63 240 172 89 92 215 41 28 34 82 143 251 159 38 153 113 239 236 203 244 115 227 254 235 167 202 243 82 200 99 25 31 215 67 249 169 255 0 156 143 233 96 201 253 247 158 68 163 34 252 107 69 184 246 58 171 6 155 155 225 251 174 7 218 230 255 0 89 79 55 29 184 217 118 83 89 221 80 33 213 56 106 13 111 30 165 90 255 0 81 200 11 28 137 99 153 23 82 129 171 31 189 23 92 24 206 32 239 25 11 215 247 101 224 147 59 47 43 52 135 228 218 109 115 7 178 96 1 251 219 88 192 214 123 149 106 219 46 159 4 94 202 20 240 126 72 153 202 66 70 68 202 93 228 108 174 136 17 141 68 8 129 176 26 4 191 224 191 183 255 0 125 73 47 240 95 219 255 0 190 164 155 252 22 255 0 23 255 211 191 123 160 185 189 203 143 221 42 21 186 29 7 130 153 228 151 184 158 119 31 202 162 185 78 29 41 235 192 210 155 9 19 0 159 4 54 218 6 143 248 2 182 111 232 248 236 232 77 234 77 181 230 199 215 91 182 29 187 38 194 214 159 205 223 249 255 0 190 148 57 124 147 19 49 26 99 137 156 191 187 22 28 153 35 140 192 79 252 164 132 35 253 233 55 250 54 24 179 53 174 112 27 48 105 174 182 142 222 163 155 234 216 239 251 114 203 127 240 53 181 147 149 143 137 87 171 144 240 198 76 14 73 36 240 198 49 178 251 30 239 220 98 171 208 217 250 143 171 222 251 31 97 251 253 54 255 0 209 98 188 88 210 224 226 1 115 103 105 141 68 243 11 160 228 177 240 242 226 81 171 201 250 203 240 159 201 254 46 46 7 159 230 178 113 103 60 86 99 15 70 159 213 249 255 0 198 155 150 238 179 156 227 56 253 43 37 236 253 235 54 84 79 194 187 29 191 252 228 108 110 177 85 182 54 156 154 110 194 185 231 107 27 123 118 181 199 247 106 185 187 169 123 191 145 191 212 90 10 46 99 94 210 215 128 230 158 90 68 130 167 16 200 13 251 151 224 99 30 31 249 171 14 76 68 87 180 35 253 104 202 92 127 94 62 40 127 204 100 146 73 41 24 88 91 109 84 214 235 109 120 174 182 9 115 220 64 0 121 184 172 215 245 187 222 127 82 233 217 57 12 237 99 154 41 105 30 44 251 65 101 142 255 0 182 214 155 152 215 70 224 29 6 68 137 130 59 169 38 74 51 59 75 128 120 11 151 252 230 72 75 28 117 148 61 195 253 98 99 15 249 156 50 255 0 158 230 85 214 218 211 183 63 22 252 31 248 75 90 29 86 186 123 178 42 47 101 127 245 223 77 93 202 199 102 86 53 148 63 232 216 34 124 15 45 119 246 93 238 70 76 214 181 141 13 104 13 107 68 0 52 0 37 192 76 76 102 120 227 33 70 197 111 191 18 165 56 216 148 35 237 200 27 208 241 71 252 30 47 83 195 231 53 194 172 109 250 89 80 179 25 224 246 244 93 185 131 251 44 191 103 246 21 69 189 212 48 89 145 215 89 134 242 107 174 247 58 208 91 19 173 126 232 220 28 223 115 232 89 253 91 167 125 139 41 244 227 139 47 101 85 178 203 28 64 37 187 203 199 187 96 111 179 244 95 184 185 188 252 188 199 30 79 208 199 63 96 200 157 120 225 233 255 0 158 239 224 207 2 33 18 106 115 143 187 93 56 103 46 255 0 243 28 251 29 13 243 58 5 10 157 14 142 197 68 184 184 201 238 153 68 35 165 119 110 1 165 54 191 193 127 111 254 250 146 23 168 239 66 59 239 231 191 209 73 14 3 248 44 225 63 139 255 212 209 115 24 28 237 59 158 126 41 139 24 123 71 193 73 223 73 223 19 249 83 46 64 147 123 189 96 37 218 232 184 21 83 75 114 92 55 93 104 46 107 136 250 45 63 69 172 254 183 231 163 228 127 226 46 143 248 172 127 250 186 144 250 62 91 45 199 101 4 129 109 67 110 211 201 104 250 46 111 253 249 19 44 109 250 151 88 29 169 162 62 79 169 77 240 147 51 47 136 113 221 251 90 127 119 245 156 46 94 83 51 204 67 143 127 188 98 175 238 220 248 93 126 145 31 179 113 227 247 21 127 172 125 103 246 47 75 126 112 96 182 192 230 178 186 201 128 226 227 175 187 254 47 123 212 250 5 162 206 153 88 28 214 92 211 247 239 31 244 30 213 137 254 50 129 253 131 76 118 202 100 255 0 153 114 232 249 50 37 131 9 29 97 15 250 45 76 88 99 62 124 99 152 184 203 41 226 31 189 30 47 251 167 43 255 0 28 236 191 251 129 95 253 184 239 252 130 95 248 231 101 255 0 220 10 255 0 237 199 127 228 23 20 146 185 193 23 163 255 0 68 242 63 230 71 248 211 255 0 190 123 95 252 115 178 255 0 238 5 127 246 227 191 242 9 127 227 157 151 255 0 112 43 255 0 183 29 255 0 144 92 65 120 248 166 223 228 151 182 17 254 140 248 127 249 161 254 54 79 251 231 184 255 0 199 59 47 254 224 87 255 0 110 59 255 0 32 151 254 57 217 127 247 2 191 251 113 223 249 5 196 7 3 228 164 151 183 20 143 133 114 39 108 35 252 105 255 0 223 61 175 254 57 249 67 156 10 227 191 233 15 31 230 47 64 4 16 8 212 29 65 94 18 120 43 219 240 3 198 14 56 127 211 21 48 59 227 180 74 100 226 6 206 71 198 185 60 28 184 194 112 195 131 136 200 75 89 30 42 225 175 153 205 205 143 249 207 129 253 71 127 212 100 165 145 35 172 228 159 248 10 32 255 0 107 33 2 251 189 79 173 184 204 28 87 185 191 117 86 59 254 170 213 46 165 149 70 55 84 200 117 206 219 52 211 181 163 87 58 13 255 0 69 171 156 248 151 175 145 230 184 69 223 51 95 226 240 71 254 229 132 66 87 138 32 89 60 180 116 31 237 156 62 167 139 85 25 175 107 26 3 94 5 129 189 134 239 164 7 246 130 170 88 195 219 238 70 201 189 217 55 190 231 8 46 225 190 0 104 214 161 44 220 124 66 17 18 62 160 5 186 248 248 132 34 36 125 64 11 91 210 30 159 58 111 249 253 20 148 255 0 193 127 111 254 250 146 147 136 247 232 187 136 254 47 255 213 210 119 210 119 196 254 84 201 221 244 157 241 63 149 50 227 206 239 86 21 224 123 142 21 188 142 181 145 103 78 111 75 53 176 82 26 198 239 19 186 24 90 225 252 159 204 85 16 30 119 56 159 185 75 135 36 227 196 34 104 74 60 50 241 137 232 163 142 19 49 50 23 192 120 163 253 89 141 139 211 125 87 204 13 181 248 142 58 88 55 51 250 205 231 252 234 255 0 243 210 185 245 191 1 217 255 0 87 179 42 172 77 149 180 93 95 115 53 17 107 131 99 243 159 91 94 197 203 99 222 250 222 203 152 118 185 164 16 71 98 59 174 227 167 103 215 157 142 45 110 143 26 88 207 7 127 228 93 249 139 91 225 60 200 225 56 36 106 80 38 80 254 180 63 74 63 224 57 92 246 57 97 207 14 106 3 105 70 71 251 240 255 0 190 124 72 144 4 168 18 74 232 62 185 253 93 179 163 117 19 101 76 255 0 39 228 184 187 29 195 134 184 251 159 142 239 221 217 254 11 247 233 254 165 171 158 91 177 54 45 223 135 49 28 208 140 241 155 132 133 255 0 191 253 213 36 146 72 165 74 77 116 104 120 81 73 37 2 65 176 223 233 88 15 234 61 75 27 5 128 159 94 198 181 196 114 25 244 173 127 253 110 160 247 175 104 190 234 241 233 125 214 24 101 109 46 63 46 193 113 191 226 239 234 243 232 164 245 156 182 22 217 115 118 226 49 195 81 89 250 87 235 254 155 252 23 252 15 252 114 209 250 203 213 129 156 74 79 181 135 244 132 119 120 225 159 245 175 252 249 255 0 22 168 243 220 208 195 140 207 244 190 92 99 247 166 226 124 66 127 125 231 33 135 30 176 194 42 114 254 180 191 156 255 0 188 113 234 234 54 215 213 190 220 3 95 99 11 204 31 162 75 131 131 248 254 186 150 126 117 185 249 31 104 181 173 99 182 134 67 102 32 23 31 206 254 178 207 105 218 224 124 57 71 92 204 242 76 67 219 226 60 4 241 17 222 127 188 223 56 160 36 38 34 56 163 30 1 47 234 126 234 146 73 37 10 230 95 224 191 183 255 0 125 73 47 240 95 219 255 0 190 164 157 252 22 255 0 23 255 214 210 46 105 115 160 142 79 229 81 46 104 228 132 23 253 55 127 88 254 84 203 147 56 197 238 245 194 44 223 102 237 6 129 65 73 172 115 184 227 197 79 210 111 114 82 184 199 68 216 12 26 226 211 229 220 43 221 63 169 89 135 112 182 167 71 103 53 220 17 251 174 84 205 94 7 239 80 32 131 5 16 117 18 137 49 148 117 18 31 48 91 56 67 32 49 144 176 119 15 110 45 233 93 127 9 248 153 12 109 141 177 191 164 161 220 143 229 214 225 251 191 153 109 107 128 235 223 80 122 175 78 123 173 192 107 179 241 36 237 216 38 230 137 246 182 202 91 252 239 63 206 81 255 0 109 84 173 85 117 180 184 58 183 22 144 100 71 143 136 143 163 253 149 183 133 245 171 46 184 101 237 23 15 229 115 255 0 110 55 254 255 0 90 215 229 190 45 194 0 204 63 234 144 23 19 253 248 127 222 52 99 203 115 28 172 140 185 105 9 227 58 156 51 255 0 185 124 200 232 226 211 163 129 130 14 132 31 130 75 214 46 234 221 3 62 15 80 193 101 207 26 3 101 117 219 31 213 117 158 255 0 250 40 1 159 82 216 119 55 166 84 79 129 165 132 125 207 59 85 241 241 78 80 139 247 99 255 0 71 240 102 31 16 201 250 92 182 65 47 234 145 40 255 0 140 249 158 46 38 86 101 194 140 74 95 145 105 252 202 154 92 99 196 237 250 45 93 215 213 191 241 122 41 115 115 186 246 211 233 157 205 194 4 57 130 63 59 42 207 160 255 0 248 150 126 139 253 37 150 127 54 182 29 245 147 11 18 159 75 3 17 181 86 62 139 64 13 104 63 241 84 251 127 233 172 124 238 183 155 155 165 143 134 118 96 209 191 230 127 233 79 81 87 207 241 140 64 17 138 242 31 15 68 62 179 151 253 194 201 228 231 57 129 195 24 142 91 25 222 68 241 229 35 250 181 242 187 125 103 235 27 24 215 81 134 237 78 134 225 204 127 192 255 0 233 111 251 105 114 207 121 121 147 242 30 9 137 36 146 76 147 201 42 77 169 199 83 160 252 86 46 124 243 203 62 60 134 206 209 31 163 1 218 17 103 229 249 108 124 188 56 97 245 145 249 164 193 77 150 109 208 234 20 189 38 248 148 198 162 62 137 159 37 23 20 78 133 154 193 102 28 211 193 9 203 154 57 32 42 233 33 237 142 232 225 108 122 173 244 251 198 254 127 178 146 20 31 70 123 111 231 251 41 39 112 71 240 71 8 252 95 255 215 189 123 125 206 112 253 227 63 122 131 27 185 209 219 186 53 191 159 241 63 149 66 158 9 92 151 23 164 248 61 112 62 150 105 36 146 141 106 147 57 187 132 119 236 83 164 136 209 77 116 118 55 104 142 253 208 227 244 209 230 138 159 51 183 142 171 164 84 146 73 40 214 169 5 237 218 232 237 217 25 66 238 1 243 79 129 215 205 49 58 173 83 103 220 123 112 136 153 159 64 39 66 70 202 137 213 73 36 146 106 24 90 221 55 14 71 42 12 110 231 71 110 232 199 80 66 29 60 19 240 82 9 122 79 130 224 116 77 3 210 142 219 248 254 202 73 127 130 254 223 253 245 36 223 224 179 248 191 255 208 208 184 198 255 0 50 71 226 161 81 212 143 29 82 183 123 172 119 181 208 9 141 15 138 136 107 193 144 215 79 192 174 83 128 209 29 222 184 15 77 38 73 38 146 239 205 32 248 65 79 181 223 186 126 226 162 32 142 139 86 73 62 215 126 233 251 138 27 203 136 218 214 187 204 193 68 68 149 13 88 110 247 238 243 148 100 29 143 253 215 125 197 77 133 192 109 115 93 29 140 20 249 196 214 157 23 72 51 73 62 215 126 233 251 138 91 93 251 167 238 42 58 43 22 67 180 240 62 104 142 150 254 105 39 194 10 9 107 201 146 215 73 242 41 240 137 187 93 30 233 43 50 207 134 138 72 77 222 211 59 93 230 32 163 0 72 144 15 220 80 148 72 54 169 44 146 125 174 253 211 247 20 136 112 18 65 31 34 155 69 107 23 24 105 42 21 29 72 241 254 9 63 123 143 209 116 14 52 42 33 175 6 67 93 35 200 169 4 15 13 119 94 6 141 143 240 95 219 255 0 190 164 163 189 222 140 236 118 237 252 65 253 212 144 224 151 110 139 43 243 127 255 217 56 66 73 77 4 33 0 0 0 0 0 83 0 0 0 1 1 0 0 0 15 0 65 0 100 0 111 0 98 0 101 0 32 0 80 0 104 0 111 0 116 0 111 0 115 0 104 0 111 0 112 0 0 0 18 0 65 0 100 0 111 0 98 0 101 0 32 0 80 0 104 0 111 0 116 0 111 0 115 0 104 0 111 0 112 0 32 0 67 0 83 0 0 0 1 0 56 66 73 77 4 6 0 0 0 0 0 7 0 4 0 0 0 1 1 0 255 225 23 254 104 116 116 112 58 47 47 110 115 46 97 100 111 98 101 46 99 111 109 47 120 97 112 47 49 46 48 47 0 60 63 120 112 97 99 107 101 116 32 98 101 103 105 110 61 39 239 187 191 39 32 105 100 61 39 87 53 77 48 77 112 67 101 104 105 72 122 114 101 83 122 78 84 99 122 107 99 57 100 39 63 62 10 60 120 58 120 109 112 109 101 116 97 32 120 109 108 110 115 58 120 61 39 97 100 111 98 101 58 110 115 58 109 101 116 97 47 39 32 120 58 120 109 112 116 107 61 39 88 77 80 32 116 111 111 108 107 105 116 32 51 46 48 45 50 56 44 32 102 114 97 109 101 119 111 114 107 32 49 46 54 39 62 10 60 114 100 102 58 82 68 70 32 120 109 108 110 115 58 114 100 102 61 39 104 116 116 112 58 47 47 119 119 119 46 119 51 46 111 114 103 47 49 57 57 57 47 48 50 47 50 50 45 114 100 102 45 115 121 110 116 97 120 45 110 115 35 39 32 120 109 108 110 115 58 105 88 61 39 104 116 116 112 58 47 47 110 115 46 97 100 111 98 101 46 99 111 109 47 105 88 47 49 46 48 47 39 62 10 10 32 60 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 32 114 100 102 58 97 98 111 117 116 61 39 117 117 105 100 58 55 53 57 48 52 98 53 97 45 100 97 51 50 45 49 49 100 99 45 98 56 101 102 45 101 56 100 57 97 101 53 57 97 50 100 56 39 10 32 32 120 109 108 110 115 58 101 120 105 102 61 39 104 116 116 112 58 47 47 110 115 46 97 100 111 98 101 46 99 111 109 47 101 120 105 102 47 49 46 48 47 39 62 10 32 32 60 101 120 105 102 58 67 111 108 111 114 83 112 97 99 101 62 49 60 47 101 120 105 102 58 67 111 108 111 114 83 112 97 99 101 62 10 32 32 60 101 120 105 102 58 80 105 120 101 108 88 68 105 109 101 110 115 105 111 110 62 53 51 54 60 47 101 120 105 102 58 80 105 120 101 108 88 68 105 109 101 110 115 105 111 110 62 10 32 32 60 101 120 105 102 58 80 105 120 101 108 89 68 105 109 101 110 115 105 111 110 62 53 55 56 60 47 101 120 105 102 58 80 105 120 101 108 89 68 105 109 101 110 115 105 111 110 62 10 32 60 47 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 62 10 10 32 60 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 32 114 100 102 58 97 98 111 117 116 61 39 117 117 105 100 58 55 53 57 48 52 98 53 97 45 100 97 51 50 45 49 49 100 99 45 98 56 101 102 45 101 56 100 57 97 101 53 57 97 50 100 56 39 10 32 32 120 109 108 110 115 58 112 100 102 61 39 104 116 116 112 58 47 47 110 115 46 97 100 111 98 101 46 99 111 109 47 112 100 102 47 49 46 51 47 39 62 10 32 60 47 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 62 10 10 32 60 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 32 114 100 102 58 97 98 111 117 116 61 39 117 117 105 100 58 55 53 57 48 52 98 53 97 45 100 97 51 50 45 49 49 100 99 45 98 56 101 102 45 101 56 100 57 97 101 53 57 97 50 100 56 39 10 32 32 120 109 108 110 115 58 112 104 111 116 111 115 104 111 112 61 39 104 116 116 112 58 47 47 110 115 46 97 100 111 98 101 46 99 111 109 47 112 104 111 116 111 115 104 111 112 47 49 46 48 47 39 62 10 32 32 60 112 104 111 116 111 115 104 111 112 58 72 105 115 116 111 114 121 62 60 47 112 104 111 116 111 115 104 111 112 58 72 105 115 116 111 114 121 62 10 32 60 47 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 62 10 10 32 60 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 32 114 100 102 58 97 98 111 117 116 61 39 117 117 105 100 58 55 53 57 48 52 98 53 97 45 100 97 51 50 45 49 49 100 99 45 98 56 101 102 45 101 56 100 57 97 101 53 57 97 50 100 56 39 10 32 32 120 109 108 110 115 58 116 105 102 102 61 39 104 116 116 112 58 47 47 110 115 46 97 100 111 98 101 46 99 111 109 47 116 105 102 102 47 49 46 48 47 39 62 10 32 32 60 116 105 102 102 58 79 114 105 101 110 116 97 116 105 111 110 62 49 60 47 116 105 102 102 58 79 114 105 101 110 116 97 116 105 111 110 62 10 32 32 60 116 105 102 102 58 88 82 101 115 111 108 117 116 105 111 110 62 50 48 48 47 49 60 47 116 105 102 102 58 88 82 101 115 111 108 117 116 105 111 110 62 10 32 32 60 116 105 102 102 58 89 82 101 115 111 108 117 116 105 111 110 62 50 48 48 47 49 60 47 116 105 102 102 58 89 82 101 115 111 108 117 116 105 111 110 62 10 32 32 60 116 105 102 102 58 82 101 115 111 108 117 116 105 111 110 85 110 105 116 62 50 60 47 116 105 102 102 58 82 101 115 111 108 117 116 105 111 110 85 110 105 116 62 10 32 60 47 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 62 10 10 32 60 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 32 114 100 102 58 97 98 111 117 116 61 39 117 117 105 100 58 55 53 57 48 52 98 53 97 45 100 97 51 50 45 49 49 100 99 45 98 56 101 102 45 101 56 100 57 97 101 53 57 97 50 100 56 39 10 32 32 120 109 108 110 115 58 120 97 112 61 39 104 116 116 112 58 47 47 110 115 46 97 100 111 98 101 46 99 111 109 47 120 97 112 47 49 46 48 47 39 62 10 32 32 60 120 97 112 58 67 114 101 97 116 101 68 97 116 101 62 50 48 48 56 45 48 50 45 49 49 84 49 50 58 53 49 58 53 55 45 48 54 58 48 48 60 47 120 97 112 58 67 114 101 97 116 101 68 97 116 101 62 10 32 32 60 120 97 112 58 77 111 100 105 102 121 68 97 116 101 62 50 48 48 56 45 48 50 45 49 49 84 49 50 58 53 49 58 53 55 45 48 54 58 48 48 60 47 120 97 112 58 77 111 100 105 102 121 68 97 116 101 62 10 32 32 60 120 97 112 58 77 101 116 97 100 97 116 97 68 97 116 101 62 50 48 48 56 45 48 50 45 49 49 84 49 50 58 53 49 58 53 55 45 48 54 58 48 48 60 47 120 97 112 58 77 101 116 97 100 97 116 97 68 97 116 101 62 10 32 32 60 120 97 112 58 67 114 101 97 116 111 114 84 111 111 108 62 65 100 111 98 101 32 80 104 111 116 111 115 104 111 112 32 67 83 32 77 97 99 105 110 116 111 115 104 60 47 120 97 112 58 67 114 101 97 116 111 114 84 111 111 108 62 10 32 60 47 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 62 10 10 32 60 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 32 114 100 102 58 97 98 111 117 116 61 39 117 117 105 100 58 55 53 57 48 52 98 53 97 45 100 97 51 50 45 49 49 100 99 45 98 56 101 102 45 101 56 100 57 97 101 53 57 97 50 100 56 39 10 32 32 120 109 108 110 115 58 120 97 112 77 77 61 39 104 116 116 112 58 47 47 110 115 46 97 100 111 98 101 46 99 111 109 47 120 97 112 47 49 46 48 47 109 109 47 39 62 10 32 32 60 120 97 112 77 77 58 68 111 99 117 109 101 110 116 73 68 62 97 100 111 98 101 58 100 111 99 105 100 58 112 104 111 116 111 115 104 111 112 58 54 100 56 51 55 56 98 99 45 100 97 50 54 45 49 49 100 99 45 98 56 101 102 45 101 56 100 57 97 101 53 57 97 50 100 56 60 47 120 97 112 77 77 58 68 111 99 117 109 101 110 116 73 68 62 10 32 60 47 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 62 10 10 32 60 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 32 114 100 102 58 97 98 111 117 116 61 39 117 117 105 100 58 55 53 57 48 52 98 53 97 45 100 97 51 50 45 49 49 100 99 45 98 56 101 102 45 101 56 100 57 97 101 53 57 97 50 100 56 39 10 32 32 120 109 108 110 115 58 100 99 61 39 104 116 116 112 58 47 47 112 117 114 108 46 111 114 103 47 100 99 47 101 108 101 109 101 110 116 115 47 49 46 49 47 39 62 10 32 32 60 100 99 58 102 111 114 109 97 116 62 105 109 97 103 101 47 106 112 101 103 60 47 100 99 58 102 111 114 109 97 116 62 10 32 60 47 114 100 102 58 68 101 115 99 114 105 112 116 105 111 110 62 10 10 60 47 114 100 102 58 82 68 70 62 10 60 47 120 58 120 109 112 109 101 116 97 62 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 32 10 60 63 120 112 97 99 107 101 116 32 101 110 100 61 39 119 39 63 62 255 226 12 88 73 67 67 95 80 82 79 70 73 76 69 0 1 1 0 0 12 72 76 105 110 111 2 16 0 0 109 110 116 114 82 71 66 32 88 89 90 32 7 206 0 2 0 9 0 6 0 49 0 0 97 99 115 112 77 83 70 84 0 0 0 0 73 69 67 32 115 82 71 66 0 0 0 0 0 0 0 0 0 0 0 0 0 0 246 214 0 1 0 0 0 0 211 45 72 80 32 32 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 17 99 112 114 116 0 0 1 80 0 0 0 51 100 101 115 99 0 0 1 132 0 0 0 108 119 116 112 116 0 0 1 240 0 0 0 20 98 107 112 116 0 0 2 4 0 0 0 20 114 88 89 90 0 0 2 24 0 0 0 20 103 88 89 90 0 0 2 44 0 0 0 20 98 88 89 90 0 0 2 64 0 0 0 20 100 109 110 100 0 0 2 84 0 0 0 112 100 109 100 100 0 0 2 196 0 0 0 136 118 117 101 100 0 0 3 76 0 0 0 134 118 105 101 119 0 0 3 212 0 0 0 36 108 117 109 105 0 0 3 248 0 0 0 20 109 101 97 115 0 0 4 12 0 0 0 36 116 101 99 104 0 0 4 48 0 0 0 12 114 84 82 67 0 0 4 60 0 0 8 12 103 84 82 67 0 0 4 60 0 0 8 12 98 84 82 67 0 0 4 60 0 0 8 12 116 101 120 116 0 0 0 0 67 111 112 121 114 105 103 104 116 32 40 99 41 32 49 57 57 56 32 72 101 119 108 101 116 116 45 80 97 99 107 97 114 100 32 67 111 109 112 97 110 121 0 0 100 101 115 99 0 0 0 0 0 0 0 18 115 82 71 66 32 73 69 67 54 49 57 54 54 45 50 46 49 0 0 0 0 0 0 0 0 0 0 0 18 115 82 71 66 32 73 69 67 54 49 57 54 54 45 50 46 49 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 88 89 90 32 0 0 0 0 0 0 243 81 0 1 0 0 0 1 22 204 88 89 90 32 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 88 89 90 32 0 0 0 0 0 0 111 162 0 0 56 245 0 0 3 144 88 89 90 32 0 0 0 0 0 0 98 153 0 0 183 133 0 0 24 218 88 89 90 32 0 0 0 0 0 0 36 160 0 0 15 132 0 0 182 207 100 101 115 99 0 0 0 0 0 0 0 22 73 69 67 32 104 116 116 112 58 47 47 119 119 119 46 105 101 99 46 99 104 0 0 0 0 0 0 0 0 0 0 0 22 73 69 67 32 104 116 116 112 58 47 47 119 119 119 46 105 101 99 46 99 104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100 101 115 99 0 0 0 0 0 0 0 46 73 69 67 32 54 49 57 54 54 45 50 46 49 32 68 101 102 97 117 108 116 32 82 71 66 32 99 111 108 111 117 114 32 115 112 97 99 101 32 45 32 115 82 71 66 0 0 0 0 0 0 0 0 0 0 0 46 73 69 67 32 54 49 57 54 54 45 50 46 49 32 68 101 102 97 117 108 116 32 82 71 66 32 99 111 108 111 117 114 32 115 112 97 99 101 32 45 32 115 82 71 66 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100 101 115 99 0 0 0 0 0 0 0 44 82 101 102 101 114 101 110 99 101 32 86 105 101 119 105 110 103 32 67 111 110 100 105 116 105 111 110 32 105 110 32 73 69 67 54 49 57 54 54 45 50 46 49 0 0 0 0 0 0 0 0 0 0 0 44 82 101 102 101 114 101 110 99 101 32 86 105 101 119 105 110 103 32 67 111 110 100 105 116 105 111 110 32 105 110 32 73 69 67 54 49 57 54 54 45 50 46 49 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 118 105 101 119 0 0 0 0 0 19 164 254 0 20 95 46 0 16 207 20 0 3 237 204 0 4 19 11 0 3 92 158 0 0 0 1 88 89 90 32 0 0 0 0 0 76 9 86 0 80 0 0 0 87 31 231 109 101 97 115 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2 143 0 0 0 2 115 105 103 32 0 0 0 0 67 82 84 32 99 117 114 118 0 0 0 0 0 0 4 0 0 0 0 5 0 10 0 15 0 20 0 25 0 30 0 35 0 40 0 45 0 50 0 55 0 59 0 64 0 69 0 74 0 79 0 84 0 89 0 94 0 99 0 104 0 109 0 114 0 119 0 124 0 129 0 134 0 139 0 144 0 149 0 154 0 159 0 164 0 169 0 174 0 178 0 183 0 188 0 193 0 198 0 203 0 208 0 213 0 219 0 224 0 229 0 235 0 240 0 246 0 251 1 1 1 7 1 13 1 19 1 25 1 31 1 37 1 43 1 50 1 56 1 62 1 69 1 76 1 82 1 89 1 96 1 103 1 110 1 117 1 124 1 131 1 139 1 146 1 154 1 161 1 169 1 177 1 185 1 193 1 201 1 209 1 217 1 225 1 233 1 242 1 250 2 3 2 12 2 20 2 29 2 38 2 47 2 56 2 65 2 75 2 84 2 93 2 103 2 113 2 122 2 132 2 142 2 152 2 162 2 172 2 182 2 193 2 203 2 213 2 224 2 235 2 245 3 0 3 11 3 22 3 33 3 45 3 56 3 67 3 79 3 90 3 102 3 114 3 126 3 138 3 150 3 162 3 174 3 186 3 199 3 211 3 224 3 236 3 249 4 6 4 19 4 32 4 45 4 59 4 72 4 85 4 99 4 113 4 126 4 140 4 154 4 168 4 182 4 196 4 211 4 225 4 240 4 254 5 13 5 28 5 43 5 58 5 73 5 88 5 103 5 119 5 134 5 150 5 166 5 181 5 197 5 213 5 229 5 246 6 6 6 22 6 39 6 55 6 72 6 89 6 106 6 123 6 140 6 157 6 175 6 192 6 209 6 227 6 245 7 7 7 25 7 43 7 61 7 79 7 97 7 116 7 134 7 153 7 172 7 191 7 210 7 229 7 248 8 11 8 31 8 50 8 70 8 90 8 110 8 130 8 150 8 170 8 190 8 210 8 231 8 251 9 16 9 37 9 58 9 79 9 100 9 121 9 143 9 164 9 186 9 207 9 229 9 251 10 17 10 39 10 61 10 84 10 106 10 129 10 152 10 174 10 197 10 220 10 243 11 11 11 34 11 57 11 81 11 105 11 128 11 152 11 176 11 200 11 225 11 249 12 18 12 42 12 67 12 92 12 117 12 142 12 167 12 192 12 217 12 243 13 13 13 38 13 64 13 90 13 116 13 142 13 169 13 195 13 222 13 248 14 19 14 46 14 73 14 100 14 127 14 155 14 182 14 210 14 238 15 9 15 37 15 65 15 94 15 122 15 150 15 179 15 207 15 236 16 9 16 38 16 67 16 97 16 126 16 155 16 185 16 215 16 245 17 19 17 49 17 79 17 109 17 140 17 170 17 201 17 232 18 7 18 38 18 69 18 100 18 132 18 163 18 195 18 227 19 3 19 35 19 67 19 99 19 131 19 164 19 197 19 229 20 6 20 39 20 73 20 106 20 139 20 173 20 206 20 240 21 18 21 52 21 86 21 120 21 155 21 189 21 224 22 3 22 38 22 73 22 108 22 143 22 178 22 214 22 250 23 29 23 65 23 101 23 137 23 174 23 210 23 247 24 27 24 64 24 101 24 138 24 175 24 213 24 250 25 32 25 69 25 107 25 145 25 183 25 221 26 4 26 42 26 81 26 119 26 158 26 197 26 236 27 20 27 59 27 99 27 138 27 178 27 218 28 2 28 42 28 82 28 123 28 163 28 204 28 245 29 30 29 71 29 112 29 153 29 195 29 236 30 22 30 64 30 106 30 148 30 190 30 233 31 19 31 62 31 105 31 148 31 191 31 234 32 21 32 65 32 108 32 152 32 196 32 240 33 28 33 72 33 117 33 161 33 206 33 251 34 39 34 85 34 130 34 175 34 221 35 10 35 56 35 102 35 148 35 194 35 240 36 31 36 77 36 124 36 171 36 218 37 9 37 56 37 104 37 151 37 199 37 247 38 39 38 87 38 135 38 183 38 232 39 24 39 73 39 122 39 171 39 220 40 13 40 63 40 113 40 162 40 212 41 6 41 56 41 107 41 157 41 208 42 2 42 53 42 104 42 155 42 207 43 2 43 54 43 105 43 157 43 209 44 5 44 57 44 110 44 162 44 215 45 12 45 65 45 118 45 171 45 225 46 22 46 76 46 130 46 183 46 238 47 36 47 90 47 145 47 199 47 254 48 53 48 108 48 164 48 219 49 18 49 74 49 130 49 186 49 242 50 42 50 99 50 155 50 212 51 13 51 70 51 127 51 184 51 241 52 43 52 101 52 158 52 216 53 19 53 77 53 135 53 194 53 253 54 55 54 114 54 174 54 233 55 36 55 96 55 156 55 215 56 20 56 80 56 140 56 200 57 5 57 66 57 127 57 188 57 249 58 54 58 116 58 178 58 239 59 45 59 107 59 170 59 232 60 39 60 101 60 164 60 227 61 34 61 97 61 161 61 224 62 32 62 96 62 160 62 224 63 33 63 97 63 162 63 226 64 35 64 100 64 166 64 231 65 41 65 106 65 172 65 238 66 48 66 114 66 181 66 247 67 58 67 125 67 192 68 3 68 71 68 138 68 206 69 18 69 85 69 154 69 222 70 34 70 103 70 171 70 240 71 53 71 123 71 192 72 5 72 75 72 145 72 215 73 29 73 99 73 169 73 240 74 55 74 125 74 196 75 12 75 83 75 154 75 226 76 42 76 114 76 186 77 2 77 74 77 147 77 220 78 37 78 110 78 183 79 0 79 73 79 147 79 221 80 39 80 113 80 187 81 6 81 80 81 155 81 230 82 49 82 124 82 199 83 19 83 95 83 170 83 246 84 66 84 143 84 219 85 40 85 117 85 194 86 15 86 92 86 169 86 247 87 68 87 146 87 224 88 47 88 125 88 203 89 26 89 105 89 184 90 7 90 86 90 166 90 245 91 69 91 149 91 229 92 53 92 134 92 214 93 39 93 120 93 201 94 26 94 108 94 189 95 15 95 97 95 179 96 5 96 87 96 170 96 252 97 79 97 162 97 245 98 73 98 156 98 240 99 67 99 151 99 235 100 64 100 148 100 233 101 61 101 146 101 231 102 61 102 146 102 232 103 61 103 147 103 233 104 63 104 150 104 236 105 67 105 154 105 241 106 72 106 159 106 247 107 79 107 167 107 255 108 87 108 175 109 8 109 96 109 185 110 18 110 107 110 196 111 30 111 120 111 209 112 43 112 134 112 224 113 58 113 149 113 240 114 75 114 166 115 1 115 93 115 184 116 20 116 112 116 204 117 40 117 133 117 225 118 62 118 155 118 248 119 86 119 179 120 17 120 110 120 204 121 42 121 137 121 231 122 70 122 165 123 4 123 99 123 194 124 33 124 129 124 225 125 65 125 161 126 1 126 98 126 194 127 35 127 132 127 229 128 71 128 168 129 10 129 107 129 205 130 48 130 146 130 244 131 87 131 186 132 29 132 128 132 227 133 71 133 171 134 14 134 114 134 215 135 59 135 159 136 4 136 105 136 206 137 51 137 153 137 254 138 100 138 202 139 48 139 150 139 252 140 99 140 202 141 49 141 152 141 255 142 102 142 206 143 54 143 158 144 6 144 110 144 214 145 63 145 168 146 17 146 122 146 227 147 77 147 182 148 32 148 138 148 244 149 95 149 201 150 52 150 159 151 10 151 117 151 224 152 76 152 184 153 36 153 144 153 252 154 104 154 213 155 66 155 175 156 28 156 137 156 247 157 100 157 210 158 64 158 174 159 29 159 139 159 250 160 105 160 216 161 71 161 182 162 38 162 150 163 6 163 118 163 230 164 86 164 199 165 56 165 169 166 26 166 139 166 253 167 110 167 224 168 82 168 196 169 55 169 169 170 28 170 143 171 2 171 117 171 233 172 92 172 208 173 68 173 184 174 45 174 161 175 22 175 139 176 0 176 117 176 234 177 96 177 214 178 75 178 194 179 56 179 174 180 37 180 156 181 19 181 138 182 1 182 121 182 240 183 104 183 224 184 89 184 209 185 74 185 194 186 59 186 181 187 46 187 167 188 33 188 155 189 21 189 143 190 10 190 132 190 255 191 122 191 245 192 112 192 236 193 103 193 227 194 95 194 219 195 88 195 212 196 81 196 206 197 75 197 200 198 70 198 195 199 65 199 191 200 61 200 188 201 58 201 185 202 56 202 183 203 54 203 182 204 53 204 181 205 53 205 181 206 54 206 182 207 55 207 184 208 57 208 186 209 60 209 190 210 63 210 193 211 68 211 198 212 73 212 203 213 78 213 209 214 85 214 216 215 92 215 224 216 100 216 232 217 108 217 241 218 118 218 251 219 128 220 5 220 138 221 16 221 150 222 28 222 162 223 41 223 175 224 54 224 189 225 68 225 204 226 83 226 219 227 99 227 235 228 115 228 252 229 132 230 13 230 150 231 31 231 169 232 50 232 188 233 70 233 208 234 91 234 229 235 112 235 251 236 134 237 17 237 156 238 40 238 180 239 64 239 204 240 88 240 229 241 114 241 255 242 140 243 25 243 167 244 52 244 194 245 80 245 222 246 109 246 251 247 138 248 25 248 168 249 56 249 199 250 87 250 231 251 119 252 7 252 152 253 41 253 186 254 75 254 220 255 109 255 255 255 238 0 14 65 100 111 98 101 0 100 0 0 0 0 1 255 219 0 132 0 6 4 4 4 5 4 6 5 5 6 9 6 5 6 9 11 8 6 6 8 11 12 10 10 11 10 10 12 16 12 12 12 12 12 12 16 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 1 7 7 7 13 12 13 24 16 16 24 20 14 14 14 20 20 14 14 14 14 20 17 12 12 12 12 12 17 17 12 12 12 12 12 12 17 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 12 255 192 0 17 8 2 66 2 24 3 1 17 0 2 17 1 3 17 1 255 221 0 4 0 67 255 196 1 162 0 0 0 7 1 1 1 1 1 0 0 0 0 0 0 0 0 4 5 3 2 6 1 0 7 8 9 10 11 1 0 2 2 3 1 1 1 1 1 0 0 0 0 0 0 0 1 0 2 3 4 5 6 7 8 9 10 11 16 0 2 1 3 3 2 4 2 6 7 3 4 2 6 2 115 1 2 3 17 4 0 5 33 18 49 65 81 6 19 97 34 113 129 20 50 145 161 7 21 177 66 35 193 82 209 225 51 22 98 240 36 114 130 241 37 67 52 83 146 162 178 99 115 194 53 68 39 147 163 179 54 23 84 100 116 195 210 226 8 38 131 9 10 24 25 132 148 69 70 164 180 86 211 85 40 26 242 227 243 196 212 228 244 101 117 133 149 165 181 197 213 229 245 102 118 134 150 166 182 198 214 230 246 55 71 87 103 119 135 151 167 183 199 215 231 247 56 72 88 104 120 136 152 168 184 200 216 232 248 41 57 73 89 105 121 137 153 169 185 201 217 233 249 42 58 74 90 106 122 138 154 170 186 202 218 234 250 17 0 2 2 1 2 3 5 5 4 5 6 4 8 3 3 109 1 0 2 17 3 4 33 18 49 65 5 81 19 97 34 6 113 129 145 50 161 177 240 20 193 209 225 35 66 21 82 98 114 241 51 36 52 67 130 22 146 83 37 162 99 178 194 7 115 210 53 226 68 131 23 84 147 8 9 10 24 25 38 54 69 26 39 100 116 85 55 242 163 179 195 40 41 211 227 243 132 148 164 180 196 212 228 244 101 117 133 149 165 181 197 213 229 245 70 86 102 118 134 150 166 182 198 214 230 246 71 87 103 119 135 151 167 183 199 215 231 247 56 72 88 104 120 136 152 168 184 200 216 232 248 57 73 89 105 121 137 153 169 185 201 217 233 249 42 58 74 90 106 122 138 154 170 186 202 218 234 250 255 218 0 12 3 1 0 2 17 3 17 0 63 0 153 234 26 133 250 223 220 129 115 40 2 87 0 7 111 230 62 249 230 26 141 70 79 18 94 169 125 71 169 125 31 14 24 112 71 211 31 164 116 67 254 145 212 63 229 170 111 249 24 223 215 41 252 198 79 231 75 253 49 109 240 49 255 0 54 63 39 126 145 212 63 229 170 111 249 24 223 215 31 204 100 254 116 191 211 21 240 49 255 0 54 63 39 126 145 212 63 229 170 111 249 24 223 215 31 204 100 254 116 191 211 21 240 49 255 0 54 63 39 126 145 212 63 229 170 111 249 24 223 215 31 204 100 254 116 191 211 21 240 49 255 0 54 63 39 126 145 212 63 229 170 111 249 24 223 215 31 204 100 254 116 191 211 21 240 49 255 0 54 63 39 29 71 80 34 134 234 95 249 24 223 215 15 230 50 127 58 95 233 138 248 16 254 108 126 74 50 93 106 61 82 238 97 236 100 127 235 150 71 89 147 172 165 243 102 49 99 235 24 255 0 165 8 118 212 181 69 52 55 83 3 255 0 25 31 250 229 195 81 51 252 82 249 182 12 24 255 0 155 31 244 161 175 210 122 151 252 181 205 255 0 35 31 250 225 241 231 252 233 124 211 249 124 127 205 143 250 80 239 210 122 151 252 181 205 255 0 35 31 250 227 227 207 249 210 249 175 229 241 255 0 54 63 233 67 191 73 234 95 242 215 55 252 140 127 235 143 143 63 231 75 230 191 151 199 252 216 255 0 165 14 253 39 169 127 203 92 223 242 49 255 0 174 62 60 255 0 157 47 154 254 95 31 243 99 254 148 59 244 158 165 255 0 45 115 127 200 199 254 184 248 243 254 116 190 107 249 124 127 205 143 250 80 239 210 122 151 252 181 205 255 0 35 31 250 227 227 207 249 210 249 175 229 241 255 0 54 63 233 67 191 73 234 95 242 215 55 252 140 127 235 143 143 63 231 75 230 191 151 199 252 216 255 0 165 14 253 39 169 127 203 92 223 242 49 255 0 174 62 60 255 0 157 47 154 254 95 31 243 99 254 148 59 244 158 165 255 0 45 115 127 200 199 254 184 248 243 254 116 190 107 249 124 127 205 143 250 80 171 29 222 170 219 181 220 202 63 227 35 215 245 229 114 213 204 127 20 190 108 14 44 99 248 99 242 8 133 190 191 81 181 212 223 51 35 127 92 164 234 178 31 226 151 205 172 225 129 254 24 252 151 126 145 212 63 229 170 111 249 24 223 215 35 249 140 159 206 151 250 98 143 3 31 243 99 242 119 233 29 67 254 90 166 255 0 145 141 253 113 252 198 79 231 75 253 49 95 3 31 243 99 242 119 233 29 67 254 90 166 255 0 145 141 253 113 252 198 79 231 75 253 49 95 3 31 243 99 242 119 233 29 67 254 90 166 255 0 145 141 253 113 252 198 79 231 75 253 49 95 3 31 243 99 242 119 233 29 67 254 90 166 255 0 145 141 253 113 252 198 79 231 75 253 49 95 3 31 243 99 242 119 233 29 67 254 90 166 255 0 145 141 253 113 252 198 79 231 75 253 49 95 3 31 243 99 242 88 247 183 237 255 0 31 83 3 226 36 111 235 147 142 171 32 254 41 124 217 12 80 31 195 31 244 168 121 47 117 84 255 0 143 185 136 241 245 31 250 229 209 213 76 255 0 20 190 109 131 14 51 252 49 249 5 63 210 122 151 252 181 205 255 0 35 31 250 228 252 121 255 0 58 95 54 95 151 199 252 216 255 0 165 14 253 39 169 127 203 92 223 242 49 255 0 174 62 60 255 0 157 47 154 254 95 31 243 99 254 148 59 244 158 165 255 0 45 115 127 200 199 254 184 248 243 254 116 190 107 249 124 127 205 143 250 80 239 210 122 151 252 181 205 255 0 35 31 250 227 227 207 249 210 249 175 229 241 255 0 54 63 233 67 191 73 234 95 242 215 55 252 140 127 235 143 143 63 231 75 230 191 151 199 252 216 255 0 165 14 253 39 169 127 203 92 223 242 49 255 0 174 62 60 255 0 157 47 154 254 95 31 243 99 254 148 59 244 158 165 255 0 45 115 127 200 199 254 184 248 243 254 116 190 107 249 124 127 205 143 250 80 239 210 122 151 252 181 205 255 0 35 31 250 227 227 207 249 210 249 175 229 241 255 0 54 63 233 67 191 73 234 95 242 215 55 252 140 127 235 143 143 63 231 75 230 191 151 199 252 216 255 0 165 11 147 80 213 92 209 110 166 255 0 145 143 253 112 29 68 199 241 75 230 131 131 24 254 24 255 0 165 8 132 187 212 23 118 187 153 143 252 100 122 126 188 162 90 188 135 148 165 243 106 56 161 252 216 255 0 165 10 191 164 117 15 249 106 155 254 70 55 245 202 255 0 49 147 249 210 255 0 76 88 248 24 255 0 155 31 147 191 72 234 31 242 213 55 252 140 111 235 143 230 50 127 58 95 233 138 248 24 255 0 155 31 147 191 72 234 31 242 213 55 252 140 111 235 143 230 50 127 58 95 233 138 248 24 255 0 155 31 147 191 72 234 31 242 213 55 252 140 111 235 143 230 50 127 58 95 233 138 248 24 255 0 155 31 147 191 72 234 31 242 213 55 252 140 111 235 143 230 50 127 58 95 233 138 248 24 255 0 155 31 147 191 72 234 31 242 213 55 252 140 111 235 143 230 50 127 58 95 233 138 248 24 255 0 155 31 147 71 80 191 34 134 230 111 249 24 223 215 8 212 228 254 116 191 211 47 129 15 230 199 228 163 37 214 167 213 46 230 249 25 27 250 229 177 214 79 172 165 243 108 24 177 245 140 127 210 161 206 167 169 131 67 119 48 63 241 145 255 0 174 93 227 207 249 210 249 179 240 49 255 0 54 63 32 239 210 122 151 252 181 205 255 0 35 31 250 227 227 207 249 210 249 167 242 248 255 0 155 31 244 161 223 164 245 47 249 107 155 254 70 63 245 199 199 159 243 165 243 95 203 227 254 108 127 210 135 126 147 212 191 229 174 111 249 24 255 0 215 31 30 127 206 151 205 127 47 143 249 177 255 0 74 29 250 79 82 255 0 150 185 191 228 99 255 0 92 124 121 255 0 58 95 53 252 190 63 230 199 253 40 119 233 61 75 254 90 230 255 0 145 143 253 113 241 231 252 233 124 215 242 248 255 0 155 31 244 161 223 164 245 47 249 107 155 254 70 63 245 199 199 159 243 165 243 95 203 227 254 108 127 210 135 126 147 212 191 229 174 111 249 24 255 0 215 31 30 127 206 151 205 127 47 143 249 177 255 0 74 29 250 79 82 255 0 150 185 191 228 99 255 0 92 124 121 255 0 58 95 53 252 190 63 230 199 253 40 119 233 61 79 254 90 230 255 0 145 143 253 113 241 231 252 233 124 215 242 248 255 0 155 31 244 161 94 59 173 80 238 247 115 1 225 234 53 127 94 85 45 92 199 41 75 230 214 113 99 254 108 127 210 133 117 191 191 81 65 115 55 252 140 111 235 148 157 78 67 252 82 249 176 56 97 252 216 252 155 253 35 168 127 203 84 223 242 49 191 174 15 204 100 254 116 191 211 20 120 24 255 0 155 31 147 191 72 234 31 242 213 55 252 140 111 235 143 230 50 127 58 95 233 138 248 24 255 0 155 31 147 191 72 234 31 242 213 55 252 140 111 235 143 230 50 127 58 95 233 138 248 24 255 0 155 31 147 191 72 234 31 242 213 55 252 140 111 235 143 230 50 127 58 95 233 138 248 24 255 0 155 31 147 191 72 234 31 242 213 55 252 140 111 235 143 230 50 127 58 95 233 138 248 24 255 0 155 31 147 191 72 234 31 242 213 55 252 140 111 235 143 230 50 127 58 95 233 138 248 24 255 0 155 31 146 155 222 95 183 75 185 148 251 72 223 215 39 29 94 65 252 82 249 178 24 161 252 216 252 131 118 23 186 162 234 86 161 174 166 42 102 140 127 120 196 31 136 123 230 102 159 83 41 78 62 169 125 67 170 51 97 199 225 203 211 31 164 244 127 255 208 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 86 188 106 226 135 232 56 99 34 18 13 32 228 137 144 208 244 236 115 38 50 5 184 27 91 146 75 177 87 98 174 197 93 138 187 21 112 4 154 13 201 197 81 81 64 23 118 221 191 86 99 207 37 242 106 148 173 91 43 96 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 15 53 191 237 39 210 185 116 50 116 45 145 159 122 31 46 108 118 42 236 85 216 171 177 87 98 174 197 85 33 132 190 231 101 200 78 116 198 82 164 90 168 81 64 40 51 24 155 106 37 188 80 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 178 72 149 198 251 30 199 37 25 144 200 74 144 142 140 141 67 153 49 144 45 160 218 220 41 118 42 236 85 216 171 177 87 98 173 170 150 52 2 167 18 105 73 69 69 10 166 231 118 241 204 105 206 218 101 43 85 200 49 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 68 105 194 186 133 173 127 223 209 255 0 196 134 93 167 254 242 63 214 143 222 213 159 232 151 245 75 255 209 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 173 101 12 164 30 135 8 52 144 105 7 36 101 26 135 232 57 149 25 88 110 6 214 225 75 177 87 98 174 197 93 138 162 224 135 128 169 251 71 240 204 121 206 218 165 43 85 202 216 59 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 15 113 15 237 175 210 50 236 115 232 91 33 46 136 124 185 177 216 171 177 87 98 174 197 85 33 139 153 169 251 35 174 66 115 166 50 149 34 192 0 80 116 204 102 150 241 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 86 73 24 117 161 250 14 24 202 138 65 164 27 41 86 42 122 140 202 6 219 129 182 176 165 216 171 177 87 98 174 0 147 65 212 226 74 163 34 136 34 255 0 148 122 156 198 156 237 166 82 181 76 131 23 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 168 141 59 254 58 22 191 241 154 63 248 144 203 116 255 0 222 71 250 209 251 218 179 255 0 119 47 234 151 255 210 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 83 154 62 105 78 227 166 74 18 162 202 38 144 121 148 220 236 85 216 171 177 85 123 104 234 121 158 131 166 85 150 93 24 76 244 68 229 13 78 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 7 52 124 31 111 178 122 102 76 37 97 186 38 212 242 108 157 138 187 21 109 84 179 5 29 78 2 104 41 52 141 69 10 161 71 65 152 164 217 104 38 215 96 67 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 169 92 71 201 106 62 208 203 49 202 139 56 26 66 102 67 107 177 87 98 174 197 81 22 209 208 115 61 79 76 163 44 186 53 204 244 68 101 77 110 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 162 52 239 248 232 90 255 0 198 104 255 0 226 67 45 211 255 0 121 31 235 71 239 106 207 253 220 191 170 95 255 211 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 132 185 78 47 200 116 111 215 153 24 165 97 182 7 101 44 177 155 177 87 40 36 128 58 156 73 165 40 245 80 170 20 116 25 136 77 150 130 91 192 135 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 167 50 115 66 59 141 198 74 18 162 202 38 138 15 50 155 157 138 187 21 68 90 166 197 207 125 134 83 150 93 26 230 81 25 75 91 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 130 157 56 72 105 208 238 51 38 18 176 221 19 97 102 77 147 177 85 209 167 55 11 227 215 4 141 4 19 72 208 40 40 51 17 161 188 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 84 70 157 255 0 29 11 95 248 205 31 252 72 101 186 127 239 35 253 104 253 237 89 255 0 187 151 245 75 255 212 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 165 112 188 163 62 35 124 158 51 69 148 78 232 76 201 110 118 42 173 108 181 114 127 151 248 229 121 78 204 38 118 69 102 59 83 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 5 50 241 144 142 221 70 101 64 216 111 137 217 102 73 46 197 81 200 188 84 47 134 98 19 101 160 149 216 16 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 168 221 45 80 55 135 241 203 113 29 233 156 14 232 92 189 181 216 170 189 170 245 111 160 101 57 79 70 185 148 78 82 214 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 84 70 157 255 0 29 11 95 248 205 31 252 72 101 186 127 239 35 253 104 253 237 89 255 0 187 151 245 75 255 213 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 209 21 4 120 226 168 2 40 105 153 142 67 177 84 85 168 162 19 226 115 31 41 221 170 124 213 178 182 14 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 84 53 208 248 148 248 138 125 217 126 35 179 108 20 50 214 107 225 21 149 71 189 126 236 140 206 200 151 36 110 98 180 59 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 86 200 42 140 61 176 196 209 72 230 129 204 182 247 98 168 203 113 72 135 190 249 141 144 238 211 62 106 153 6 46 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 68 105 223 241 208 181 255 0 140 209 255 0 196 134 91 167 254 242 63 214 143 222 213 159 251 185 127 84 191 255 214 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 3 32 164 141 243 57 151 30 77 227 146 220 41 70 65 253 210 255 0 159 124 198 201 205 166 92 213 50 12 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 170 23 67 225 83 239 150 226 230 217 4 54 94 216 171 108 63 123 244 101 121 121 49 159 36 94 99 180 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 165 249 152 228 59 21 71 70 41 26 252 134 98 75 155 65 230 187 2 29 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 136 211 191 227 161 107 255 0 25 163 255 0 137 12 183 79 253 228 127 173 31 189 171 63 247 114 254 169 127 255 215 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 3 47 247 141 243 57 149 30 65 190 60 150 228 146 140 131 251 165 255 0 62 249 141 147 155 76 185 170 100 24 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 84 46 190 192 249 229 184 185 182 65 13 151 182 42 219 127 121 244 101 121 121 49 159 36 94 99 180 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 165 231 174 102 57 14 197 81 201 246 23 228 51 18 92 218 15 53 216 16 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 84 70 157 255 0 29 11 95 248 205 31 252 72 101 186 127 239 35 253 104 253 237 89 255 0 187 151 245 75 255 208 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 0 198 172 79 137 204 192 228 6 177 84 93 177 172 84 240 57 143 148 110 213 62 106 185 91 7 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 170 30 236 253 145 243 57 118 16 217 141 15 151 54 42 64 105 42 253 217 12 131 102 50 228 140 204 102 151 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 76 104 164 248 12 32 110 144 128 204 182 247 98 168 200 77 98 95 149 62 236 197 152 221 166 92 213 50 44 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 136 211 191 227 161 107 255 0 25 163 255 0 137 12 183 79 253 228 127 173 31 189 171 63 247 114 254 169 127 255 209 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 178 86 227 27 31 108 148 5 148 196 110 130 204 166 247 98 170 246 173 187 47 210 50 156 163 171 92 194 39 41 107 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 160 238 26 178 31 109 179 39 24 160 221 1 178 158 77 147 106 104 192 248 26 226 66 148 112 53 21 241 204 55 29 188 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 82 184 106 68 125 246 201 227 27 178 128 221 9 153 45 206 197 81 54 173 85 43 224 127 94 81 148 110 213 48 245 173 107 242 203 74 186 229 46 156 230 202 99 191 167 246 226 39 228 126 37 250 15 251 28 236 245 158 206 226 158 248 207 135 47 244 208 255 0 142 254 61 47 21 165 237 252 176 219 32 241 7 251 54 7 172 249 83 92 210 9 55 118 228 194 58 92 71 241 199 247 143 179 254 203 142 114 218 190 204 207 131 235 143 167 249 241 245 67 241 253 103 164 210 246 142 28 255 0 73 245 127 54 95 82 81 152 14 115 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 84 70 157 255 0 29 11 95 248 205 31 252 72 101 186 127 239 35 253 104 253 237 89 255 0 187 151 245 75 255 210 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 135 186 126 137 244 156 187 16 234 217 0 135 203 155 29 138 174 141 248 56 111 191 4 133 132 17 97 29 152 141 14 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 170 215 96 170 88 246 195 17 101 32 90 4 154 154 230 91 123 177 87 98 168 187 119 229 29 59 174 217 143 144 81 106 152 221 87 43 96 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 161 110 94 175 196 116 95 215 153 24 163 179 108 6 202 57 99 55 98 170 144 63 25 7 129 216 228 50 11 12 100 44 62 146 207 81 124 161 196 2 8 34 160 236 65 197 88 206 181 249 125 160 234 92 164 137 62 165 114 119 245 33 0 41 63 229 71 246 127 224 120 230 151 89 216 88 51 110 7 135 47 232 127 196 127 210 46 223 75 219 89 241 108 79 137 31 233 255 0 197 176 45 107 200 90 254 153 202 69 139 235 118 195 127 90 10 177 3 252 164 251 67 254 35 156 182 179 177 51 225 222 188 72 255 0 58 31 241 63 83 210 233 123 99 6 109 175 130 95 205 159 252 83 28 205 67 181 118 42 236 85 216 171 177 87 98 174 197 93 138 162 52 239 248 232 90 255 0 198 104 255 0 226 67 45 211 255 0 121 31 235 71 239 106 207 253 220 191 170 95 255 211 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 90 204 21 75 30 131 8 22 82 5 160 153 139 49 99 212 230 80 20 27 192 107 10 187 21 118 42 138 182 147 146 241 61 87 245 102 62 88 209 182 169 133 108 173 131 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 67 92 201 83 192 116 29 126 121 126 40 245 109 128 234 161 150 179 118 42 236 85 124 82 112 112 123 29 142 70 113 176 137 11 8 220 197 104 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 171 36 112 136 91 238 201 70 54 82 5 160 137 36 212 245 57 148 222 236 85 216 171 177 87 210 217 233 207 147 59 21 118 42 236 85 37 214 188 161 161 106 252 158 226 1 29 195 127 199 204 95 4 149 241 61 155 253 144 205 118 179 178 176 103 222 66 165 252 248 250 101 255 0 30 255 0 57 216 105 123 79 54 13 162 110 63 204 151 211 248 254 171 3 214 191 45 53 139 62 82 88 176 190 128 111 197 126 25 64 255 0 84 159 139 253 137 255 0 99 156 182 179 217 236 216 247 199 251 216 255 0 179 255 0 75 255 0 18 244 154 94 222 197 147 105 254 238 95 236 63 211 49 25 98 150 41 26 57 81 163 145 77 25 24 21 96 125 193 205 4 162 98 104 138 46 242 50 18 22 13 133 184 18 236 85 216 171 177 87 98 168 141 59 254 58 22 191 241 154 63 248 144 203 116 255 0 222 71 250 209 251 218 179 255 0 119 47 234 151 255 212 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 66 79 47 51 65 246 71 227 153 24 225 77 209 141 41 101 140 157 138 187 21 118 42 218 177 86 12 58 140 4 90 145 104 212 112 235 81 244 140 197 148 104 180 17 75 176 33 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 170 115 74 17 118 251 71 166 78 16 182 81 141 160 243 37 185 216 171 177 87 98 174 197 81 22 242 254 195 127 177 57 78 72 117 107 156 122 162 50 150 183 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 180 72 2 167 166 42 131 154 94 109 254 72 233 153 48 141 6 232 198 150 100 217 59 21 118 42 236 85 244 133 237 202 218 217 207 116 202 89 96 141 229 42 58 144 138 90 159 134 122 94 73 240 68 203 249 163 137 242 172 88 248 230 35 252 227 194 149 232 126 111 208 181 149 81 107 112 22 118 31 239 52 191 4 159 32 58 55 251 2 217 133 164 237 60 57 246 137 169 127 50 95 87 252 123 252 215 51 87 217 153 176 125 67 211 252 248 253 63 143 235 39 89 176 117 238 197 93 138 187 21 96 95 155 17 69 245 59 25 120 47 170 100 101 50 80 114 227 198 180 175 90 103 45 237 60 71 4 13 111 196 244 190 206 72 241 204 94 212 243 108 227 158 177 216 171 177 87 98 174 197 81 26 119 252 116 45 127 227 52 127 241 33 150 233 255 0 188 143 245 163 247 181 103 254 238 95 213 47 255 213 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 161 102 159 151 194 189 59 159 28 190 24 235 114 219 24 168 229 172 221 138 187 21 118 42 236 85 216 170 232 228 100 106 143 164 96 148 109 4 90 49 29 92 84 102 44 162 67 73 20 187 2 29 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 169 203 42 160 241 110 195 39 8 91 40 198 208 140 197 141 78 228 230 64 20 220 3 88 85 216 171 177 87 98 174 197 93 138 162 97 156 31 133 186 246 62 57 68 241 214 225 170 81 87 202 152 59 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 104 144 5 78 195 16 21 11 52 197 205 7 217 253 121 145 8 83 116 99 74 89 99 39 98 174 85 44 66 168 169 59 0 58 147 132 5 38 145 195 64 215 76 126 160 211 174 140 127 206 33 146 159 127 28 191 242 153 106 248 39 254 150 78 49 214 97 186 227 133 255 0 90 40 39 141 227 114 146 41 71 93 153 88 80 143 152 57 65 4 26 46 64 32 139 15 161 245 223 248 225 234 63 243 13 55 252 155 57 232 218 175 238 165 253 73 127 185 124 191 73 253 244 63 175 31 247 79 158 225 153 163 106 142 153 230 210 141 190 159 40 219 49 208 191 48 181 205 60 42 60 159 94 181 27 122 115 18 88 15 242 95 237 15 246 92 179 97 164 237 205 70 13 164 124 72 247 79 254 47 254 146 116 122 190 197 195 151 112 60 57 127 71 254 37 159 232 190 123 208 117 78 49 250 191 85 185 59 122 51 209 106 127 201 111 178 223 241 47 242 115 169 209 246 214 12 251 95 4 255 0 155 63 248 167 152 213 246 62 124 59 215 28 127 157 15 248 150 69 155 119 86 236 85 130 254 108 127 199 58 195 254 51 55 252 71 57 143 105 255 0 187 135 245 191 67 210 123 57 253 228 255 0 170 243 60 227 30 181 216 171 177 87 98 174 197 81 26 119 252 116 45 127 227 52 127 241 33 150 233 255 0 188 143 245 163 247 181 103 254 238 95 213 47 255 214 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 171 30 68 65 185 223 195 190 74 49 37 32 90 26 89 153 246 232 190 25 124 96 3 108 99 74 121 54 78 197 93 138 187 21 118 42 236 85 216 171 177 86 213 217 77 84 208 224 34 208 69 162 99 184 86 217 190 19 248 101 18 198 71 38 179 5 108 173 131 177 87 98 174 197 93 138 187 21 118 42 209 32 10 157 134 42 161 37 200 232 155 251 229 209 197 222 216 33 222 140 211 188 177 230 29 78 141 103 97 52 168 221 37 43 193 15 251 55 226 191 142 108 48 104 115 100 250 34 107 253 139 143 159 180 48 97 250 231 17 229 252 95 233 98 201 172 127 40 181 233 128 107 187 136 45 65 253 144 76 142 62 128 2 255 0 195 230 211 23 179 249 143 212 99 15 246 95 143 244 206 167 55 180 184 99 244 137 79 253 135 227 253 42 123 105 249 61 164 165 62 181 127 60 199 191 166 18 33 248 137 51 63 31 179 216 199 213 41 75 221 233 255 0 138 117 217 61 166 202 126 152 70 63 214 185 255 0 196 38 144 126 88 121 62 49 71 182 146 111 119 150 65 255 0 16 41 153 113 236 77 48 230 12 191 206 151 251 215 10 125 191 170 60 164 35 254 108 127 223 113 35 83 200 158 81 64 64 211 34 53 254 98 205 250 201 203 135 101 233 135 240 6 131 218 250 163 252 114 86 95 39 121 85 64 3 74 182 160 241 140 19 247 156 152 236 237 63 243 35 242 107 61 167 169 63 229 39 243 82 111 34 249 73 148 131 166 67 67 225 200 31 188 28 137 236 189 63 243 34 204 118 190 168 127 28 144 179 254 90 249 58 90 210 200 196 79 116 150 81 248 22 35 240 202 165 216 218 99 252 53 254 116 155 161 219 186 161 252 87 254 108 127 82 89 117 249 67 160 73 83 111 117 115 3 30 128 148 117 31 71 21 63 240 217 139 63 103 240 159 164 202 63 236 156 204 126 210 231 31 84 97 47 156 82 171 159 202 109 86 42 253 82 254 43 133 29 4 170 209 55 225 234 12 214 103 246 102 124 225 40 159 235 122 63 226 156 220 126 210 99 63 84 37 31 234 250 255 0 226 18 43 255 0 38 249 150 198 166 107 25 29 7 237 197 73 69 60 126 10 145 244 230 159 63 100 234 113 243 129 175 232 250 255 0 220 187 28 61 169 167 201 202 99 252 239 71 251 164 148 130 9 4 80 141 136 61 107 154 226 41 216 2 236 85 216 171 177 87 98 174 197 93 138 169 201 50 39 83 83 224 50 81 129 44 132 73 67 73 43 57 223 97 216 102 68 96 3 104 141 44 201 37 216 170 105 229 207 47 222 107 186 154 88 219 124 35 237 77 49 21 88 227 29 88 255 0 1 153 122 61 36 179 228 16 143 249 199 249 177 112 245 218 216 105 241 153 203 252 216 255 0 58 79 106 208 60 169 162 232 112 170 89 192 12 244 248 238 156 6 149 143 127 139 246 71 249 43 240 231 111 164 208 98 192 61 35 127 231 255 0 19 192 107 59 71 46 160 220 143 167 249 159 192 156 102 99 130 151 107 94 94 210 53 152 12 55 246 235 33 165 18 80 41 34 127 170 227 113 255 0 17 204 109 78 147 30 97 83 23 254 233 202 210 235 114 224 149 192 215 244 127 135 253 42 253 119 254 56 122 143 252 195 77 255 0 38 206 75 85 253 212 191 169 47 247 44 116 159 223 67 250 241 255 0 116 249 223 60 225 245 21 201 35 33 170 159 152 193 40 130 130 45 19 28 232 251 116 111 3 152 242 198 67 81 137 12 135 68 243 158 187 164 149 72 167 245 173 151 254 61 166 171 45 63 201 63 105 127 216 156 216 104 251 95 62 13 129 226 135 243 39 248 244 186 205 95 101 225 207 185 28 50 254 124 94 143 229 127 59 88 235 178 125 88 68 246 247 170 133 218 51 241 33 0 128 74 176 249 254 208 206 191 179 123 98 26 147 195 70 25 43 252 223 244 207 43 218 29 147 61 56 226 190 40 37 31 155 31 241 206 176 255 0 140 205 255 0 17 204 15 105 255 0 187 135 245 191 67 157 236 231 247 147 254 171 204 243 140 122 215 98 174 197 93 138 180 88 1 82 104 49 2 211 77 216 92 215 82 180 9 211 214 143 127 246 67 50 244 216 255 0 121 27 254 112 99 154 31 187 149 255 0 52 253 207 255 215 144 234 55 46 186 149 216 59 143 90 79 248 145 207 50 212 99 7 36 191 172 95 81 193 1 225 199 250 177 251 148 214 233 15 80 70 99 28 69 153 129 94 38 136 254 208 200 240 20 112 151 122 177 255 0 48 199 128 247 35 132 180 102 136 126 214 60 5 60 37 99 93 32 232 9 252 50 99 17 72 129 83 123 137 27 167 194 61 178 99 24 12 196 2 151 92 177 147 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 87 36 174 157 14 222 25 19 0 80 98 10 178 221 127 50 253 217 89 197 220 192 193 80 92 68 123 211 231 144 56 203 30 2 223 171 31 243 12 28 5 28 37 222 172 95 204 49 224 41 225 43 77 196 67 189 126 88 70 50 158 2 173 99 107 169 106 83 250 26 125 171 220 75 220 32 38 128 247 99 209 71 187 102 78 13 28 242 26 136 50 63 209 107 205 151 30 40 241 78 66 33 154 232 255 0 148 183 179 241 151 89 187 16 175 95 171 193 70 127 165 207 192 191 64 124 232 180 190 206 158 121 15 15 244 99 245 127 166 255 0 164 158 127 83 237 36 35 182 40 241 127 74 127 241 63 87 251 150 109 164 249 55 203 122 87 19 107 100 134 85 255 0 119 202 61 73 43 226 11 87 143 251 30 57 190 211 246 118 12 95 76 69 255 0 58 94 169 60 246 167 181 53 25 190 169 26 254 108 125 49 78 179 57 192 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 3 168 232 122 70 164 180 190 180 142 115 211 153 20 113 242 113 70 31 126 98 234 52 88 115 125 113 18 255 0 117 254 155 234 114 112 106 242 226 250 36 99 248 254 111 210 195 245 111 202 187 119 13 38 149 114 98 110 162 9 254 37 249 7 31 16 250 67 231 63 170 246 102 39 124 82 225 254 140 255 0 226 191 233 39 121 166 246 138 67 108 177 191 233 67 254 39 254 145 96 250 198 129 171 232 239 75 251 118 137 43 69 152 124 81 159 147 143 135 232 251 89 205 234 123 63 54 3 235 137 254 183 240 255 0 166 122 45 54 183 22 113 232 149 255 0 71 248 191 210 165 158 172 127 204 51 23 128 247 57 124 37 163 60 67 246 176 248 101 60 37 99 93 47 236 130 127 12 144 196 82 32 164 243 200 221 232 61 178 193 140 6 98 33 79 38 201 216 171 177 87 98 175 99 252 170 210 163 181 242 231 215 120 254 254 253 217 153 143 94 17 177 69 31 120 102 255 0 101 157 159 97 96 16 195 199 215 39 251 223 75 194 123 67 168 51 207 193 252 56 199 251 41 122 153 158 110 221 11 177 87 98 168 29 119 254 56 122 143 252 195 77 255 0 38 206 81 170 254 234 95 212 151 251 151 35 73 253 244 63 175 31 247 79 157 243 206 31 81 118 42 236 85 122 77 34 244 53 30 7 34 96 11 19 16 89 183 229 84 252 252 204 234 69 15 213 164 255 0 137 46 110 125 158 199 90 143 243 15 251 215 65 237 20 107 79 254 120 255 0 124 200 127 54 157 87 78 176 228 105 89 155 254 35 155 31 105 129 56 225 253 111 208 234 253 155 23 146 127 213 121 151 171 31 243 12 227 120 15 115 215 112 151 25 162 254 97 143 1 79 9 90 110 98 29 42 126 89 33 136 164 64 169 53 211 31 178 41 239 215 38 49 14 172 132 20 153 153 141 88 215 44 0 6 96 34 52 207 248 233 90 127 198 104 255 0 226 99 46 193 245 199 250 193 171 81 253 220 191 171 47 185 255 208 60 212 255 0 227 165 119 255 0 25 164 255 0 137 156 243 108 255 0 92 191 172 95 84 211 255 0 119 31 234 199 238 67 101 77 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 90 206 206 238 246 225 45 173 33 121 231 144 209 35 64 88 159 187 39 143 28 166 120 98 56 164 215 151 44 113 199 138 71 134 33 232 190 92 252 166 20 91 141 118 79 127 169 66 127 7 144 126 164 255 0 131 206 147 71 216 29 114 159 243 35 254 250 95 241 63 233 158 91 93 237 31 240 225 31 242 82 95 239 99 255 0 21 254 149 232 118 26 117 141 133 184 183 178 129 45 225 94 137 24 0 87 196 248 159 115 157 30 44 48 198 56 98 56 67 204 102 207 60 146 226 153 50 146 35 44 106 81 187 189 179 179 139 213 187 158 59 120 191 158 86 8 62 246 35 33 147 36 96 46 68 68 127 73 179 30 41 204 212 65 145 254 139 23 212 191 52 124 175 105 201 97 121 47 100 27 82 20 162 215 253 103 226 63 224 121 102 171 55 110 96 135 34 102 127 163 255 0 30 119 24 61 159 212 207 152 24 199 244 191 227 172 102 251 243 135 81 122 139 27 8 161 29 154 102 105 15 206 139 233 230 175 47 180 51 63 68 68 127 173 234 255 0 137 118 216 125 153 198 62 185 202 95 213 244 127 197 164 87 127 152 222 111 184 168 250 247 162 167 246 98 68 79 198 156 191 225 179 3 39 108 106 101 252 85 253 80 29 142 62 195 210 199 248 120 191 172 100 149 79 230 29 122 122 250 218 141 204 149 236 211 57 31 117 115 18 90 188 210 231 57 255 0 166 46 108 52 88 99 202 16 31 230 197 5 36 211 73 253 228 140 253 254 34 78 255 0 78 82 100 79 50 223 24 1 200 44 200 178 109 29 208 213 24 169 241 6 135 8 36 114 65 0 243 69 193 173 107 48 83 208 191 184 138 157 56 74 235 237 216 229 209 212 229 143 41 72 127 156 90 103 165 197 46 112 132 191 205 138 103 107 231 239 55 91 83 134 165 35 129 218 80 178 255 0 196 195 28 202 135 106 234 99 202 103 252 239 87 251 167 15 39 99 233 103 206 3 252 223 71 251 148 242 203 243 123 93 138 130 238 214 11 149 29 74 242 137 207 210 11 47 252 38 103 98 246 131 40 250 132 101 254 197 215 229 246 107 9 250 101 40 127 179 252 127 166 100 154 111 230 215 151 238 8 91 200 166 178 99 213 136 245 80 125 43 241 127 194 102 203 15 111 225 151 212 37 15 246 95 143 244 174 171 63 179 153 227 244 24 228 255 0 97 47 199 249 204 175 78 214 116 173 73 57 216 93 197 112 58 144 140 11 15 154 253 165 250 70 109 240 234 113 228 23 9 9 58 92 250 92 184 141 78 38 40 204 185 161 108 177 69 44 109 28 168 178 70 226 142 140 1 82 60 8 56 37 16 69 30 73 140 136 54 54 44 35 204 95 149 122 85 232 105 244 166 250 141 201 223 210 220 194 199 229 213 63 216 252 63 228 102 139 89 216 88 231 190 63 221 203 253 135 252 117 232 116 94 208 228 199 182 95 222 71 191 252 167 252 123 241 234 121 142 177 161 106 186 61 207 161 168 91 180 44 107 193 250 163 129 221 88 108 217 203 234 52 185 48 202 166 41 235 180 186 204 121 227 197 3 197 254 234 40 12 199 114 93 138 187 21 118 42 236 85 216 171 220 191 46 102 142 95 39 88 112 59 198 36 71 30 4 72 223 195 124 238 251 30 64 233 163 241 255 0 116 249 231 109 192 141 84 239 173 127 185 12 147 54 110 165 216 171 177 84 175 205 55 41 109 229 189 78 102 52 165 180 161 107 211 147 33 85 31 240 68 102 46 186 124 56 38 127 161 39 51 179 224 101 168 128 254 156 126 247 207 185 231 111 166 187 21 68 89 233 186 133 235 21 179 181 150 229 135 81 18 51 211 231 196 28 183 30 25 207 233 6 95 213 13 89 115 195 30 243 148 97 253 99 194 138 184 242 207 152 173 211 212 155 76 185 68 29 92 196 244 20 241 32 109 150 207 69 154 34 204 39 254 148 180 195 95 130 70 132 225 127 214 12 139 242 155 254 82 151 255 0 152 105 63 226 73 155 30 193 255 0 24 255 0 48 254 135 87 237 31 248 176 254 188 127 223 50 31 206 47 248 230 105 223 241 153 255 0 226 25 177 246 139 232 143 245 157 103 179 31 222 79 250 191 165 229 89 201 189 147 177 87 98 174 197 93 138 162 116 207 248 233 90 127 198 104 255 0 226 99 45 193 245 199 250 193 171 81 253 220 191 171 47 185 255 209 60 212 255 0 227 165 119 255 0 25 164 255 0 137 156 243 108 255 0 92 191 172 95 84 211 255 0 119 31 234 199 238 67 101 77 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 0 147 65 185 197 85 22 222 83 218 159 60 129 200 3 19 48 168 45 60 91 238 25 3 153 143 136 223 213 83 196 224 241 74 56 203 190 170 159 204 113 241 74 120 214 155 83 217 190 252 144 202 188 106 109 12 139 212 109 226 50 98 96 178 18 11 50 76 157 138 187 21 118 42 236 85 146 249 83 200 186 166 190 226 111 247 151 79 7 226 186 113 246 169 218 53 219 153 255 0 133 205 158 131 178 242 106 55 250 113 255 0 63 254 37 212 246 143 107 227 211 10 250 242 127 51 254 47 249 175 94 208 124 183 164 232 118 222 141 132 33 88 143 222 206 219 200 231 252 166 255 0 141 71 195 157 142 151 71 143 4 106 3 252 239 226 147 196 107 53 217 117 18 185 159 243 127 130 41 158 101 56 105 30 187 231 61 3 69 12 151 87 1 238 64 218 214 47 142 79 164 116 95 246 101 115 7 85 218 88 112 125 71 213 252 200 253 95 143 235 59 29 31 101 231 212 111 17 233 254 124 190 159 248 247 249 175 62 214 191 53 245 171 178 209 233 177 173 132 39 96 251 73 41 31 50 56 175 208 191 236 179 157 212 246 246 89 237 1 225 143 244 211 122 109 47 179 184 161 190 67 226 31 244 176 97 151 151 215 183 178 153 174 231 146 226 83 251 114 177 115 247 156 210 228 203 41 155 145 50 63 210 119 216 177 67 24 168 129 17 253 21 28 173 177 216 170 228 138 71 251 42 78 68 204 14 104 50 1 93 108 39 61 65 31 65 202 142 162 33 129 202 21 6 155 39 129 252 6 67 243 65 135 140 27 253 24 254 7 239 24 63 52 23 199 11 78 153 47 106 254 24 70 170 41 241 130 155 88 92 175 236 19 242 203 6 162 7 171 33 150 42 12 142 134 140 165 79 184 166 90 36 15 38 96 130 214 20 187 21 93 28 178 68 235 36 78 82 69 53 87 82 65 7 216 140 49 145 6 194 37 16 69 29 195 41 209 191 50 252 203 167 21 73 165 23 246 227 170 79 187 211 218 65 241 127 193 115 205 182 155 182 179 227 216 159 18 63 211 255 0 138 116 218 174 193 211 229 220 15 14 95 208 255 0 136 255 0 164 94 131 161 126 100 121 123 84 227 20 178 125 66 233 182 244 167 32 33 63 228 201 246 127 224 184 103 67 165 237 156 57 118 39 195 151 244 191 226 158 103 89 216 121 240 238 7 137 31 232 127 196 127 210 76 168 16 69 71 76 219 58 100 61 254 157 99 168 91 61 173 236 43 60 15 246 145 197 126 145 220 31 113 149 229 195 12 145 225 144 226 139 110 28 243 197 46 40 30 25 60 175 205 191 150 87 122 120 123 205 35 149 213 152 169 120 58 203 24 246 167 247 139 255 0 13 255 0 18 206 79 95 216 178 199 234 199 235 135 243 127 142 63 241 79 101 217 189 189 28 190 140 190 137 255 0 59 248 37 255 0 18 193 115 66 244 78 197 93 138 187 21 112 4 154 1 83 137 42 207 255 0 43 252 198 52 235 137 52 187 214 9 109 116 193 224 118 59 44 180 165 15 179 138 127 178 92 222 118 31 105 71 28 188 41 31 76 254 159 235 255 0 199 158 107 183 244 62 44 70 72 111 40 125 95 212 255 0 142 189 95 59 39 139 118 42 236 85 231 31 154 62 98 73 97 26 29 155 134 60 131 222 176 59 14 59 172 127 58 252 77 254 199 57 94 222 237 40 255 0 115 31 249 41 255 0 16 245 94 207 232 72 62 52 135 252 47 254 45 230 77 20 139 212 109 227 156 200 152 47 92 36 11 57 242 7 144 99 213 80 106 154 160 63 80 4 136 32 21 6 82 13 9 36 111 233 131 182 223 107 254 37 208 246 79 101 12 163 196 201 244 127 12 127 159 255 0 29 121 222 217 237 131 132 248 120 255 0 188 254 41 127 51 254 60 245 123 123 107 123 104 86 11 120 146 24 80 81 35 141 66 168 30 192 103 91 8 70 34 162 56 67 198 79 36 166 110 71 136 170 100 152 32 215 70 211 19 82 253 36 150 232 151 188 12 109 50 14 37 149 168 79 42 125 174 157 78 80 52 216 196 248 192 245 255 0 57 200 58 172 135 31 134 77 195 159 11 10 252 226 255 0 142 102 157 255 0 25 159 254 33 154 79 104 190 136 255 0 89 223 251 49 253 228 255 0 171 250 94 85 156 155 217 59 21 118 42 236 85 216 170 39 76 255 0 142 149 167 252 102 143 254 38 50 220 31 92 127 172 26 181 31 221 203 250 178 251 159 255 210 60 212 255 0 227 165 119 255 0 25 164 255 0 137 156 243 108 255 0 92 191 172 95 84 211 255 0 119 31 234 199 238 67 101 77 174 197 93 138 187 21 118 42 236 85 216 171 177 85 120 237 137 221 246 30 29 242 169 101 238 96 103 220 174 168 170 40 162 153 73 145 45 100 218 236 8 118 42 236 85 216 171 177 87 98 171 30 36 126 163 127 17 146 140 200 100 36 66 26 72 25 55 27 175 142 95 28 128 182 9 90 158 77 147 177 87 162 121 39 242 213 174 4 122 142 182 133 32 52 104 44 142 204 227 168 105 63 149 127 200 255 0 130 206 143 179 123 27 138 167 151 151 240 195 254 41 229 251 87 183 120 111 30 19 234 254 44 159 241 31 241 79 81 142 52 141 22 56 212 34 32 10 168 162 128 1 208 0 51 170 0 1 65 227 201 36 217 230 151 107 158 98 210 52 75 127 91 80 156 71 95 238 226 31 20 143 254 170 255 0 31 179 152 250 157 102 60 17 185 159 248 167 43 73 162 203 168 149 64 95 244 191 134 47 45 243 39 230 110 179 169 242 130 194 186 125 153 219 224 63 190 97 254 83 143 179 242 79 248 38 206 83 89 219 89 114 237 15 221 195 253 159 250 111 248 151 177 208 246 14 44 91 207 247 179 255 0 97 254 151 254 41 134 146 73 36 154 147 185 39 52 206 245 192 18 104 55 62 24 21 19 22 159 117 38 252 120 15 22 219 240 235 148 79 83 8 249 181 75 52 66 42 61 38 49 253 227 150 246 27 12 198 150 176 244 13 71 80 122 34 82 202 213 58 70 9 241 59 254 188 162 89 230 122 181 28 178 61 81 214 218 109 253 192 31 86 181 150 81 219 211 70 97 248 12 158 45 46 108 159 68 103 63 234 198 82 113 242 103 132 126 169 70 63 214 41 140 94 79 243 44 162 171 98 227 253 114 137 255 0 18 35 51 161 216 90 201 114 198 127 206 225 135 251 178 226 203 180 244 241 231 49 246 201 20 190 65 243 35 117 138 53 249 200 191 194 185 148 61 153 214 30 145 255 0 76 26 79 108 233 251 207 250 85 81 249 119 230 2 1 172 3 219 153 255 0 154 114 193 236 174 171 250 31 233 191 227 172 63 151 48 127 75 228 166 223 151 254 99 0 210 56 154 158 18 13 254 250 100 15 179 26 177 210 63 233 153 14 218 211 247 159 146 30 95 37 249 154 62 182 69 135 138 60 109 248 6 174 99 207 217 253 100 127 131 253 44 161 47 247 205 177 237 93 57 254 47 178 73 125 206 139 171 91 131 235 217 77 26 247 102 141 184 253 244 166 96 229 208 106 49 253 80 156 127 205 147 149 13 86 41 125 50 137 255 0 57 46 123 75 119 251 81 173 126 84 63 134 81 28 211 29 92 145 146 67 170 30 77 42 6 251 12 80 253 227 47 142 178 67 158 237 163 57 234 133 151 76 184 77 214 142 61 182 63 142 100 67 87 3 207 102 216 231 137 66 178 58 26 48 42 124 14 217 144 8 60 155 65 182 176 165 144 121 119 207 26 238 134 86 56 165 245 236 199 91 73 137 101 3 252 131 213 63 216 252 63 228 230 199 71 218 121 112 108 15 20 63 153 47 199 165 214 107 123 39 14 163 114 56 103 252 248 255 0 190 254 115 213 188 181 231 125 23 94 2 56 159 234 247 180 171 90 74 64 109 191 144 244 113 242 248 191 201 206 179 69 218 120 179 236 61 51 254 100 191 30 167 140 215 246 78 93 54 231 213 15 231 199 253 247 243 89 6 108 93 99 8 243 167 229 213 182 168 36 191 210 213 96 212 119 103 136 124 49 204 127 227 87 63 205 251 95 181 252 217 162 237 46 199 142 91 158 63 78 79 246 51 255 0 143 61 15 101 118 220 176 212 50 122 177 247 255 0 22 63 248 235 201 46 45 231 182 158 75 123 136 218 41 162 98 178 70 194 132 17 212 17 156 132 224 98 72 34 136 123 104 76 76 9 68 220 74 152 4 154 13 206 70 217 34 35 182 238 255 0 112 202 101 151 185 172 207 185 93 85 84 80 10 12 164 155 96 75 120 161 148 232 63 152 122 206 153 26 193 56 23 214 200 40 137 33 33 212 14 193 247 219 253 96 217 187 209 118 246 108 35 134 95 189 135 244 190 175 244 238 155 89 216 152 179 30 33 251 185 127 71 233 255 0 74 200 135 230 197 135 29 236 37 229 225 205 105 95 157 51 111 254 138 49 255 0 50 95 55 87 254 134 231 252 248 252 146 77 107 243 47 87 189 141 161 178 65 97 19 108 206 167 156 164 123 61 7 31 246 43 203 252 172 214 235 61 161 205 144 84 7 132 63 217 255 0 166 118 26 94 193 197 140 220 207 136 127 216 127 165 97 228 146 73 38 164 238 73 206 125 222 171 89 219 61 213 228 22 201 246 231 145 35 94 251 187 5 31 175 44 195 140 206 98 35 248 136 143 250 102 25 114 8 68 200 255 0 8 226 123 221 173 180 54 182 209 91 64 188 33 133 2 70 190 10 162 131 61 79 30 49 8 136 142 81 28 47 154 100 200 103 35 35 206 74 185 54 14 197 93 138 188 251 243 139 254 57 154 119 252 102 127 248 134 115 190 209 125 17 254 179 211 251 49 253 228 255 0 171 250 94 85 156 155 217 59 21 118 42 236 85 216 170 39 75 255 0 142 157 167 252 102 143 254 38 50 220 31 92 127 172 26 181 31 221 203 250 178 251 159 255 211 63 213 227 100 212 174 171 208 205 37 15 251 35 158 105 150 87 57 127 88 190 165 166 55 142 63 213 8 60 131 123 177 87 98 174 197 93 138 187 21 109 84 177 160 21 56 147 74 74 46 40 85 5 122 183 142 99 78 118 211 41 90 166 65 139 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 85 9 109 234 107 24 220 254 200 239 242 203 161 147 161 108 140 251 222 153 228 47 203 213 181 17 106 218 188 117 187 217 237 173 27 164 126 12 227 253 249 224 191 177 254 191 216 236 187 43 178 56 43 38 65 234 254 24 127 55 250 223 210 255 0 114 242 61 177 219 92 119 139 17 244 127 28 255 0 159 253 95 232 127 186 254 175 213 208 115 162 121 134 9 230 255 0 204 203 93 60 189 150 142 86 230 240 85 94 227 172 81 159 111 247 227 15 248 31 245 190 206 104 59 67 182 163 143 211 143 213 63 231 127 12 127 226 158 143 179 59 6 89 42 121 125 16 254 111 241 207 254 37 229 119 183 215 151 215 47 117 121 51 79 113 33 171 200 230 167 251 7 182 114 153 114 203 36 184 164 120 164 246 88 176 195 28 68 96 56 98 20 146 55 145 184 162 150 62 3 42 148 128 22 89 146 7 52 116 26 81 52 51 53 63 201 94 191 126 97 228 214 127 53 162 89 251 147 11 107 69 12 35 130 42 187 108 2 138 177 254 57 138 101 60 134 183 145 238 113 167 147 172 142 204 147 78 242 38 189 121 70 146 53 180 140 247 152 209 169 254 160 171 127 193 113 205 214 147 217 189 86 93 200 240 163 254 217 245 127 164 250 191 211 112 186 156 253 177 130 27 3 198 127 163 255 0 20 201 172 127 46 116 152 168 110 230 146 229 187 168 253 218 125 194 173 255 0 15 157 22 155 217 76 17 254 242 82 200 127 229 92 127 226 191 217 186 140 221 187 150 95 72 16 255 0 101 248 255 0 74 158 218 104 58 45 157 62 175 101 18 48 232 229 67 55 252 19 85 179 119 131 179 52 248 190 136 64 124 61 95 233 165 234 117 185 117 153 167 245 74 72 252 206 113 157 138 187 21 118 42 236 85 216 171 177 84 53 214 151 166 221 143 244 171 88 166 247 116 82 126 131 74 230 54 109 30 28 191 92 35 63 235 69 187 30 163 36 62 153 74 63 20 138 251 242 251 65 184 4 192 36 181 126 220 27 146 215 221 95 151 224 87 52 186 143 102 52 179 250 120 177 31 232 159 79 251 55 99 135 182 179 199 234 169 254 63 162 199 53 31 203 189 94 222 173 104 233 118 131 162 143 129 254 230 248 127 225 179 159 213 123 43 168 134 248 200 202 63 210 79 254 39 253 155 182 193 219 152 165 180 129 129 255 0 77 31 199 249 172 98 247 79 158 7 48 94 64 209 191 242 72 164 31 152 174 115 249 49 100 195 42 144 150 57 121 250 93 190 44 209 144 184 27 254 170 89 62 148 141 188 45 196 255 0 41 220 101 184 245 132 125 78 92 115 158 168 9 173 230 132 210 69 167 129 236 126 156 205 134 72 203 147 145 25 131 201 98 179 35 7 66 85 148 130 172 13 8 35 161 7 44 6 146 69 236 94 135 229 31 205 9 160 41 101 174 147 44 61 18 248 10 186 255 0 198 64 62 216 255 0 43 237 255 0 173 157 23 103 246 225 143 167 46 227 249 255 0 241 79 49 218 94 207 137 92 240 250 79 250 159 240 255 0 153 252 223 247 47 79 130 120 110 33 73 160 145 101 134 65 201 36 66 10 144 123 130 51 169 140 132 133 131 97 228 39 3 19 68 81 12 111 206 126 73 180 243 4 30 180 116 131 83 137 105 20 253 156 15 216 147 219 193 191 103 53 189 165 217 145 212 11 30 156 131 248 191 222 201 218 246 95 106 203 77 42 62 172 71 234 143 251 232 60 142 125 62 123 11 137 45 110 99 49 220 68 120 200 173 212 31 233 158 127 158 19 132 140 100 56 101 31 225 123 136 102 142 72 137 68 220 74 204 165 147 177 87 98 174 197 93 138 187 21 118 42 140 209 174 18 223 88 177 184 147 100 134 226 41 28 251 43 130 127 86 100 105 38 33 154 18 60 163 56 203 253 147 70 170 6 88 167 17 206 80 148 127 216 189 235 61 73 243 87 98 174 197 93 138 188 227 243 146 229 4 26 101 183 237 179 73 33 30 0 5 81 247 215 57 175 104 166 42 17 247 201 234 189 152 129 226 156 191 171 23 152 103 44 245 238 197 93 138 187 21 109 85 152 208 10 156 4 210 147 73 158 147 10 166 161 107 221 189 88 247 255 0 100 50 24 166 78 72 255 0 90 63 123 137 169 149 194 95 213 47 255 212 149 106 106 26 254 232 30 134 89 63 226 71 60 175 57 172 146 254 180 190 247 211 116 230 161 31 234 132 170 72 202 53 15 78 199 44 140 172 57 96 218 220 146 93 138 187 21 118 42 224 9 52 29 113 84 100 49 4 95 242 143 83 152 211 157 180 202 86 169 144 98 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 209 188 129 228 176 171 30 177 169 71 87 52 123 40 27 176 237 35 15 31 228 255 0 130 206 191 176 251 34 171 54 65 191 249 56 255 0 191 255 0 136 255 0 76 242 189 179 218 183 120 177 159 248 100 191 222 127 197 51 233 166 138 24 158 89 157 99 138 48 89 228 98 2 168 27 146 73 233 157 76 164 34 44 236 30 106 49 50 52 5 146 242 111 59 126 99 79 168 153 52 253 33 154 27 13 214 89 198 207 55 141 59 172 127 240 205 251 95 203 156 151 105 118 193 201 112 199 180 63 157 252 255 0 248 235 218 118 87 97 140 85 60 190 172 159 205 254 24 127 199 216 38 104 30 141 29 109 166 59 209 166 248 23 249 123 159 233 152 153 117 64 109 29 218 39 156 14 73 181 149 140 146 72 182 246 144 151 145 182 84 64 75 28 196 132 114 102 151 12 65 156 139 135 151 48 3 138 70 131 51 209 191 46 103 147 140 186 172 190 138 245 250 188 68 23 255 0 100 219 168 250 57 103 85 160 246 86 82 245 103 60 3 253 78 31 95 249 210 250 127 221 58 13 87 110 68 109 136 113 127 74 76 207 78 209 244 205 58 62 22 118 233 23 98 224 85 207 205 143 196 115 175 210 232 48 233 197 99 136 143 251 175 244 223 83 160 207 170 201 148 220 207 18 51 50 220 119 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 81 186 179 180 187 136 195 117 10 77 25 253 151 1 135 209 92 167 54 159 30 88 240 206 34 113 254 147 102 60 178 129 184 147 18 196 181 143 203 171 105 3 75 165 203 232 191 95 66 66 89 15 201 190 210 253 60 179 150 215 123 43 9 122 176 30 3 252 201 253 31 233 190 168 255 0 178 119 122 94 220 144 219 32 226 31 206 143 212 194 53 61 34 250 194 83 5 244 6 50 122 114 21 86 30 196 108 115 143 212 232 243 105 165 89 1 129 252 125 50 122 45 62 166 25 71 20 13 164 183 58 88 53 104 13 15 242 30 159 65 201 98 213 244 147 157 12 253 233 115 163 35 21 96 67 14 160 230 112 32 139 14 72 54 200 252 159 231 61 75 65 184 88 133 103 211 228 111 222 218 147 210 189 90 50 126 203 127 194 182 108 244 29 167 61 49 254 118 63 226 143 252 75 171 237 62 203 199 169 141 253 57 7 211 63 248 167 180 105 122 165 142 167 102 151 118 114 9 33 127 189 79 117 97 217 134 118 186 109 76 51 64 78 6 226 240 90 141 60 240 204 198 98 138 71 231 63 40 67 173 90 153 237 212 38 167 8 253 219 244 18 1 251 13 255 0 26 156 214 246 191 101 13 76 120 163 182 88 255 0 179 254 132 191 222 187 14 203 237 51 167 151 12 191 186 151 251 31 233 60 134 88 164 138 71 138 85 41 34 18 174 140 40 65 6 132 17 158 127 40 152 146 14 196 61 204 100 36 44 114 43 112 37 216 171 177 87 98 174 197 93 138 187 21 122 247 145 60 207 22 171 166 165 164 206 6 161 106 161 100 82 119 116 93 131 143 31 242 255 0 202 206 255 0 177 123 72 103 198 32 79 239 97 254 202 63 207 255 0 138 120 110 216 236 243 135 33 144 31 187 159 251 31 232 255 0 196 178 140 221 186 119 98 170 87 119 118 214 150 210 92 220 200 177 65 18 150 146 70 52 0 12 134 76 145 132 76 164 106 33 158 60 114 156 132 98 56 164 94 17 230 239 48 190 189 173 75 123 66 176 40 17 91 33 234 35 90 210 190 236 73 99 156 23 104 106 255 0 49 148 203 248 126 152 255 0 85 244 126 205 209 13 54 17 15 226 250 167 253 100 151 48 92 247 98 174 197 92 1 38 131 169 196 149 70 69 16 69 247 61 78 98 206 86 211 41 90 51 78 255 0 142 133 175 252 102 143 254 36 50 122 127 239 35 253 104 253 237 25 255 0 187 151 245 75 255 213 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 18 88 249 165 59 142 153 8 74 139 124 77 32 179 41 185 216 171 177 87 98 168 139 104 255 0 108 253 25 78 89 116 107 153 232 136 202 90 221 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 102 30 64 242 159 233 59 159 210 23 137 91 11 118 248 16 244 150 65 219 253 69 253 175 248 31 230 206 131 176 251 47 198 151 137 49 251 184 127 179 159 252 76 93 23 108 246 151 131 31 14 7 247 146 255 0 97 31 248 167 169 203 44 80 196 242 202 226 56 163 5 157 216 208 0 58 146 115 184 148 132 69 157 128 120 216 196 200 208 220 151 146 121 199 206 151 26 204 173 105 106 76 90 98 29 151 163 74 71 237 63 183 242 174 112 93 173 218 242 212 30 8 250 113 15 246 127 214 255 0 137 123 126 203 236 168 224 28 82 223 47 251 143 234 255 0 197 48 227 107 35 203 198 49 80 119 246 25 170 241 128 141 151 121 226 0 55 76 173 108 98 128 6 63 20 159 204 123 124 179 3 46 160 207 220 227 100 202 101 238 101 190 94 242 77 254 167 198 123 154 218 217 29 195 17 241 184 255 0 37 79 111 242 143 252 54 110 187 47 217 236 186 138 148 255 0 117 139 253 156 255 0 169 31 247 223 238 157 38 183 181 161 135 211 31 92 255 0 216 199 250 207 67 210 244 109 59 76 135 210 179 132 71 95 182 253 93 191 214 99 185 206 247 71 160 195 166 143 14 56 240 249 255 0 20 191 173 39 150 212 106 178 102 55 51 104 220 204 113 221 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 84 174 173 45 174 224 104 46 98 89 162 110 168 226 163 42 205 130 25 99 195 48 39 19 252 230 120 242 202 7 138 39 132 176 95 48 126 95 75 16 107 141 36 153 99 27 181 171 26 184 255 0 80 254 215 250 167 226 255 0 91 56 174 211 246 98 81 185 224 245 15 245 47 226 255 0 51 249 223 238 191 172 244 154 46 218 18 244 229 216 255 0 63 254 41 131 221 89 172 132 199 50 21 145 73 6 162 140 164 118 223 57 72 206 88 205 127 177 122 44 121 43 113 201 47 22 109 1 36 252 85 232 222 217 151 227 137 185 30 39 18 109 229 223 50 95 232 119 158 189 177 231 19 208 79 110 199 225 117 31 169 135 236 182 103 104 59 67 38 154 124 81 229 252 80 254 115 133 174 208 195 81 14 25 115 254 25 127 53 236 186 70 173 101 170 216 199 121 104 252 163 127 180 191 180 173 221 88 118 97 158 137 165 213 67 60 4 224 118 63 236 127 162 240 90 157 52 240 204 194 67 118 37 249 137 229 33 115 11 107 22 73 254 147 16 173 220 106 62 218 1 246 255 0 214 65 215 252 159 245 115 65 219 221 151 198 60 104 15 84 127 188 254 148 127 157 254 111 251 151 121 216 157 165 192 124 41 159 73 250 63 163 47 230 255 0 157 254 233 230 89 198 61 115 177 87 98 174 197 93 138 187 21 118 42 190 222 226 123 121 146 120 36 104 166 140 213 36 66 67 3 236 70 74 19 148 8 148 79 12 131 25 192 72 84 133 130 204 244 207 205 61 82 4 9 127 108 151 148 219 212 83 233 57 247 52 12 167 232 85 206 139 79 237 46 88 138 201 17 147 207 232 151 252 75 160 212 123 61 142 70 225 35 15 246 113 70 207 249 181 240 17 6 155 71 236 94 90 129 244 5 223 239 204 153 251 81 183 167 30 255 0 210 151 252 117 162 30 205 239 234 158 223 213 255 0 143 49 29 119 204 250 190 182 212 189 151 247 32 213 45 227 28 99 31 70 245 62 236 115 67 172 237 44 218 131 235 59 127 50 63 67 187 209 246 126 45 63 208 61 95 207 254 38 57 42 20 114 59 118 202 163 43 14 210 38 214 228 146 236 85 216 170 34 218 58 14 103 169 233 148 101 151 70 185 158 136 140 169 173 17 167 127 199 66 215 254 51 71 255 0 18 25 110 159 251 200 255 0 90 63 123 86 127 238 229 253 82 255 0 255 214 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 66 92 167 23 228 58 55 235 204 140 82 176 219 3 178 150 88 205 216 171 104 165 152 40 239 128 154 8 38 145 192 0 0 29 6 98 18 208 222 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 49 242 254 139 113 172 234 145 89 67 176 111 138 105 41 80 145 143 180 223 211 252 172 203 208 232 229 168 202 32 63 206 254 140 28 93 110 174 56 49 153 159 243 127 165 39 183 89 217 219 88 217 197 107 110 162 59 120 23 138 47 128 29 207 241 207 74 197 138 56 160 35 29 163 23 207 50 229 150 73 153 75 121 73 229 254 122 243 139 106 147 157 62 201 233 167 68 223 27 143 247 115 142 255 0 234 15 217 255 0 130 254 92 226 123 107 181 188 121 120 112 63 186 143 253 44 255 0 142 127 55 253 51 216 246 71 101 248 35 142 99 247 146 255 0 165 127 241 230 39 20 45 33 219 97 220 231 59 57 136 187 169 74 147 27 91 89 36 145 32 183 140 201 43 154 34 40 171 19 152 241 140 242 200 70 35 138 82 229 23 27 38 64 1 148 141 0 244 95 44 249 26 11 48 151 90 144 89 174 186 164 61 99 140 251 255 0 59 127 194 231 119 217 30 206 71 21 100 205 235 201 252 207 224 199 255 0 23 47 246 63 238 158 87 95 218 242 159 167 31 166 31 206 254 41 127 196 178 220 234 157 27 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 164 126 98 242 157 134 176 134 74 8 47 64 248 110 20 117 167 103 31 180 63 225 179 75 218 189 137 139 86 47 232 203 254 169 255 0 23 252 231 99 161 237 41 224 53 245 67 249 191 241 47 50 213 52 155 205 58 229 173 111 35 226 253 143 85 97 226 167 184 207 57 213 232 242 233 178 112 76 112 203 253 215 245 94 191 79 169 134 88 241 64 165 19 219 148 248 151 117 253 88 227 203 123 30 110 116 103 105 151 149 252 201 117 161 106 2 100 171 219 73 69 185 130 187 50 248 143 242 215 246 115 109 217 189 161 45 54 78 33 188 15 215 31 199 241 56 125 161 160 142 162 20 126 161 244 75 241 252 47 103 177 189 181 190 180 138 238 217 196 144 76 188 145 135 135 129 247 29 243 209 112 230 142 88 9 196 220 100 240 57 113 75 28 140 100 42 81 121 71 159 60 177 250 35 81 250 197 186 210 194 236 150 140 14 136 253 89 62 93 211 254 109 206 23 182 251 59 242 249 56 163 253 222 79 246 50 254 103 252 75 218 246 62 191 199 199 195 47 239 33 254 202 63 206 255 0 138 98 249 164 119 14 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 84 110 19 146 87 186 254 172 179 28 168 179 129 221 11 153 13 174 197 91 69 228 225 124 112 72 208 180 19 72 224 0 20 29 6 98 52 55 138 162 52 239 248 232 90 255 0 198 104 255 0 226 67 45 211 255 0 121 31 235 71 239 106 207 253 220 191 170 95 255 215 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 82 184 90 198 124 70 249 60 102 139 40 29 208 153 146 220 236 85 94 213 106 197 188 54 202 178 157 169 132 202 39 40 106 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 236 30 66 242 232 210 180 145 60 203 75 219 192 36 150 163 117 79 216 79 187 118 255 0 43 61 3 177 52 30 6 46 41 127 121 147 213 47 247 177 120 94 217 215 120 217 104 125 24 246 255 0 138 146 79 249 141 230 179 18 182 139 100 244 145 199 250 108 138 122 41 255 0 117 255 0 178 253 191 242 126 28 215 246 255 0 105 240 143 6 7 115 253 231 252 71 252 83 159 216 125 157 196 124 105 141 191 201 255 0 197 255 0 196 188 238 24 76 141 224 163 169 206 46 115 225 15 83 41 82 107 167 233 247 23 151 49 218 90 70 94 87 52 85 31 137 39 192 101 120 48 100 207 144 66 3 138 114 112 243 231 142 56 153 72 236 30 165 229 191 43 218 104 208 134 52 150 245 199 239 103 240 255 0 37 43 209 127 226 89 233 61 147 216 216 244 145 191 171 41 250 167 254 246 31 209 255 0 116 241 186 254 208 150 115 252 216 116 143 252 82 119 155 151 92 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 160 181 125 30 199 85 181 54 247 105 81 213 28 125 164 62 42 115 15 93 160 199 169 135 6 65 253 89 127 20 63 170 228 105 181 83 195 46 40 159 248 243 202 245 237 2 243 71 186 244 110 7 56 158 166 25 128 248 92 127 6 254 101 207 50 237 46 205 201 164 201 195 47 164 253 19 254 127 252 123 250 47 105 163 214 195 60 110 60 255 0 138 63 205 72 110 32 227 241 47 217 238 60 50 140 121 47 98 236 97 59 100 158 67 243 89 210 111 126 167 116 255 0 238 58 229 183 39 164 110 118 15 254 169 253 188 232 251 19 180 252 9 240 72 254 234 127 236 37 252 239 248 167 83 219 29 157 227 67 142 63 222 67 253 156 127 155 255 0 18 244 205 115 72 183 213 244 185 172 166 165 36 90 199 39 94 46 55 86 31 35 255 0 11 157 158 179 75 29 70 35 3 252 95 236 101 252 50 121 29 38 166 88 50 9 142 159 238 94 27 119 105 61 165 212 182 183 11 194 104 88 164 138 123 16 105 158 103 151 20 177 200 198 95 84 95 69 197 146 51 136 148 126 153 41 101 108 221 138 187 21 118 42 236 85 216 171 177 87 98 174 197 90 34 162 152 170 5 151 139 17 224 115 44 27 14 64 45 97 85 123 85 220 183 134 195 42 202 122 53 204 162 114 134 183 98 168 141 59 254 58 22 191 241 154 63 248 144 203 116 255 0 222 71 250 209 251 218 179 255 0 119 47 234 151 255 208 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 104 138 130 60 113 5 80 25 152 228 59 21 69 91 10 71 95 19 152 249 78 237 83 230 173 149 176 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 200 252 135 160 141 87 91 70 149 121 90 90 82 105 235 208 144 126 4 255 0 100 223 240 170 217 183 236 77 23 143 156 95 209 143 213 47 247 177 117 93 177 172 240 112 237 245 207 211 31 247 210 122 87 155 60 193 30 137 164 189 192 161 186 147 247 118 168 123 185 29 72 254 85 251 71 59 46 212 215 13 54 35 47 227 62 152 127 91 254 58 242 125 155 162 58 140 162 63 194 61 83 254 175 252 121 226 228 205 117 112 242 72 197 228 145 139 201 35 110 73 38 164 159 158 121 174 92 166 204 165 188 139 223 0 33 26 28 130 101 99 99 61 204 241 218 90 198 94 89 15 20 81 220 251 230 54 28 83 205 144 70 35 138 114 113 115 102 16 137 148 141 0 245 127 45 249 114 219 70 180 226 40 247 114 1 235 207 226 127 149 127 201 25 233 221 147 217 80 210 66 190 172 146 250 231 254 246 63 208 120 173 126 186 89 229 221 1 244 199 241 252 73 198 109 156 7 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 84 46 167 166 90 106 86 143 107 116 156 227 126 135 246 149 187 50 158 196 102 54 175 73 143 81 140 194 98 226 127 216 255 0 74 45 218 125 68 241 76 74 39 119 147 235 218 29 214 145 122 214 211 142 81 181 76 50 246 116 241 249 255 0 48 207 46 237 46 206 158 147 47 4 185 127 4 255 0 159 23 182 209 234 227 158 28 67 159 241 71 249 169 5 196 60 13 71 217 63 134 85 143 37 251 221 148 37 111 77 252 185 243 49 190 179 58 93 211 214 234 213 127 112 199 171 196 54 167 205 63 226 57 222 118 7 104 248 144 240 164 125 112 250 127 165 143 254 56 242 61 185 160 240 231 226 71 233 159 213 253 25 255 0 199 146 223 205 29 4 43 197 172 192 187 61 34 187 167 136 31 3 253 223 7 252 6 97 251 73 162 162 51 71 250 185 63 222 75 253 239 250 87 43 217 253 101 131 132 255 0 90 31 239 163 254 251 253 51 207 243 148 122 119 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 168 59 129 73 79 190 249 147 140 236 221 14 74 121 54 72 187 113 72 135 190 249 141 144 238 213 62 106 185 6 14 197 81 26 119 252 116 45 127 227 52 127 241 33 150 233 255 0 188 143 245 163 247 181 103 254 238 95 213 47 255 209 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 128 125 157 135 185 204 184 242 111 28 154 194 148 100 63 221 46 98 207 155 76 185 170 100 88 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 123 23 144 244 113 166 121 122 39 144 113 158 239 253 34 98 123 2 62 1 244 38 122 23 98 105 60 29 56 39 234 201 235 151 251 223 246 47 9 219 26 175 27 57 3 233 135 162 63 239 191 217 60 239 206 26 243 235 122 211 188 100 155 88 127 117 106 189 184 131 187 127 179 63 23 250 185 199 246 190 191 243 25 76 191 201 195 211 15 248 175 243 158 167 179 52 99 79 132 3 245 203 213 63 248 159 243 80 48 64 64 88 208 22 118 32 80 110 73 62 25 160 145 51 59 57 51 159 82 245 95 40 121 101 52 155 95 94 117 6 254 113 251 195 215 130 157 248 15 248 219 61 35 176 187 32 105 97 197 47 239 167 245 127 67 250 31 241 111 25 218 125 160 115 75 134 63 221 199 253 151 244 153 14 111 221 83 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 168 13 115 70 181 213 236 30 214 113 70 251 80 201 221 31 177 254 185 129 218 58 8 106 177 24 75 252 201 127 50 78 86 147 85 44 19 226 31 231 127 73 228 90 150 157 113 101 117 45 157 210 113 146 51 70 29 136 236 71 177 237 158 89 169 211 207 79 144 194 123 74 15 113 131 60 114 68 78 60 138 6 198 242 231 74 212 161 188 183 52 150 6 14 135 177 29 8 62 204 62 19 153 154 77 84 177 204 100 143 213 23 35 54 40 230 198 97 46 82 123 43 125 71 204 126 93 60 77 109 239 161 216 245 40 223 243 84 110 63 225 115 210 15 6 175 79 183 211 150 63 233 127 233 9 188 16 227 210 231 254 150 57 126 63 211 197 226 87 54 242 219 92 75 111 48 227 44 46 209 200 190 12 166 135 60 219 38 51 9 24 158 113 60 47 160 227 152 156 68 135 41 41 228 25 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 161 110 190 216 249 101 248 185 54 193 71 45 102 141 139 251 165 249 102 44 249 180 203 154 252 139 23 98 168 141 59 254 58 22 191 241 154 63 248 144 203 116 255 0 222 71 250 209 251 218 179 255 0 119 47 234 151 255 210 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 128 147 237 183 204 230 92 121 55 142 77 97 74 54 31 238 151 229 152 179 230 211 46 107 242 44 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 83 63 45 105 95 165 53 203 75 34 43 27 191 41 191 227 26 124 79 255 0 10 41 153 189 157 166 241 243 198 29 9 245 127 86 63 83 137 175 212 120 56 101 62 181 233 254 183 240 189 31 243 23 92 253 29 162 139 72 91 141 197 245 99 90 108 86 33 246 207 211 80 159 236 179 176 237 253 103 131 135 130 63 86 95 79 249 159 199 255 0 18 242 157 135 164 241 115 113 31 167 31 171 252 255 0 225 255 0 138 121 133 172 84 28 207 83 211 229 158 113 154 119 179 216 100 151 70 127 228 15 46 7 97 171 221 47 194 164 139 68 61 200 216 201 244 116 92 235 61 153 236 155 63 152 152 255 0 133 127 213 79 248 151 153 237 157 117 126 234 63 231 255 0 196 51 204 238 30 105 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 88 231 157 60 184 53 75 47 172 219 173 111 173 129 41 78 174 157 74 127 21 255 0 155 179 158 237 254 202 252 206 62 56 15 222 227 255 0 103 15 230 127 196 127 199 157 183 101 107 188 25 240 203 251 185 255 0 177 151 243 191 226 158 87 60 92 208 143 218 29 51 206 113 207 132 189 156 101 69 151 254 87 235 141 29 196 218 52 205 240 75 89 109 129 236 235 246 212 127 172 191 23 251 28 237 189 155 214 212 142 19 202 94 168 127 190 116 94 208 105 46 35 40 233 233 159 251 212 15 230 110 149 245 93 109 47 80 82 43 228 228 127 227 36 116 86 255 0 133 224 115 27 218 45 55 6 113 49 203 40 255 0 103 31 196 92 142 192 212 241 225 224 60 241 159 246 50 252 73 135 231 62 239 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 80 215 95 105 126 89 126 46 77 176 80 203 89 163 98 254 237 126 89 139 62 109 50 230 191 34 197 216 170 35 78 255 0 142 133 175 252 102 143 254 36 50 221 63 247 145 254 180 126 246 172 255 0 221 203 250 165 255 211 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 104 154 10 226 168 2 106 107 153 142 67 177 84 93 185 172 67 219 108 198 200 55 106 159 53 92 131 7 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 160 126 84 105 160 203 123 169 48 251 0 91 196 125 207 196 255 0 169 51 171 246 99 79 188 178 31 234 71 253 212 191 222 188 199 180 121 246 142 49 253 121 127 189 255 0 124 144 121 187 84 58 199 152 231 117 110 86 214 231 209 134 157 56 161 220 255 0 178 110 71 52 157 185 173 241 115 200 143 166 62 136 127 154 236 251 51 79 224 105 192 254 41 122 229 254 114 167 151 180 105 53 109 78 59 85 168 136 124 115 184 253 152 199 95 191 236 140 192 236 189 1 213 102 16 254 31 170 114 254 135 227 210 141 118 168 96 198 101 215 248 127 172 245 248 97 142 24 146 24 148 36 113 168 84 81 208 0 40 6 122 182 56 8 68 70 34 163 23 133 148 140 137 39 153 93 147 98 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 94 105 231 189 4 88 223 139 232 22 150 183 100 150 3 162 203 212 143 246 95 104 127 178 207 58 246 147 179 60 28 190 36 71 238 242 255 0 177 201 255 0 30 250 191 211 61 119 99 235 60 72 112 75 234 135 251 134 39 29 196 214 23 208 95 219 154 73 11 171 175 133 84 215 127 99 154 141 22 162 88 230 36 62 168 30 39 119 40 12 144 48 151 41 7 163 249 226 24 117 143 39 166 163 110 57 122 65 46 163 61 248 48 163 15 160 53 91 253 92 239 59 102 3 81 163 25 35 252 53 147 252 223 226 252 127 69 228 251 34 71 6 168 227 151 91 199 255 0 19 248 254 147 202 115 133 123 71 98 174 197 93 138 187 21 118 42 236 85 216 171 177 84 37 201 172 191 33 153 24 134 205 208 228 165 150 50 69 219 154 196 61 182 204 108 131 118 153 243 85 200 49 118 42 136 211 191 227 161 107 255 0 25 163 255 0 137 12 183 79 253 228 127 173 31 189 171 63 247 114 254 169 127 255 212 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 83 157 184 198 125 246 251 242 120 197 150 81 27 160 243 37 185 216 170 189 171 110 203 244 140 167 40 234 215 48 137 202 90 221 138 187 21 118 42 236 85 216 171 177 87 98 174 197 94 157 167 204 116 15 203 127 172 143 134 230 225 11 198 123 243 156 209 8 255 0 85 56 183 251 28 237 48 79 242 189 157 197 252 83 31 236 178 253 63 236 30 67 52 127 51 175 225 254 24 31 246 56 254 175 246 79 62 183 143 132 123 245 109 206 121 254 89 89 122 137 155 47 87 242 70 137 250 59 73 19 72 180 186 187 164 143 94 161 41 240 47 221 191 251 44 244 127 103 187 63 242 248 56 165 253 230 95 84 191 171 252 17 120 174 214 213 248 185 104 125 48 244 255 0 197 50 44 223 186 167 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 5 172 233 145 106 122 108 246 114 109 234 47 192 223 202 227 117 111 160 230 30 191 71 29 70 25 99 63 197 203 250 51 254 25 57 26 93 65 195 144 76 116 120 221 229 172 144 203 45 180 203 198 72 216 163 175 131 41 166 121 52 225 44 83 49 151 213 3 195 39 189 197 144 72 9 14 69 155 254 94 93 46 161 229 251 237 18 224 239 15 52 0 255 0 190 167 4 126 13 207 59 223 103 243 12 218 105 97 61 63 220 101 252 73 231 123 111 31 133 158 57 163 252 95 238 241 254 34 243 89 162 120 101 120 164 20 120 216 163 143 2 166 135 56 249 196 196 144 121 135 172 140 132 128 35 145 91 145 100 236 85 216 171 177 87 98 174 197 93 138 187 21 64 59 114 114 124 78 101 196 80 111 3 102 176 165 17 106 223 105 126 156 167 40 234 215 48 136 202 90 221 138 162 52 239 248 232 90 255 0 198 104 255 0 226 67 45 211 255 0 121 31 235 71 239 106 207 253 220 191 170 95 255 213 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 66 221 61 88 40 237 215 47 197 29 173 182 1 71 45 102 236 85 116 111 193 195 125 248 36 44 32 139 8 236 196 104 118 42 236 85 216 171 177 87 98 174 197 93 138 174 142 54 146 69 141 5 89 200 85 30 228 208 97 140 73 52 17 34 0 178 244 15 204 121 146 36 210 244 72 143 238 224 79 85 215 217 71 167 31 234 124 233 125 167 204 49 194 24 71 240 142 47 247 144 255 0 126 243 61 133 3 35 60 199 156 143 15 251 249 255 0 189 73 188 171 164 254 147 214 161 129 133 96 143 247 179 255 0 168 157 191 217 26 46 115 221 139 161 252 206 162 49 63 68 125 115 254 172 127 226 190 151 63 180 117 62 14 18 71 212 125 49 122 238 122 171 195 59 21 118 42 236 85 216 171 177 84 13 214 189 161 218 18 183 58 133 188 44 63 101 229 64 223 113 53 204 121 234 177 67 234 148 99 254 112 114 113 232 243 79 233 132 229 254 105 66 15 57 249 84 185 79 210 150 245 29 249 138 125 253 50 175 229 45 61 253 113 110 254 75 212 213 248 115 249 35 173 53 141 34 240 129 105 123 5 193 61 162 149 28 253 192 156 191 30 163 28 254 153 70 95 213 46 62 77 46 88 125 81 148 127 173 18 139 203 154 29 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 86 158 68 141 11 200 193 17 119 102 99 64 62 100 224 36 1 101 32 18 104 37 147 121 171 203 80 146 36 213 45 67 14 170 37 70 63 112 39 49 101 174 193 30 115 135 250 103 46 29 159 168 151 40 79 253 41 83 143 206 62 86 146 156 117 91 97 93 190 41 21 127 226 84 200 199 180 116 231 248 227 243 101 46 204 212 143 242 115 255 0 74 153 219 221 218 92 167 59 105 163 157 63 154 54 14 62 245 39 50 161 146 50 222 36 73 196 158 57 64 212 129 143 245 149 114 108 29 138 187 21 118 42 236 85 231 159 152 186 64 130 246 45 74 49 240 92 142 19 120 9 20 108 127 217 47 252 71 56 31 106 180 60 25 6 97 203 39 166 127 215 143 252 84 127 220 189 79 97 234 120 160 113 158 112 250 127 170 148 249 30 251 234 94 104 130 166 145 94 43 91 191 135 35 186 127 195 42 140 197 246 111 85 193 168 17 60 167 232 255 0 137 255 0 100 230 246 190 31 19 76 123 241 250 255 0 226 146 207 57 218 125 87 205 26 132 96 80 52 190 168 255 0 158 160 73 255 0 27 96 237 124 92 26 169 143 233 113 127 167 245 185 125 149 151 143 77 3 229 195 254 147 208 146 230 185 216 59 21 118 42 236 85 216 171 177 87 98 170 115 191 24 207 137 216 100 241 198 203 40 139 40 60 201 110 118 42 186 39 224 224 246 239 145 144 176 137 11 8 236 197 104 118 42 136 211 191 227 161 107 255 0 25 163 255 0 137 12 183 79 253 228 127 173 31 189 171 63 247 114 254 169 127 255 214 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 22 71 8 165 143 209 149 198 54 91 128 180 9 36 146 79 83 153 96 55 187 21 118 42 236 85 21 109 37 87 137 234 58 124 178 140 177 163 109 83 10 217 83 7 98 174 197 93 138 187 21 118 42 236 85 51 242 197 191 214 60 197 167 68 122 27 136 217 135 178 176 99 248 12 205 236 232 113 234 32 63 167 23 19 180 39 195 130 103 250 18 77 252 223 119 245 191 50 223 73 90 172 76 32 79 97 16 226 223 240 252 178 62 208 106 60 77 84 187 161 232 255 0 74 225 118 102 46 13 60 71 127 175 253 63 252 117 152 126 93 233 158 134 151 37 235 138 73 118 212 67 255 0 21 166 195 239 110 89 211 251 43 163 224 192 114 31 171 41 255 0 97 15 248 247 19 161 237 205 71 22 65 1 202 31 238 164 203 51 168 116 142 197 93 138 180 204 170 165 152 133 85 21 102 59 0 7 115 128 154 72 22 192 252 201 249 171 97 102 205 111 163 160 189 156 84 27 134 168 133 79 181 55 147 254 21 127 202 205 6 179 183 97 15 78 47 92 191 157 252 31 241 231 163 208 251 61 57 250 178 159 14 63 205 255 0 41 255 0 28 96 119 186 247 155 124 193 35 43 75 113 114 167 254 61 237 213 184 10 246 225 24 167 252 22 104 50 106 181 26 131 206 82 254 140 63 226 98 244 152 180 122 93 48 176 33 15 233 79 234 255 0 77 53 176 121 39 205 147 0 83 75 156 87 249 215 211 255 0 137 149 193 30 204 212 75 148 37 254 231 253 210 103 218 186 104 243 156 127 221 127 185 86 255 0 149 127 231 15 250 182 191 252 28 127 243 86 79 249 39 83 252 207 247 63 173 135 242 206 151 249 227 229 47 212 135 159 201 158 106 131 119 210 238 13 63 223 104 100 255 0 136 114 202 229 217 218 136 243 132 191 221 127 185 108 135 106 105 165 202 113 249 240 255 0 186 68 105 254 109 243 110 133 40 143 215 148 42 245 181 187 12 203 79 10 63 196 191 236 10 229 152 123 67 81 128 213 159 234 100 255 0 143 53 102 236 221 46 160 93 71 250 248 255 0 227 191 239 158 135 229 159 204 189 39 85 100 182 190 2 194 245 182 94 70 177 57 255 0 37 207 217 39 249 91 254 9 179 163 209 118 214 60 190 153 254 238 127 236 30 99 95 216 57 112 250 161 251 200 127 179 143 249 172 203 55 78 133 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 84 46 165 170 88 105 150 141 119 125 50 193 2 254 211 119 62 10 6 236 222 195 42 205 158 24 163 197 51 194 27 176 105 231 150 92 48 28 82 121 166 191 249 181 125 51 52 58 44 66 218 30 130 230 80 26 83 238 171 186 47 211 207 57 141 95 111 200 237 136 112 143 231 75 234 122 205 31 179 144 142 249 143 17 254 100 126 143 248 175 247 44 85 225 243 86 184 226 86 142 243 80 174 225 248 201 34 138 248 108 85 115 82 99 168 206 110 167 147 253 52 157 208 150 155 78 40 28 120 191 210 197 17 31 144 188 222 235 201 116 201 0 255 0 40 162 159 185 152 101 131 178 181 39 248 11 81 237 141 40 254 49 246 182 124 129 231 0 9 58 108 155 111 179 70 127 83 97 254 73 212 255 0 48 255 0 177 71 242 206 151 249 227 253 151 234 67 63 151 188 213 167 72 38 250 133 220 14 157 38 141 31 111 246 105 253 114 163 164 212 99 55 195 56 252 11 104 214 233 178 138 227 132 191 163 113 255 0 115 36 231 69 252 205 243 30 156 226 43 211 245 248 23 102 73 182 148 124 164 165 107 254 191 60 205 211 118 214 108 102 165 251 200 255 0 75 234 255 0 77 255 0 20 224 234 187 7 6 81 112 253 220 191 163 244 127 164 255 0 137 225 122 111 151 124 219 163 235 208 242 179 151 141 194 138 203 107 37 4 139 239 79 218 95 242 151 58 141 30 191 22 160 122 79 171 249 159 196 242 58 222 205 203 166 62 177 233 254 120 250 83 156 205 112 29 138 187 21 75 60 201 166 13 75 70 185 182 2 178 241 231 15 250 233 184 251 254 206 107 123 91 71 249 141 60 161 252 85 197 15 235 199 241 194 230 104 53 30 22 104 203 167 241 127 85 228 9 44 144 203 28 241 237 44 14 178 199 254 178 30 67 245 103 150 233 242 156 121 4 135 56 151 186 49 18 6 39 148 135 15 250 100 231 243 41 99 125 110 218 238 45 227 187 181 142 64 222 59 176 255 0 136 241 206 163 218 16 14 104 204 114 201 142 50 251 221 127 96 146 48 202 39 156 39 40 177 44 208 187 183 98 174 197 93 138 187 21 118 42 236 85 7 52 156 223 111 178 54 25 147 8 208 110 136 160 167 147 100 236 85 216 170 42 222 78 75 196 245 95 213 152 249 35 70 218 166 21 178 182 8 141 59 254 58 22 191 241 154 63 248 144 203 116 255 0 222 71 250 209 251 218 179 255 0 119 47 234 151 255 215 149 234 68 13 66 232 158 158 172 159 241 35 158 87 168 254 242 95 214 151 222 250 102 15 162 63 213 9 92 210 243 109 190 200 233 147 132 104 57 113 141 41 228 217 59 21 118 42 236 85 181 98 172 8 234 48 17 106 66 50 55 14 181 31 72 204 89 70 139 65 20 191 2 29 138 187 21 118 42 236 85 216 171 32 242 18 175 248 166 209 223 236 68 37 145 171 224 177 54 109 123 18 191 53 18 121 71 138 95 236 36 235 59 100 159 203 72 15 226 225 143 251 56 161 192 154 242 242 128 86 107 153 54 30 47 35 127 83 154 25 25 102 203 253 44 146 255 0 101 50 219 182 56 127 70 3 253 203 218 44 173 99 180 179 134 214 63 177 2 44 107 254 196 82 185 235 186 124 35 22 56 192 114 132 68 94 3 46 67 57 153 31 226 42 217 115 91 177 85 178 73 28 81 180 146 48 84 64 75 49 216 0 48 18 0 178 152 196 147 67 155 13 213 180 207 50 249 174 67 11 49 210 52 16 118 87 7 235 19 143 22 74 142 43 252 168 252 127 202 86 205 46 163 6 125 89 175 238 112 255 0 210 204 159 230 187 237 54 125 62 140 95 247 249 255 0 233 86 63 243 191 139 250 209 71 233 95 151 126 86 211 128 111 170 253 110 81 214 91 159 222 127 194 109 31 252 38 100 96 236 141 62 63 225 227 63 211 245 127 199 92 109 71 109 234 114 255 0 23 0 255 0 107 244 255 0 178 250 255 0 217 50 56 226 142 36 9 26 4 69 251 42 160 0 62 129 155 33 16 5 7 85 41 18 108 174 194 135 98 174 197 84 238 45 173 238 35 49 92 68 147 70 122 164 138 25 79 208 107 145 156 35 33 68 113 6 112 156 162 110 36 196 249 49 141 95 242 207 203 23 225 154 24 141 140 231 163 192 104 181 247 140 213 41 254 175 28 213 106 59 23 6 78 67 195 63 208 255 0 137 118 250 110 222 212 99 230 124 72 255 0 79 254 47 234 91 162 167 153 60 186 235 99 169 55 233 29 31 236 193 168 37 76 144 14 128 74 134 173 233 255 0 149 241 122 127 205 199 236 186 97 159 78 120 39 251 204 95 195 147 248 177 255 0 95 250 31 238 83 170 58 125 80 227 199 251 172 223 197 139 248 114 127 194 229 252 255 0 247 108 180 16 69 71 76 219 186 71 98 174 197 93 138 187 21 118 42 236 85 216 171 177 84 30 169 168 253 74 220 188 112 181 205 203 212 91 218 199 246 228 111 10 254 202 143 218 118 248 87 41 207 155 130 59 14 41 127 12 63 157 248 254 115 126 159 7 137 42 39 130 63 197 57 127 15 227 249 172 69 252 135 170 235 215 130 255 0 204 247 165 71 251 171 79 182 63 12 106 119 227 204 212 127 173 197 126 47 231 205 57 236 172 154 137 113 231 151 252 147 135 240 254 63 18 119 131 182 49 233 161 193 167 143 191 46 79 227 255 0 55 241 253 86 73 165 249 79 203 186 96 31 83 176 137 92 127 187 92 122 146 127 193 191 38 251 179 101 131 65 135 23 211 17 254 234 78 167 81 218 57 243 125 115 149 127 55 233 143 250 88 166 217 152 225 59 21 118 42 236 85 7 127 163 233 90 130 149 190 180 138 226 187 86 68 5 135 201 186 143 163 41 203 167 199 147 235 136 147 126 29 78 76 95 68 165 31 234 150 41 168 126 87 216 172 235 121 161 93 75 166 222 70 121 70 42 93 1 246 53 230 191 240 77 254 174 106 51 118 28 1 226 197 35 138 127 143 243 157 214 31 104 38 71 6 104 140 176 63 233 191 226 83 237 11 81 213 143 250 14 183 7 163 168 32 248 103 143 120 39 81 251 72 195 236 191 243 70 220 91 246 190 207 217 216 105 115 100 250 50 138 159 243 191 131 39 245 127 226 93 110 175 6 47 175 9 226 199 252 217 127 121 139 250 223 209 254 154 115 153 174 3 177 87 98 175 33 243 86 159 245 29 122 238 21 20 141 155 213 139 195 140 159 22 223 34 120 231 148 246 214 151 193 213 78 35 233 190 56 255 0 86 126 175 248 235 220 246 118 111 19 4 79 95 167 253 43 94 107 127 91 66 242 244 253 253 25 160 235 189 32 101 81 248 102 203 93 147 196 211 96 159 244 37 15 249 84 68 83 217 195 135 54 104 255 0 74 51 255 0 149 140 99 53 46 221 216 171 177 87 98 174 197 93 138 161 238 37 160 224 189 123 156 183 28 58 182 66 61 80 249 123 99 177 87 98 174 197 91 86 42 193 135 81 128 139 82 45 26 142 29 106 62 145 152 178 141 22 130 41 21 167 127 199 66 215 254 51 71 255 0 18 25 102 159 251 200 255 0 90 63 123 78 127 238 229 253 82 255 0 255 208 144 107 19 22 212 110 148 108 162 105 63 226 71 60 207 36 43 36 143 244 164 250 142 154 53 142 63 213 8 44 139 144 236 85 216 171 177 87 98 174 197 87 71 35 35 84 125 35 4 163 104 34 209 113 200 174 42 62 145 152 210 137 13 36 82 252 138 29 138 187 21 118 42 236 85 58 242 172 222 141 229 220 191 180 182 119 28 79 129 100 226 63 94 102 232 114 112 113 159 246 172 159 238 92 14 209 143 20 34 63 219 33 254 233 55 242 61 151 214 188 197 110 72 170 91 134 157 191 216 138 47 252 57 92 30 206 233 252 77 92 123 177 254 243 253 47 211 254 207 133 193 237 124 188 24 15 244 189 31 143 243 94 171 158 156 241 110 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 176 63 204 187 42 75 103 122 163 237 6 133 207 203 226 95 214 217 196 123 93 167 245 67 32 243 199 47 247 81 255 0 126 244 189 129 151 105 67 252 239 199 251 22 39 170 202 36 242 213 130 31 181 13 205 194 143 147 36 109 250 243 77 25 241 105 32 63 153 147 39 251 156 114 119 122 120 214 162 103 249 208 135 223 52 135 49 93 139 177 87 98 174 197 93 138 168 77 56 95 133 119 110 231 195 45 134 59 220 179 140 80 217 123 107 177 87 98 174 197 93 138 187 21 93 28 140 141 81 244 140 18 141 160 139 77 52 169 21 239 237 72 255 0 127 71 81 254 200 101 120 98 70 72 255 0 90 63 123 137 168 21 9 127 84 191 255 209 60 212 255 0 227 165 119 255 0 25 164 255 0 137 156 243 108 255 0 92 191 172 95 84 211 255 0 119 31 234 199 238 67 101 77 174 197 93 138 187 21 118 42 236 85 216 171 106 204 166 160 208 226 69 169 8 136 238 84 236 251 31 30 217 68 177 119 53 24 43 3 94 153 83 7 164 126 82 255 0 188 250 151 250 241 126 166 206 195 217 127 167 39 190 63 239 158 83 218 79 170 31 231 127 189 103 249 213 60 203 5 252 216 255 0 142 117 135 252 102 111 248 142 115 30 211 255 0 119 15 235 126 135 164 246 115 251 201 255 0 85 129 233 13 192 94 55 127 67 136 255 0 101 34 15 213 156 111 31 12 101 253 95 247 208 122 77 72 190 31 235 127 189 147 59 252 179 181 248 175 174 200 232 18 36 63 58 179 126 165 206 143 217 12 59 228 201 253 88 127 190 151 251 215 155 237 252 159 76 125 242 103 121 219 60 219 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 172 123 207 182 190 191 151 37 122 84 219 186 74 62 254 7 240 108 208 123 75 135 143 72 79 250 153 140 255 0 222 127 191 118 189 141 147 135 80 7 243 129 143 251 239 247 175 47 188 98 218 74 167 242 78 91 254 9 0 255 0 141 115 130 195 63 221 112 255 0 75 253 239 252 117 236 49 143 222 223 244 127 75 55 252 167 255 0 142 117 255 0 252 102 95 248 142 118 190 204 127 119 63 235 126 135 158 246 143 251 200 127 85 157 103 78 243 108 3 243 107 253 231 211 127 215 151 245 46 114 190 212 125 56 253 242 255 0 122 244 222 205 253 83 255 0 55 253 243 205 153 213 69 88 211 57 1 18 94 176 11 67 201 112 205 178 236 63 28 190 56 235 155 96 130 142 88 205 216 171 177 87 98 174 197 93 138 187 21 118 42 138 210 152 141 78 208 131 79 223 71 255 0 18 25 110 17 115 143 245 131 78 160 126 238 95 213 63 115 255 210 60 212 255 0 227 165 119 255 0 25 164 255 0 137 156 243 108 255 0 92 191 172 95 84 211 255 0 119 31 234 199 238 67 101 77 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 171 150 71 95 178 105 237 128 196 20 17 111 81 252 158 149 158 219 83 175 103 139 245 62 117 30 205 70 163 63 124 127 223 60 127 180 194 165 15 116 191 222 189 15 58 119 151 96 127 155 78 171 167 88 114 52 172 205 255 0 17 206 103 218 104 147 142 21 252 239 208 244 158 205 139 201 63 234 188 250 197 149 163 102 83 80 77 62 236 224 245 0 131 79 81 148 110 245 111 203 200 4 122 1 147 188 211 59 215 216 0 191 241 174 119 222 203 99 225 210 223 243 231 41 125 208 255 0 122 241 125 183 59 207 95 205 136 255 0 138 100 249 210 58 119 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 80 58 228 30 190 141 125 15 82 208 73 199 230 20 145 248 230 23 104 227 227 211 228 143 124 37 254 229 201 209 207 135 52 79 244 131 197 110 41 232 61 122 1 83 244 103 146 226 250 131 232 16 230 207 63 41 93 91 78 191 226 107 73 151 254 35 158 131 236 204 72 199 59 254 119 232 121 175 105 5 100 135 245 89 230 116 207 54 243 191 206 39 101 182 211 56 154 85 230 253 73 156 207 180 145 6 48 247 203 253 235 212 251 48 46 83 247 71 253 243 31 178 242 109 150 161 164 91 93 36 175 13 204 137 201 155 237 33 62 224 239 255 0 13 158 113 151 181 103 139 44 162 64 148 65 118 121 123 78 120 242 152 144 37 16 88 238 175 160 234 58 92 148 185 74 196 198 137 50 110 135 233 236 125 142 109 116 218 204 121 135 164 239 252 223 226 118 154 109 92 51 15 73 223 249 169 126 101 57 46 197 93 138 187 21 118 42 236 85 216 171 177 84 78 153 255 0 29 43 79 248 205 31 252 76 101 184 62 184 255 0 88 53 106 63 187 151 245 101 247 63 255 211 60 212 255 0 227 165 119 255 0 25 164 255 0 137 156 243 108 255 0 92 191 172 95 84 211 255 0 119 31 234 199 238 80 17 72 122 41 202 12 128 108 226 11 197 180 190 195 35 226 132 113 134 254 171 39 136 252 113 241 66 56 195 70 218 95 0 126 156 124 80 158 48 177 163 117 234 167 38 36 10 65 11 112 165 216 171 177 86 75 160 249 50 226 245 86 226 244 152 45 142 234 131 251 199 31 79 217 25 168 214 118 172 113 158 24 122 165 254 198 46 167 89 218 145 199 233 135 170 95 236 89 6 175 163 105 118 58 5 231 213 109 209 24 68 127 121 74 191 81 251 70 173 154 189 46 171 38 76 241 226 145 231 254 107 173 211 106 178 100 205 30 35 213 23 249 55 254 243 106 159 235 195 250 159 61 87 217 207 166 127 230 255 0 190 104 246 163 234 135 186 95 239 94 141 157 35 202 188 251 243 139 254 57 154 119 252 102 127 248 134 115 190 209 125 17 254 179 211 251 49 253 228 255 0 171 250 88 22 152 41 106 15 137 39 248 103 1 171 62 183 165 207 245 61 151 201 177 250 126 90 177 95 21 102 255 0 130 118 111 227 158 149 216 48 225 209 227 30 71 253 148 165 39 131 237 73 94 162 95 143 225 78 115 110 235 221 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 105 208 58 50 55 70 4 31 145 193 40 216 162 144 104 219 194 174 80 136 229 67 212 6 83 247 83 60 102 34 166 60 139 232 240 59 130 205 127 39 127 227 153 168 255 0 198 100 255 0 136 103 162 251 59 244 75 250 207 61 237 63 247 144 254 175 233 122 14 116 79 48 243 159 206 79 247 155 75 255 0 94 111 212 153 205 251 71 244 195 252 239 247 175 85 236 191 213 63 116 127 223 46 242 207 252 112 108 191 227 24 253 103 60 139 180 63 191 151 189 117 223 223 75 222 143 184 183 134 226 23 134 116 18 68 226 140 141 184 35 49 161 51 19 113 52 67 141 9 152 155 6 139 205 188 203 160 62 147 118 56 85 173 37 169 133 207 81 226 167 220 103 91 160 214 140 241 223 235 143 212 245 90 29 96 205 29 254 184 253 73 66 171 55 64 78 103 18 3 157 107 197 188 167 181 50 39 32 99 198 23 125 86 79 17 131 197 8 227 13 27 105 61 142 62 40 94 48 180 195 40 253 159 187 124 144 152 101 196 22 16 71 92 146 93 138 162 116 207 248 233 90 127 198 104 255 0 226 99 45 193 245 199 250 193 171 81 253 220 191 171 47 185 255 212 148 234 17 162 234 55 68 13 253 105 55 255 0 100 115 203 53 50 39 36 191 173 47 189 244 220 36 248 113 254 168 81 202 27 29 138 187 21 118 42 236 85 99 197 27 117 27 248 140 144 153 12 132 136 80 146 217 134 235 241 15 14 249 116 114 131 205 152 155 35 242 103 151 214 234 83 168 93 45 96 137 169 20 100 108 206 59 159 242 87 254 37 154 174 213 214 152 14 8 253 82 250 191 170 234 251 83 88 96 56 35 245 75 234 103 153 204 188 226 89 230 111 248 224 222 255 0 198 51 250 198 102 118 127 247 241 247 185 122 31 239 163 239 91 249 55 254 243 106 159 235 195 250 159 61 119 217 207 166 127 230 255 0 190 95 106 62 168 123 165 254 245 232 217 210 60 171 207 191 56 191 227 153 167 127 198 103 255 0 136 103 59 237 23 209 31 235 61 63 179 31 222 79 250 191 165 130 105 223 239 28 127 79 252 72 231 159 106 127 188 47 75 155 234 47 106 242 200 3 203 250 125 54 253 194 31 188 103 169 118 64 255 0 5 199 253 72 190 125 175 254 254 127 214 41 150 108 92 71 98 174 197 93 138 161 181 61 78 199 75 211 238 53 27 249 68 22 118 168 101 158 82 11 113 69 220 154 40 44 126 74 48 129 109 184 112 203 44 196 32 56 167 51 195 22 27 255 0 43 199 242 183 254 175 127 244 235 119 255 0 84 114 126 20 187 157 199 250 26 215 127 169 255 0 179 197 255 0 22 239 249 94 63 149 191 245 123 255 0 167 91 191 250 163 143 133 46 229 255 0 67 90 239 245 63 246 120 191 226 221 255 0 43 199 242 183 254 175 127 244 235 119 255 0 84 113 240 165 220 191 232 107 93 254 167 254 207 23 252 91 191 229 120 254 86 255 0 213 239 254 157 110 255 0 234 142 62 20 187 151 253 13 107 191 212 255 0 217 226 255 0 139 119 252 175 31 202 223 250 189 255 0 211 173 223 253 81 199 194 151 114 255 0 161 173 119 250 159 251 60 95 241 110 255 0 149 227 249 91 255 0 87 191 250 117 187 255 0 170 56 248 82 238 95 244 53 174 255 0 83 255 0 103 139 254 45 223 242 188 127 43 127 234 247 255 0 78 183 127 245 71 31 10 93 203 254 134 181 223 234 127 236 241 127 197 187 254 87 143 229 111 253 94 255 0 233 214 239 254 168 227 225 75 185 127 208 214 187 253 79 253 158 47 248 183 127 202 241 252 173 255 0 171 223 253 58 221 255 0 213 28 124 41 119 47 250 26 215 127 169 255 0 179 197 255 0 22 239 249 94 63 149 191 245 123 255 0 167 91 191 250 163 143 133 46 229 255 0 67 90 239 245 63 246 120 191 226 221 255 0 43 199 242 183 254 175 127 244 235 119 255 0 84 113 240 165 220 191 232 107 93 254 167 254 207 23 252 91 191 229 120 254 86 255 0 213 239 254 157 110 255 0 234 142 62 20 187 151 253 13 107 191 212 255 0 217 226 255 0 139 119 252 175 31 202 223 250 189 255 0 211 173 223 253 81 199 194 151 114 255 0 161 173 119 250 159 251 60 95 241 110 255 0 149 227 249 91 255 0 87 191 250 117 187 255 0 170 56 248 82 238 95 244 53 174 255 0 83 255 0 103 139 254 45 223 242 188 127 43 127 234 247 255 0 78 183 127 245 71 31 10 93 203 254 134 181 223 234 127 236 241 127 197 187 254 87 143 229 111 253 94 255 0 233 214 239 254 168 227 225 75 185 127 208 214 187 253 79 253 158 47 248 183 127 202 241 252 173 255 0 171 223 253 58 221 255 0 213 28 124 41 119 47 250 26 215 127 169 255 0 179 197 255 0 22 239 249 94 63 149 191 245 123 255 0 167 91 191 250 163 143 133 46 229 255 0 67 90 239 245 63 246 120 191 226 221 255 0 43 199 242 183 254 175 127 244 235 119 255 0 84 113 240 165 220 191 232 107 93 254 167 254 207 23 252 91 191 229 120 254 86 255 0 213 239 254 157 110 255 0 234 142 62 20 187 151 253 13 107 191 212 255 0 217 226 255 0 139 119 252 175 31 202 223 250 189 255 0 211 173 223 253 81 199 194 151 114 255 0 161 173 119 250 159 251 60 95 241 110 255 0 149 227 249 91 255 0 87 191 250 117 187 255 0 170 56 248 82 238 95 244 53 174 255 0 83 255 0 103 139 254 45 223 242 188 127 43 127 234 247 255 0 78 183 127 245 71 31 10 93 203 254 134 181 223 234 127 236 241 127 197 187 254 87 143 229 111 253 94 255 0 233 214 239 254 168 227 225 75 185 127 208 214 187 253 79 253 158 47 248 183 127 202 241 252 173 255 0 171 223 253 58 221 255 0 213 28 124 41 119 47 250 26 215 127 169 255 0 179 197 255 0 22 175 101 249 205 249 107 123 121 5 157 182 178 30 226 230 68 134 20 54 247 72 11 200 193 84 22 104 149 87 115 246 152 241 196 226 147 12 158 207 107 97 19 41 99 244 196 113 75 215 143 248 127 207 102 153 91 165 118 42 236 85 216 171 177 87 136 234 10 5 221 202 129 176 145 192 30 213 57 227 153 197 101 151 245 207 251 167 209 48 159 76 125 193 150 254 78 255 0 199 51 81 255 0 140 201 255 0 16 207 65 246 119 232 151 245 157 23 180 255 0 222 67 250 191 165 232 57 209 60 195 206 127 57 63 222 109 47 253 121 191 82 103 55 237 31 211 15 243 191 222 189 87 178 255 0 84 253 209 255 0 124 187 203 63 241 193 178 255 0 140 99 245 156 242 46 208 254 254 94 245 215 127 125 47 122 103 152 110 34 7 91 211 147 80 211 165 128 168 46 7 56 171 217 215 167 223 211 50 116 153 206 44 130 95 233 191 170 228 105 115 156 121 4 191 211 127 85 231 20 166 217 213 61 83 177 87 98 174 197 93 138 173 101 86 251 66 184 65 33 32 168 189 168 234 134 158 199 45 142 94 246 98 107 180 229 101 212 237 3 10 31 90 63 248 152 204 173 57 6 113 254 176 99 156 254 238 95 213 151 220 255 0 255 213 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 173 162 51 186 162 138 179 16 0 247 59 96 38 133 160 154 22 244 219 43 84 180 180 138 217 62 204 74 22 190 39 185 250 78 249 200 229 200 103 35 35 213 228 178 228 51 145 145 234 175 149 181 165 158 102 255 0 142 13 239 252 99 63 172 102 103 103 255 0 127 31 123 151 161 254 250 62 245 191 147 127 239 54 169 254 188 63 169 243 215 125 156 250 103 254 111 251 229 246 163 234 135 186 95 239 94 141 157 35 202 188 251 243 139 254 57 154 119 252 102 127 248 134 115 190 209 125 17 254 179 211 251 49 253 228 255 0 171 250 88 38 157 254 241 199 244 255 0 196 142 121 246 167 251 194 244 153 190 162 246 175 45 127 199 3 79 255 0 140 9 255 0 17 207 82 236 159 241 92 127 240 184 190 127 175 254 254 127 214 41 150 108 92 71 98 174 197 93 138 188 223 254 114 3 85 250 143 229 220 246 234 220 95 81 184 134 216 83 173 1 51 55 225 21 50 220 35 212 244 158 202 224 227 214 3 254 167 25 79 253 231 251 247 203 121 150 250 139 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 170 248 165 146 41 82 88 219 140 145 176 100 97 212 50 154 131 139 25 68 17 71 147 237 237 27 80 77 75 72 177 212 80 81 47 109 226 184 80 58 82 84 14 63 94 96 17 69 241 45 70 47 15 36 160 127 130 82 135 250 82 139 192 210 236 85 216 171 177 87 137 106 63 239 101 215 252 100 147 254 36 115 199 53 31 222 203 250 242 255 0 116 250 30 15 162 62 224 203 63 39 127 227 153 168 255 0 198 100 255 0 136 103 160 251 59 244 75 250 206 143 218 127 239 33 253 95 210 244 28 232 158 97 231 63 156 130 182 218 85 63 158 111 212 153 205 123 71 244 195 252 239 208 245 94 204 125 89 61 209 255 0 124 191 203 96 141 10 200 30 162 49 250 206 121 30 188 222 105 123 209 174 254 250 94 244 203 48 220 87 98 175 52 213 98 88 181 59 168 215 236 172 175 65 237 200 211 58 221 60 175 28 79 244 67 214 105 229 120 226 127 162 16 185 115 115 177 87 98 174 197 93 138 187 21 87 211 213 91 80 181 168 175 239 163 255 0 137 12 187 76 107 36 127 173 31 189 175 49 244 75 250 165 255 214 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 168 221 21 3 234 214 106 122 122 168 119 246 53 204 125 81 172 82 254 171 70 168 214 41 127 85 233 25 202 60 163 177 84 179 204 223 241 193 189 255 0 140 103 245 140 204 236 255 0 239 227 239 114 244 63 223 71 222 183 242 111 253 230 213 63 215 135 245 62 122 239 179 159 76 255 0 205 255 0 124 190 212 125 80 247 75 253 235 209 179 164 121 87 159 126 113 127 199 51 78 255 0 140 207 255 0 16 206 119 218 47 162 63 214 122 127 102 63 188 159 245 127 75 2 211 77 109 23 216 159 215 158 127 170 30 183 165 205 245 61 159 202 82 122 158 92 176 110 180 143 143 252 11 21 254 25 233 189 137 46 45 30 51 253 31 247 62 151 129 237 33 90 137 251 211 124 218 184 46 197 93 138 187 21 120 119 252 228 237 241 22 218 5 136 59 59 220 78 227 253 65 26 175 252 77 243 35 0 230 247 30 197 226 245 100 159 245 35 254 235 254 37 224 153 144 247 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 95 93 126 78 222 253 115 242 215 67 148 157 227 133 224 35 195 208 149 226 31 130 102 22 65 234 47 145 251 65 143 131 91 144 121 241 127 167 136 155 50 200 58 103 98 174 197 93 211 21 120 93 212 156 189 105 55 248 185 55 190 251 231 140 223 20 239 190 79 163 227 141 80 102 127 147 191 241 204 212 127 227 50 127 196 51 209 61 157 250 37 253 103 159 246 159 251 200 127 87 244 189 7 58 39 152 96 31 155 64 122 26 97 238 30 90 125 203 156 175 181 7 211 15 124 191 222 189 55 179 127 84 255 0 205 255 0 124 183 203 255 0 241 198 180 255 0 140 99 245 231 147 107 63 189 151 189 150 179 251 217 123 211 12 197 113 157 138 188 215 88 144 73 170 221 184 53 6 87 161 246 6 153 214 105 163 88 226 63 162 30 175 77 26 199 17 253 16 132 203 219 221 138 187 21 118 42 236 85 216 170 35 78 255 0 142 133 175 252 102 143 254 36 50 221 63 247 145 254 180 126 246 172 255 0 221 203 250 165 255 215 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 168 141 54 97 6 161 109 51 125 152 229 70 111 144 97 92 171 60 56 161 33 222 26 179 195 138 18 29 225 233 185 200 188 147 177 84 183 204 160 157 10 244 14 190 153 253 99 51 52 7 247 209 247 185 90 31 239 163 239 89 249 55 254 243 106 159 235 195 250 159 61 119 217 207 166 127 230 255 0 190 79 181 31 84 61 210 255 0 122 244 108 233 30 85 231 223 156 95 241 204 211 191 227 51 255 0 196 51 157 246 139 232 143 245 158 159 217 143 239 39 253 95 210 243 253 37 171 110 195 193 191 88 25 193 107 7 168 123 158 159 80 55 122 255 0 144 39 245 60 183 18 127 190 100 145 62 246 231 255 0 27 231 127 236 206 78 45 24 31 204 148 163 246 241 255 0 191 120 110 217 133 106 9 254 112 143 252 79 251 214 69 157 3 170 118 42 236 85 216 171 231 127 249 201 153 73 243 46 145 13 54 75 54 112 125 222 86 31 241 174 100 224 228 250 31 177 177 253 204 207 244 255 0 222 188 111 47 123 39 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 175 168 255 0 231 31 39 245 63 46 97 78 85 244 110 167 74 120 85 131 211 254 30 185 137 155 234 124 187 218 184 214 176 159 231 66 47 73 202 158 109 216 171 177 84 54 169 48 131 77 187 155 253 245 12 143 255 0 2 164 230 54 179 39 6 25 203 249 176 148 191 216 183 105 225 197 146 35 190 65 225 247 109 198 214 83 254 73 31 126 217 228 88 69 204 62 137 140 122 131 56 252 157 255 0 142 102 163 255 0 25 147 254 33 158 137 236 239 209 47 235 60 231 180 255 0 222 67 250 191 165 232 57 209 60 195 0 252 218 255 0 121 244 223 245 229 253 75 156 175 181 31 78 63 124 191 222 189 55 179 127 84 255 0 205 255 0 124 183 203 255 0 241 198 180 255 0 140 99 245 231 147 107 63 189 151 189 150 179 251 217 123 211 12 197 113 144 154 165 242 216 216 77 114 78 232 191 0 241 115 178 143 191 47 211 226 241 38 34 221 167 196 114 76 69 230 164 146 73 59 147 185 57 213 189 99 176 171 177 87 98 174 197 93 138 187 21 68 105 223 241 208 181 255 0 140 209 255 0 196 134 91 167 254 242 63 214 143 222 213 159 251 185 127 84 191 255 208 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 94 131 229 221 73 111 180 216 201 63 190 132 8 229 29 234 58 31 246 67 57 141 110 15 15 33 238 150 241 121 141 110 15 15 33 238 151 170 41 166 97 184 137 127 152 63 227 141 119 255 0 24 207 235 204 173 31 247 177 247 185 58 63 239 99 239 107 242 137 56 195 170 211 161 120 72 251 159 61 111 217 153 92 39 239 143 233 95 105 77 156 126 233 127 189 122 22 117 15 46 243 239 206 47 248 230 105 223 241 153 255 0 226 25 206 251 69 244 71 250 207 79 236 199 247 147 254 175 233 121 214 144 255 0 20 137 226 1 31 70 112 218 209 176 47 85 168 28 139 212 127 44 238 107 107 123 106 79 216 117 148 15 245 199 19 255 0 16 25 213 251 35 154 225 146 29 210 19 255 0 79 233 255 0 120 241 221 191 143 213 25 121 112 255 0 165 255 0 164 153 174 118 15 62 236 85 216 171 177 87 206 127 243 146 255 0 242 149 233 127 243 0 63 228 244 153 149 131 147 232 190 198 255 0 139 207 254 25 254 246 47 31 203 158 193 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 161 162 232 59 226 192 228 136 234 183 214 95 124 88 156 241 107 214 30 24 88 248 225 222 178 248 28 83 227 134 196 169 129 35 52 87 7 83 208 226 204 76 30 173 226 205 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 233 207 249 199 64 71 229 251 146 40 13 244 196 123 142 17 140 197 205 245 62 101 237 119 248 223 252 147 143 251 231 168 101 47 46 236 85 216 170 73 231 75 159 67 203 119 102 191 20 129 98 95 246 108 1 255 0 133 174 105 189 160 205 193 163 159 244 170 31 233 143 252 75 177 236 172 124 90 136 249 122 158 57 169 191 27 82 63 152 129 252 127 134 121 190 144 92 222 243 0 245 51 223 201 223 248 230 106 63 241 153 63 226 25 223 251 59 244 75 250 207 51 237 63 247 144 254 175 233 122 14 116 79 48 192 63 54 191 222 125 55 253 121 127 82 231 43 237 71 211 143 223 47 247 175 77 236 223 213 63 243 127 223 45 242 255 0 252 113 173 63 227 24 253 121 228 218 207 239 101 239 101 172 254 246 94 244 123 186 162 151 114 21 84 85 152 236 0 25 140 1 38 131 142 5 236 24 39 153 53 207 210 23 2 40 73 250 164 71 224 255 0 41 191 155 254 105 206 143 67 164 240 163 103 235 147 209 104 116 158 20 108 253 114 73 179 61 207 118 42 236 85 216 171 177 87 98 174 197 81 26 119 252 116 45 127 227 52 127 241 33 150 233 255 0 188 143 245 163 247 181 103 254 238 95 213 47 255 209 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 81 186 78 169 62 155 116 38 143 226 83 180 177 158 140 191 215 195 49 245 58 113 150 52 92 125 78 156 101 141 23 160 88 106 22 183 208 9 173 223 146 159 180 191 180 167 193 134 115 57 176 203 28 170 79 53 155 12 177 202 164 16 254 96 255 0 142 53 223 252 99 63 175 45 209 255 0 123 31 123 102 143 251 216 251 215 126 82 255 0 188 250 151 250 241 126 166 207 89 246 95 233 201 239 143 251 230 62 210 125 80 255 0 59 253 235 63 206 169 230 94 125 249 197 255 0 28 205 59 254 51 63 252 67 57 223 104 190 136 255 0 89 233 253 152 254 242 127 213 253 47 53 211 9 23 32 246 32 131 244 231 21 170 30 135 172 207 244 179 239 203 219 207 67 94 244 73 162 220 196 200 7 110 75 241 143 248 137 205 135 178 249 248 53 92 63 234 145 49 255 0 127 254 245 230 251 111 23 22 11 254 97 255 0 142 189 55 61 29 228 29 138 187 21 118 42 249 243 254 114 110 219 142 183 162 92 211 251 219 105 99 229 190 254 156 129 169 255 0 37 51 39 7 34 250 15 177 147 253 214 72 247 74 63 236 135 252 117 226 217 123 218 59 21 118 42 236 85 216 171 177 87 98 173 51 42 245 56 176 148 192 230 166 211 30 219 97 104 150 115 209 97 36 245 56 180 153 19 205 172 88 187 21 118 42 236 85 216 171 177 86 195 48 232 113 103 25 145 201 81 102 254 97 244 226 221 28 253 234 128 131 208 224 111 18 7 147 177 100 236 85 216 171 177 87 98 174 197 93 138 190 168 252 131 183 104 191 45 108 92 244 158 107 137 7 200 74 201 255 0 26 102 38 111 169 242 207 106 103 122 217 15 230 198 31 238 120 191 223 61 19 42 121 215 98 174 197 88 95 230 93 231 27 75 59 48 119 145 218 86 30 200 56 143 248 145 206 63 218 236 245 142 24 255 0 157 46 63 244 158 159 247 239 65 216 24 174 82 159 112 225 121 118 174 251 199 31 205 143 234 25 201 232 227 204 189 134 156 115 47 68 252 157 255 0 142 102 161 255 0 25 147 254 33 157 215 179 191 68 191 172 242 222 211 255 0 121 15 234 254 151 160 231 68 243 12 3 243 107 253 231 211 127 215 151 245 46 114 190 212 125 56 253 242 255 0 122 244 222 205 253 83 255 0 55 253 242 79 97 230 93 54 203 73 182 137 153 165 157 18 141 26 14 135 220 154 12 243 60 218 12 153 50 147 202 54 231 230 208 100 201 148 158 81 180 147 87 243 13 238 163 240 55 238 173 235 180 42 122 255 0 172 127 107 54 26 109 20 49 111 206 95 206 118 26 109 20 49 111 245 75 249 201 94 102 57 142 197 93 138 187 21 118 42 236 85 216 171 177 84 70 157 255 0 29 11 95 248 205 31 252 72 101 186 127 239 35 253 104 253 237 89 255 0 187 151 245 75 255 210 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 171 90 94 93 90 74 37 182 144 198 227 184 238 60 8 232 114 188 152 163 49 82 22 26 242 98 140 197 72 88 78 103 243 100 247 58 124 214 183 16 169 121 23 136 149 13 62 245 53 253 121 131 14 206 16 152 148 79 39 6 29 156 33 49 40 158 93 25 71 229 47 251 207 169 127 175 23 234 108 244 47 101 254 156 158 248 255 0 190 116 222 210 125 80 255 0 59 253 235 63 206 169 230 94 125 249 197 255 0 28 205 59 254 51 63 252 67 57 223 104 190 136 255 0 89 233 253 152 254 242 127 213 253 47 52 179 248 71 62 245 253 89 197 230 223 103 173 201 220 200 52 219 214 180 190 182 188 79 247 76 139 37 60 64 53 35 233 25 135 165 204 112 229 140 199 240 72 73 214 231 197 199 9 64 255 0 16 225 123 92 110 146 34 186 30 72 224 50 176 238 14 224 231 176 70 66 64 17 200 190 124 65 6 139 121 36 59 21 118 42 241 159 249 201 173 60 201 160 232 218 128 21 22 215 82 64 79 135 175 31 47 249 145 151 224 59 151 179 246 51 45 101 201 15 231 64 75 254 85 203 254 174 62 121 204 151 208 157 138 187 21 118 42 236 85 196 211 174 40 38 148 158 94 203 247 225 113 167 155 185 79 22 135 98 135 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 173 130 65 168 197 32 145 201 85 37 7 102 216 248 226 229 67 53 243 95 129 189 216 171 177 87 98 174 197 93 138 190 197 252 176 211 206 159 249 125 160 219 145 70 54 145 204 195 192 207 251 227 248 190 97 100 55 34 248 247 109 101 241 53 121 37 253 51 31 244 158 143 247 172 159 32 234 221 138 187 21 121 95 158 111 254 183 230 9 149 77 99 182 2 5 249 174 237 255 0 12 72 207 50 246 143 83 226 234 228 7 44 127 187 255 0 138 255 0 102 246 125 145 135 131 0 61 103 235 252 127 154 193 111 228 245 46 156 246 95 132 125 25 70 158 53 0 244 88 163 81 122 127 228 248 166 149 125 239 50 159 248 92 236 61 156 62 137 255 0 88 125 207 33 237 55 247 145 254 171 63 206 145 230 88 7 230 215 251 207 166 255 0 175 47 234 92 229 125 168 250 113 251 229 254 245 233 189 155 250 167 254 111 251 231 156 103 30 245 110 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 81 26 119 252 116 45 127 227 52 127 241 33 150 233 255 0 188 143 245 163 247 181 103 254 238 95 213 47 255 211 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 207 63 44 245 125 50 194 11 241 123 117 29 185 145 163 40 36 96 181 160 106 210 185 212 123 59 170 197 138 51 227 148 97 124 63 87 197 230 251 123 77 147 33 135 4 76 171 139 233 248 51 51 230 255 0 43 131 67 170 219 87 254 50 47 245 206 155 249 71 79 252 248 127 166 116 31 201 186 159 245 57 255 0 165 96 255 0 154 122 222 145 168 233 246 41 99 121 21 203 164 172 206 177 56 98 1 90 84 211 52 93 187 169 199 146 17 16 144 150 255 0 194 244 62 207 105 114 226 156 140 227 40 92 127 137 130 91 138 68 62 159 215 156 142 78 111 73 62 105 141 171 242 138 157 215 108 193 205 26 46 54 65 187 214 124 143 169 11 221 6 36 99 89 109 15 162 227 189 23 236 31 248 29 179 210 61 157 213 248 218 80 15 213 139 247 127 241 31 236 94 39 181 240 120 121 201 233 63 95 252 83 32 205 235 171 118 42 236 85 132 126 116 232 231 83 252 184 213 149 23 148 182 106 183 145 251 122 12 26 67 255 0 34 189 76 179 17 169 59 207 103 117 30 22 182 29 211 253 223 250 127 167 253 159 11 228 172 204 125 101 216 171 177 87 98 173 22 0 84 226 198 82 0 89 81 119 44 125 188 48 184 115 200 100 183 22 183 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 189 36 35 99 211 22 252 121 107 99 201 91 3 148 236 82 236 85 216 170 51 71 211 165 212 245 107 45 54 31 239 111 103 142 221 62 114 184 65 250 240 19 65 167 81 152 98 199 41 158 80 137 159 250 87 219 176 67 28 16 71 4 67 140 113 40 68 95 5 81 64 51 1 241 41 72 200 146 121 149 248 177 118 42 134 212 175 163 177 211 238 46 228 251 48 161 106 30 231 176 250 78 217 141 171 212 12 56 165 144 255 0 4 91 180 248 78 73 136 15 226 47 19 188 185 114 38 184 144 242 118 37 216 158 236 198 191 175 60 140 94 73 217 231 35 187 232 56 224 54 136 228 199 137 36 212 245 57 183 118 79 77 252 176 213 244 171 13 54 233 47 110 162 183 103 145 10 172 140 20 145 199 181 115 160 236 13 94 44 81 152 156 163 11 151 241 60 151 111 233 178 101 201 19 8 202 91 127 11 52 255 0 21 121 111 254 174 118 255 0 242 49 127 174 116 31 202 122 111 245 72 127 166 116 31 201 218 143 230 79 253 43 10 252 204 213 244 203 248 44 5 149 212 119 6 54 144 184 141 131 82 161 105 90 103 55 237 22 171 22 88 195 130 81 157 113 125 63 7 160 236 29 54 76 102 124 113 49 190 31 171 226 192 243 151 122 71 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 168 141 59 254 58 22 191 241 154 63 248 144 203 116 255 0 222 71 250 209 251 218 179 255 0 119 47 234 151 255 212 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 3 47 247 141 243 57 149 14 65 190 60 150 228 146 140 131 251 165 204 92 156 218 101 205 21 106 252 100 161 232 219 125 57 70 104 216 106 200 44 51 47 33 106 191 83 214 69 187 181 33 189 30 153 175 65 32 221 15 252 107 254 203 54 254 205 107 124 29 71 1 250 115 122 127 207 254 15 248 159 243 157 15 108 233 188 76 92 67 234 199 234 255 0 55 248 158 157 158 144 241 238 197 93 138 169 221 91 67 117 109 45 180 235 206 25 209 163 149 124 85 199 22 31 113 197 148 38 99 33 33 206 47 137 245 253 30 227 70 214 239 180 171 129 251 219 41 222 22 62 33 26 129 135 179 15 136 102 120 54 45 246 189 46 160 102 197 28 131 148 226 36 151 225 114 29 138 184 144 5 78 40 38 133 168 59 22 53 237 216 97 112 103 51 34 183 22 14 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 85 241 191 19 67 211 22 236 89 43 99 201 91 3 150 236 82 236 85 233 95 144 62 95 109 79 207 145 94 186 214 219 73 137 238 92 158 158 163 15 78 33 243 171 25 7 252 99 202 179 26 15 53 237 86 175 194 210 24 143 171 49 224 255 0 55 234 159 252 79 249 207 168 179 17 242 247 98 174 197 88 87 230 62 172 18 8 116 200 207 197 33 245 103 167 242 141 148 125 45 191 251 28 227 189 172 214 212 99 132 127 23 174 127 213 254 15 246 95 238 94 135 176 180 214 78 67 211 211 31 247 207 48 213 166 162 172 35 169 248 155 229 219 57 61 28 55 50 122 237 60 122 165 185 158 229 35 147 236 47 200 102 36 185 180 30 107 176 33 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 168 141 59 254 58 22 191 241 154 63 248 144 203 116 255 0 222 71 250 209 251 218 179 255 0 119 47 234 151 255 213 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 0 198 172 79 137 204 177 201 200 13 97 84 93 177 172 67 216 156 198 203 205 170 124 213 114 12 19 24 38 36 44 138 104 224 130 8 234 8 204 34 12 37 179 141 56 244 47 99 242 238 174 154 174 149 13 208 254 246 156 39 95 9 23 237 125 255 0 104 103 171 118 86 184 106 176 70 127 197 244 207 250 255 0 143 83 193 107 180 199 14 83 30 159 195 253 84 203 54 46 35 177 87 98 175 157 127 231 35 188 170 108 245 251 95 49 64 148 131 82 65 13 201 3 165 196 34 138 79 250 241 113 167 252 99 108 201 195 45 169 244 95 100 53 220 120 142 19 245 98 245 71 254 23 63 248 153 255 0 187 120 238 94 246 14 197 84 100 126 70 131 160 194 225 229 157 154 232 179 22 151 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 170 177 63 236 159 163 23 39 14 78 133 83 3 146 236 85 245 15 228 23 149 78 141 228 181 212 39 78 55 122 211 11 147 94 162 5 4 64 62 144 90 81 255 0 25 115 19 52 172 190 95 237 78 187 198 212 240 15 167 15 163 252 255 0 242 159 241 31 230 61 47 42 121 167 98 170 119 23 17 91 193 36 243 55 24 162 82 238 222 1 69 78 87 151 44 113 196 202 91 70 35 137 156 32 101 33 17 206 79 27 214 117 55 212 53 11 139 233 126 17 35 18 1 253 148 27 40 250 20 103 146 107 117 82 212 230 150 67 252 103 254 145 139 222 233 116 227 22 49 1 209 138 220 74 102 153 164 61 206 195 219 182 103 99 135 12 64 118 240 141 10 83 201 178 70 194 107 18 252 179 22 124 218 101 205 126 69 139 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 81 26 119 252 116 45 127 227 52 127 241 33 150 233 255 0 188 143 245 163 247 181 103 254 238 95 213 47 255 214 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 182 70 226 140 124 6 24 139 41 3 116 14 101 183 187 21 68 90 183 218 95 167 41 202 58 181 204 34 50 150 181 107 89 56 191 19 209 191 94 83 154 22 45 134 72 216 101 254 73 215 127 70 234 126 132 205 75 75 186 35 147 209 95 246 91 254 53 108 219 123 61 218 95 151 205 195 35 251 188 190 159 234 207 248 37 255 0 21 255 0 29 116 125 173 163 241 113 241 15 174 15 81 207 74 120 215 98 174 197 88 247 159 188 169 15 154 124 171 125 164 56 2 105 23 212 179 144 254 196 233 188 103 229 95 133 191 200 102 201 66 84 109 216 118 94 184 233 115 199 32 229 252 127 240 191 226 124 113 115 111 61 181 196 182 215 17 180 83 192 237 28 209 48 163 43 161 226 202 71 136 35 51 159 99 132 196 128 144 55 25 40 74 212 20 238 113 107 205 58 20 163 133 195 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 164 20 66 55 37 174 7 58 18 226 22 201 191 47 60 163 55 154 252 215 103 165 40 63 85 229 235 95 72 63 98 222 50 11 154 246 45 253 218 255 0 150 235 145 156 168 91 175 237 109 120 210 233 229 147 248 190 156 127 240 201 125 63 241 79 177 97 134 40 98 72 98 65 28 81 168 72 209 69 2 170 138 0 7 128 25 130 248 244 164 73 179 204 174 197 14 197 88 71 230 30 187 197 23 72 129 190 38 163 221 17 225 213 83 254 54 63 236 115 140 246 167 180 168 13 60 79 244 178 255 0 188 135 251 255 0 244 175 69 216 154 61 252 89 127 153 254 250 79 55 212 166 227 9 65 213 186 252 179 146 210 194 229 111 87 134 54 109 40 205 147 152 236 85 21 106 213 66 60 14 99 229 27 181 76 110 173 149 176 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 170 35 78 255 0 142 133 175 252 102 143 254 36 50 221 63 247 145 254 180 126 246 172 255 0 221 203 250 165 255 215 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 161 116 251 5 241 220 229 184 135 86 200 4 54 94 216 236 85 124 47 198 64 123 116 57 25 139 8 144 176 141 204 86 135 98 168 232 37 245 19 127 180 58 230 30 72 81 113 231 26 47 82 242 71 152 134 163 101 245 59 134 255 0 76 181 80 42 78 239 24 216 55 204 116 108 244 63 103 123 87 243 24 252 57 159 222 227 255 0 103 15 231 127 197 127 199 158 55 181 180 62 20 248 227 244 79 253 140 153 54 116 110 161 216 171 177 87 207 191 243 144 159 151 237 107 122 60 219 97 31 250 45 209 88 245 69 94 137 55 217 73 104 63 102 79 178 223 241 103 252 100 204 156 51 232 250 7 178 157 171 197 31 203 204 250 161 253 215 245 63 138 31 230 127 185 254 171 195 157 185 49 63 118 100 61 54 73 89 181 184 176 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 170 164 36 242 227 227 211 231 139 126 25 81 167 213 191 146 190 64 62 87 242 223 214 239 99 227 172 106 129 101 185 12 62 40 162 2 177 195 236 69 121 73 254 91 113 253 140 195 203 59 47 155 251 71 218 191 154 205 195 19 251 172 94 152 255 0 78 95 197 63 248 159 248 243 209 50 167 157 118 42 151 107 250 204 58 70 157 37 211 208 201 246 96 143 249 156 244 31 46 237 154 254 211 237 8 233 112 153 159 171 248 35 252 233 185 122 45 41 207 144 68 114 254 47 234 188 126 242 238 89 165 150 230 225 203 203 35 23 118 61 73 57 229 83 156 178 204 202 70 229 35 234 123 172 88 196 64 140 121 4 138 242 82 242 111 215 169 205 142 8 80 118 24 227 65 15 151 54 59 21 85 183 126 50 83 179 109 144 200 44 49 152 217 23 152 205 46 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 68 105 223 241 208 181 255 0 140 209 255 0 196 134 91 167 254 242 63 214 143 222 213 159 251 185 127 84 191 255 208 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 104 144 5 79 65 136 10 130 145 203 185 111 30 153 151 17 65 188 10 91 133 46 197 93 138 162 224 147 154 80 245 27 28 198 201 26 45 50 20 85 114 12 87 69 33 141 195 15 164 123 100 39 27 20 137 11 9 190 157 168 79 101 117 21 229 171 241 150 51 201 79 98 59 131 236 122 28 171 79 168 158 12 130 113 218 80 112 179 224 142 72 152 75 145 122 246 137 172 91 106 214 9 117 1 161 59 75 29 119 71 238 167 248 103 170 118 126 190 26 172 66 113 255 0 58 63 204 147 194 234 244 178 193 51 25 127 155 253 36 126 103 56 206 197 80 218 158 155 101 169 233 247 26 125 244 66 123 59 168 218 41 226 110 140 172 40 126 94 199 8 52 217 139 44 177 200 78 39 134 81 124 125 249 145 228 27 255 0 38 121 134 75 9 67 73 97 53 100 211 174 200 218 72 171 208 145 183 169 31 217 145 127 217 125 135 92 205 132 248 131 233 221 153 218 49 213 98 226 31 88 250 227 252 217 127 196 255 0 53 138 100 221 139 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 94 199 249 9 249 96 218 181 252 126 105 213 162 255 0 113 118 111 93 62 38 27 79 58 31 183 239 28 76 63 217 73 254 163 229 25 178 86 193 229 253 161 237 111 14 62 12 15 174 95 95 244 33 255 0 21 47 247 47 164 179 21 225 29 138 169 220 92 67 109 3 207 59 136 225 140 22 119 61 0 25 94 92 177 199 19 41 30 24 197 156 32 103 33 24 139 37 228 222 101 215 230 214 53 3 49 170 219 71 85 183 136 246 95 19 254 83 119 207 45 237 110 211 150 175 47 23 240 71 251 184 254 63 138 79 109 160 209 140 16 175 226 63 91 26 187 184 6 191 200 191 137 204 124 56 254 110 219 28 18 198 98 204 73 234 115 96 5 57 64 53 138 187 21 118 42 141 137 249 160 61 251 230 44 227 69 166 66 138 252 139 23 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 81 26 119 252 116 45 127 227 52 127 241 33 150 233 255 0 188 143 245 163 247 181 103 254 238 95 213 47 255 209 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 67 92 75 95 129 122 119 203 241 195 171 108 35 213 67 45 102 236 85 216 171 177 85 209 185 70 12 62 145 130 81 176 130 45 26 172 24 2 58 28 196 34 154 72 111 20 43 91 205 192 241 111 178 127 12 171 46 59 247 176 156 109 144 121 127 94 185 209 239 68 241 124 112 189 4 240 215 103 95 249 168 126 201 203 251 51 180 167 164 203 196 55 137 250 225 252 232 255 0 197 127 53 214 107 116 113 207 14 19 245 127 12 158 177 97 127 107 127 105 29 213 179 243 134 65 80 123 131 220 31 2 59 231 168 233 181 48 207 140 78 6 227 39 137 205 134 88 228 99 46 97 17 151 181 59 21 72 60 237 228 189 35 205 250 28 186 86 162 180 175 199 109 114 160 25 33 148 116 116 175 220 203 251 107 146 140 140 77 185 186 13 116 244 217 4 225 254 116 127 159 23 200 94 109 242 150 179 229 109 102 93 43 85 139 132 201 241 69 42 212 199 44 100 252 50 70 223 180 173 255 0 11 246 91 226 204 216 200 17 97 244 205 30 179 30 163 24 156 14 223 238 127 163 36 155 36 229 59 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 122 31 229 47 229 77 239 156 117 5 188 188 86 131 203 214 174 62 179 62 224 204 195 115 12 71 196 254 219 255 0 186 255 0 214 202 178 100 225 247 186 78 216 237 120 233 99 195 29 243 75 233 254 135 244 229 248 245 62 173 179 179 181 178 181 134 210 214 37 134 218 221 22 56 98 65 69 84 81 64 0 246 25 134 75 231 51 153 148 140 164 110 82 85 197 139 76 202 138 89 136 85 81 86 99 176 0 119 56 9 0 89 228 144 47 96 243 47 56 121 169 181 73 190 169 106 196 88 68 122 244 245 88 126 209 255 0 39 249 71 251 44 243 142 221 237 163 169 151 135 15 238 99 255 0 75 37 252 239 234 255 0 55 253 51 215 246 95 103 120 35 138 95 222 31 246 12 70 230 122 85 20 255 0 172 115 73 139 31 82 239 33 30 169 84 242 243 106 15 178 51 99 142 20 229 198 52 165 150 50 118 42 236 85 216 170 248 100 224 223 228 158 185 25 198 195 25 11 70 2 8 168 233 152 173 45 226 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 81 26 119 252 116 45 127 227 52 127 241 33 150 233 255 0 188 143 245 163 247 181 103 254 238 95 213 47 255 210 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 174 197 93 138 168 79 61 62 21 59 247 57 108 49 245 45 145 138 27 47 108 118 42 236 85 216 171 177 87 98 170 144 202 80 239 186 158 163 33 56 91 25 70 209 96 130 42 13 70 99 17 77 77 226 132 69 188 244 162 55 78 199 195 40 203 142 247 13 115 135 86 69 229 207 49 221 104 215 92 150 178 90 72 71 175 5 122 255 0 148 190 12 51 55 178 123 90 122 73 216 245 99 151 215 15 247 209 254 155 170 215 104 99 168 143 116 199 211 39 169 233 250 141 166 161 104 151 86 174 30 39 31 72 61 195 14 196 103 166 105 117 88 243 192 78 7 138 37 227 51 224 150 41 24 200 81 68 230 67 83 177 86 59 231 143 34 232 126 113 210 26 195 83 142 146 165 77 157 226 15 222 193 33 31 105 79 117 63 182 135 225 127 248 22 201 66 102 37 206 208 118 134 77 44 248 161 254 116 127 134 111 148 60 243 228 29 123 201 218 161 179 212 162 229 3 146 109 47 144 31 74 101 29 212 246 97 251 113 159 137 127 225 179 54 19 18 125 31 65 218 56 245 80 226 129 223 248 161 252 80 252 127 57 141 228 156 231 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 211 127 42 255 0 38 53 47 53 201 30 167 170 171 217 121 121 77 68 159 102 91 154 118 134 163 100 254 105 127 224 62 47 177 86 76 181 203 155 160 237 126 220 134 156 112 67 215 155 253 142 63 235 255 0 196 190 160 211 180 235 29 54 198 11 11 8 18 218 206 217 4 112 65 24 162 170 140 196 38 223 62 203 150 89 36 101 35 197 41 34 48 48 91 36 145 198 141 36 140 17 20 85 153 141 0 3 185 39 35 41 8 139 38 128 76 98 73 161 205 230 254 110 243 131 106 37 172 172 73 75 16 105 35 244 50 145 255 0 26 123 103 158 246 231 111 29 71 238 241 109 139 248 191 219 127 227 143 89 217 157 150 49 122 231 253 231 251 143 248 243 14 184 184 224 56 175 218 238 124 51 159 199 142 247 46 250 16 180 174 121 235 85 83 183 115 155 28 120 250 151 46 49 80 203 89 187 21 118 42 236 85 216 171 177 85 88 102 225 240 183 217 253 89 92 225 108 101 27 69 2 8 168 233 152 237 45 226 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 168 141 59 254 58 22 191 241 154 63 248 144 203 116 255 0 222 71 250 209 251 218 179 255 0 119 47 234 151 255 211 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 236 85 216 171 177 87 98 173 51 5 21 38 131 16 45 32 33 165 184 39 100 216 120 247 203 225 142 185 182 70 10 57 107 55 98 174 197 93 138 187 21 118 42 236 85 216 170 232 229 100 59 116 238 50 50 136 40 49 180 92 114 163 244 59 248 102 60 160 67 81 137 11 242 44 85 224 184 227 240 191 217 236 124 50 140 152 175 112 215 56 95 36 243 68 215 175 180 139 145 53 179 86 54 167 171 9 251 14 61 253 252 27 47 236 254 210 203 164 159 20 57 127 28 63 134 110 191 87 163 134 120 212 185 255 0 12 191 154 245 29 15 204 26 126 177 111 234 91 55 25 84 126 246 6 251 104 127 138 255 0 149 158 147 217 221 167 139 87 11 129 245 127 20 63 138 63 143 231 60 110 175 69 60 18 169 114 254 25 38 89 177 113 29 138 160 117 189 15 73 215 52 233 116 221 86 213 46 236 166 31 28 82 14 253 153 72 248 149 135 236 186 252 75 132 18 57 55 96 212 79 20 196 224 120 100 31 57 126 98 126 64 235 122 33 146 255 0 203 162 77 87 74 21 102 183 2 183 80 143 117 95 239 151 252 164 28 191 200 253 172 202 134 96 121 189 207 102 251 69 143 47 167 47 238 231 252 239 242 114 255 0 136 121 41 4 18 8 161 29 70 92 244 142 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 137 211 180 221 67 83 189 138 203 79 183 146 234 238 99 198 40 34 82 204 79 200 98 77 48 203 150 56 226 101 35 195 16 247 223 203 111 249 199 168 44 218 45 83 205 252 110 46 69 30 45 37 72 104 144 245 253 251 13 164 111 248 173 127 119 254 84 153 141 60 221 3 198 118 167 180 134 87 12 30 152 255 0 170 127 23 249 159 205 255 0 117 253 87 183 34 34 34 162 40 84 80 2 168 20 0 13 128 0 102 59 201 147 109 226 132 61 254 161 103 97 108 215 55 114 8 162 94 231 169 62 0 119 57 70 167 85 143 4 12 242 30 24 134 220 56 103 146 92 49 22 94 103 230 111 55 93 106 238 97 138 176 88 41 248 98 174 239 78 133 233 255 0 17 207 57 237 126 220 158 168 240 199 209 135 249 191 207 254 191 252 75 215 104 59 50 56 5 159 86 79 231 127 55 250 172 94 230 237 35 4 3 191 115 225 154 156 88 76 157 204 49 218 85 45 195 61 64 216 119 241 57 177 134 48 28 168 194 148 178 198 110 197 93 138 187 21 118 42 236 85 216 171 177 85 72 166 100 219 170 248 100 37 0 88 202 54 137 73 17 199 194 126 142 249 143 40 144 212 69 47 192 135 98 174 197 93 138 187 21 118 42 236 85 216 170 251 27 133 26 149 170 174 231 214 143 126 223 104 102 86 155 25 241 35 127 206 12 115 67 247 114 254 169 127 255 212 146 106 23 84 212 174 131 15 247 116 155 143 245 142 121 134 163 23 239 37 95 206 47 168 96 135 238 227 253 80 164 179 68 127 106 159 61 179 24 192 134 102 37 120 32 244 53 200 211 22 241 86 137 3 169 166 52 154 88 211 196 63 106 191 45 242 99 25 41 17 42 77 116 127 100 125 39 38 49 119 178 16 81 102 102 53 99 92 180 0 27 0 107 10 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 170 151 14 187 31 136 123 245 202 229 140 22 38 1 89 110 99 61 118 249 229 103 17 96 96 81 16 93 133 219 144 101 240 175 76 163 38 27 247 181 79 29 166 118 87 179 219 202 151 54 146 152 229 67 85 117 52 35 40 197 151 38 25 137 68 152 78 46 46 92 66 67 134 66 195 208 124 189 231 235 107 144 182 250 165 45 231 232 39 27 70 223 235 127 33 255 0 133 206 227 178 253 166 134 74 134 127 68 255 0 159 254 78 95 241 31 238 63 170 242 250 222 198 148 61 88 253 81 254 111 241 127 199 153 122 178 178 134 82 10 145 80 70 224 131 157 88 32 139 14 136 138 118 21 118 42 193 252 239 249 61 228 239 54 23 184 158 3 99 170 53 79 233 11 90 43 177 241 149 62 196 190 229 135 169 255 0 22 101 144 200 67 183 208 118 214 125 54 192 241 195 249 147 255 0 123 252 215 132 249 183 242 31 207 58 19 60 182 144 13 102 197 106 68 214 96 153 64 255 0 46 3 251 202 255 0 198 63 85 127 202 204 136 230 5 236 52 126 208 233 243 109 35 225 75 250 127 79 250 127 167 253 55 11 206 164 142 72 228 104 228 82 146 33 33 209 129 4 17 212 16 114 215 120 8 34 194 220 85 216 171 177 87 98 174 197 93 138 187 21 118 42 139 211 52 157 83 84 186 91 77 54 210 107 203 150 233 12 8 210 55 206 138 14 222 248 9 1 175 46 104 99 28 83 34 17 254 147 214 124 161 255 0 56 221 175 223 148 184 243 37 202 233 118 198 132 218 196 86 91 150 30 4 138 197 31 252 148 255 0 83 41 150 113 209 230 245 190 211 226 134 216 135 137 47 231 125 48 255 0 138 151 251 23 186 249 87 201 62 89 242 181 175 213 244 91 36 183 44 0 154 115 241 77 37 63 158 67 241 55 250 191 103 249 87 49 229 50 121 188 134 175 95 155 81 43 201 46 47 232 255 0 12 127 205 79 50 46 27 177 84 131 95 243 142 155 165 6 137 8 185 189 27 122 40 118 83 254 91 118 255 0 87 237 102 139 180 251 123 14 154 226 63 121 151 249 145 254 31 235 203 253 239 212 236 244 93 151 147 54 231 209 15 231 127 196 188 223 87 214 175 181 57 205 197 236 181 227 94 9 209 16 120 40 207 63 214 107 179 106 167 197 51 197 252 216 255 0 12 127 171 23 172 211 105 33 134 60 48 31 241 82 72 46 181 50 106 144 108 59 191 127 163 37 135 75 91 201 217 99 193 212 165 229 139 26 147 83 153 160 83 145 78 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 184 18 13 70 199 21 86 75 151 27 55 196 63 28 172 226 29 24 24 42 173 196 71 189 62 121 81 198 88 24 21 225 212 244 32 228 72 40 165 216 16 213 64 235 138 173 50 198 58 176 201 8 20 240 149 54 186 81 246 69 114 99 17 234 204 65 69 229 119 234 118 240 25 108 96 3 49 16 21 180 207 248 233 90 127 198 104 255 0 226 99 47 193 245 199 250 193 175 81 253 220 191 171 47 185 255 213 60 212 255 0 227 165 119 255 0 25 164 255 0 137 156 243 108 255 0 92 191 172 95 84 211 255 0 119 31 234 199 238 67 101 77 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 190 25 228 133 185 70 104 123 248 31 158 66 120 196 133 22 50 136 60 211 75 109 70 41 104 175 240 63 191 67 242 57 175 203 166 49 220 110 28 89 225 35 147 36 209 60 213 170 233 36 36 79 234 219 87 123 121 42 87 253 143 117 250 51 55 179 251 107 62 151 104 158 40 127 169 203 233 255 0 55 249 174 171 87 217 216 179 238 69 75 249 209 103 154 63 157 52 109 70 136 239 245 91 147 254 234 148 128 9 255 0 37 254 201 255 0 133 108 238 52 30 208 105 245 27 19 225 79 249 179 255 0 123 63 167 253 204 158 107 85 217 89 113 110 7 28 127 157 31 248 148 255 0 55 142 177 216 171 177 84 155 95 242 103 149 124 194 133 117 157 46 222 241 136 167 172 233 73 64 255 0 38 85 227 34 255 0 177 124 144 145 28 156 173 62 187 54 31 238 229 40 255 0 185 255 0 75 244 188 223 91 255 0 156 103 242 165 215 39 210 117 11 173 57 207 68 147 141 204 67 228 15 9 62 249 114 209 156 245 119 216 61 169 205 31 174 49 201 254 194 95 241 63 236 88 86 165 255 0 56 207 231 40 9 54 23 246 87 136 58 6 105 33 115 254 196 171 39 252 148 203 6 112 237 113 123 83 128 253 81 156 62 82 252 127 165 99 183 95 145 127 154 22 231 254 56 254 178 214 129 226 158 221 129 250 61 64 223 240 185 47 22 46 116 59 127 71 47 227 175 243 103 255 0 18 128 255 0 149 73 249 147 255 0 82 253 215 220 191 215 15 137 30 246 239 229 157 39 250 164 87 71 249 65 249 149 35 5 93 2 228 19 252 220 20 125 236 192 99 226 71 189 7 182 180 131 252 164 83 75 47 200 47 204 235 146 61 77 54 59 85 52 248 166 184 135 161 241 17 180 141 255 0 11 145 57 162 227 207 218 45 36 121 72 203 250 177 151 251 238 22 79 165 127 206 48 107 210 21 58 174 179 109 106 189 89 109 146 73 219 229 87 244 6 68 231 29 3 175 205 237 94 49 244 66 82 254 183 163 254 45 157 104 63 243 142 254 65 211 138 201 124 46 53 105 71 81 113 39 8 235 236 145 112 251 157 223 43 57 164 93 70 163 218 93 76 246 143 14 49 253 31 171 253 155 209 52 189 27 73 210 109 133 174 153 103 13 149 184 255 0 117 91 198 177 169 35 185 10 5 79 185 202 137 37 209 229 207 60 134 230 76 207 244 145 152 26 157 138 165 154 183 153 52 141 45 79 214 103 6 81 210 4 248 164 63 71 111 246 89 173 215 118 182 159 76 61 114 245 127 50 62 169 254 63 172 230 105 180 25 115 125 35 111 231 127 11 4 214 252 245 169 223 242 134 215 253 14 216 237 69 63 188 97 238 221 191 216 231 19 218 62 210 102 207 113 135 238 177 255 0 71 251 201 127 159 255 0 18 244 154 78 199 199 143 121 126 242 95 236 127 210 177 59 139 200 96 251 70 175 252 163 174 104 241 225 148 253 206 234 24 204 146 155 155 185 103 63 17 162 118 65 211 54 56 176 198 28 185 185 144 198 34 163 150 179 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 84 78 153 255 0 29 43 79 248 205 31 252 76 101 184 62 184 255 0 88 53 106 63 187 151 245 101 247 63 255 214 60 212 255 0 227 165 119 255 0 25 164 255 0 137 156 243 108 255 0 92 191 172 95 84 211 255 0 119 31 234 199 238 67 101 77 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 87 44 110 221 20 156 6 64 32 144 188 91 72 122 208 100 14 80 199 140 46 250 171 127 48 193 226 133 227 107 234 173 252 195 31 20 47 26 211 111 40 237 95 150 72 100 9 227 11 25 89 122 130 50 96 130 200 22 177 87 98 174 197 93 138 187 21 118 42 236 85 17 111 127 60 52 21 230 159 202 127 129 202 50 105 227 47 34 215 60 66 73 148 23 246 242 237 94 13 252 173 183 227 152 57 52 242 143 155 139 44 68 39 218 95 154 53 173 54 139 111 112 90 17 254 232 151 227 79 160 29 215 253 137 204 221 31 108 106 116 251 66 87 31 230 79 215 15 248 239 249 174 187 81 217 248 114 253 67 127 231 71 234 101 186 111 230 69 140 148 75 251 118 129 187 201 31 198 159 50 54 97 255 0 15 157 78 147 218 204 114 219 44 76 15 243 163 235 135 252 87 251 183 71 159 176 166 55 129 226 254 183 167 241 254 197 146 88 235 90 77 240 31 84 186 142 82 127 96 53 31 254 4 209 191 12 232 116 253 161 131 55 247 115 140 191 221 127 164 250 157 78 109 38 92 127 84 76 81 185 152 227 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 168 93 95 217 90 39 59 169 227 129 123 25 24 45 126 85 202 51 106 113 226 23 57 70 31 214 45 152 240 206 102 162 12 189 204 119 81 252 195 209 173 193 91 85 123 201 7 74 14 9 255 0 4 194 191 114 230 131 85 237 78 159 30 208 188 178 255 0 73 15 244 210 255 0 136 118 184 59 19 52 190 170 198 63 211 75 241 254 115 20 213 60 239 174 95 114 68 144 90 194 127 98 29 141 61 223 237 125 220 115 152 214 123 69 169 205 176 62 20 127 218 255 0 226 254 175 247 46 235 79 217 24 113 238 71 28 191 165 255 0 18 198 238 47 33 140 147 35 213 206 228 117 98 115 79 12 82 153 183 109 12 100 242 75 110 53 57 95 225 143 247 107 227 223 51 113 233 98 57 238 228 195 0 28 208 100 146 106 122 230 83 123 177 87 98 174 197 93 138 187 21 118 42 185 98 145 186 41 200 153 128 131 32 188 90 200 122 208 100 78 80 199 140 46 250 171 127 48 193 226 133 227 104 218 191 98 49 241 66 241 173 54 242 142 213 249 100 134 64 158 48 166 84 131 66 41 243 201 130 201 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 84 78 153 255 0 29 43 79 248 205 31 252 76 101 184 62 184 255 0 88 53 106 63 187 151 245 101 247 63 255 215 60 212 255 0 227 165 119 255 0 25 164 255 0 137 156 243 108 255 0 92 191 172 95 84 211 255 0 119 31 234 199 238 67 101 77 174 197 93 138 187 21 118 42 236 85 216 171 177 85 72 224 119 223 162 248 228 37 144 6 38 84 136 72 35 94 213 62 39 41 57 9 107 50 37 83 32 197 216 171 177 87 98 174 197 90 32 29 142 248 170 147 219 35 125 159 132 254 25 100 114 144 204 76 161 222 55 67 241 15 167 46 140 129 108 6 214 228 146 236 85 216 171 177 87 98 174 197 93 138 171 67 119 113 22 202 223 15 242 157 198 85 60 49 151 48 194 88 193 70 69 171 41 218 84 167 186 239 248 102 44 244 103 161 104 150 159 185 25 21 212 18 125 135 21 240 232 127 28 198 150 41 71 152 105 150 50 57 132 218 211 204 90 229 165 61 11 217 85 71 69 102 230 191 240 47 201 115 51 7 106 234 113 125 57 37 254 238 63 233 102 225 101 208 225 159 213 24 255 0 185 255 0 114 155 219 254 98 107 209 237 42 195 56 238 89 10 159 248 82 163 240 205 174 47 106 181 81 250 132 39 254 111 252 67 131 62 195 192 121 113 71 241 253 36 194 31 204 214 233 54 158 15 186 75 79 192 169 253 121 159 15 107 207 241 99 255 0 75 63 248 235 139 47 103 199 73 255 0 177 253 168 164 252 203 211 72 248 237 38 7 216 169 253 100 102 76 125 174 195 214 19 255 0 98 210 123 3 39 73 71 237 85 95 204 157 22 159 21 189 200 111 0 177 145 255 0 19 25 96 246 183 77 214 57 62 80 255 0 139 96 123 7 55 124 63 217 127 196 169 183 230 94 151 79 134 210 114 123 3 192 127 19 144 62 215 97 233 9 255 0 177 253 108 135 96 228 254 116 126 212 60 191 153 201 254 234 211 201 247 121 105 248 5 57 143 63 107 199 240 227 255 0 77 63 248 235 108 125 159 61 103 254 199 254 60 128 184 252 200 214 31 104 96 130 33 226 67 49 252 72 31 240 185 131 151 218 205 65 250 99 8 255 0 166 151 233 114 161 216 88 135 51 41 37 55 126 108 243 21 208 34 75 217 21 79 104 169 31 252 64 46 107 51 118 222 175 39 60 146 31 212 253 223 251 142 23 55 31 102 224 135 40 143 243 189 127 238 146 105 238 211 145 121 165 171 158 165 141 88 255 0 28 215 112 206 102 247 147 159 12 125 0 66 75 170 194 187 70 165 207 143 65 151 195 71 35 207 102 232 224 61 80 115 106 23 50 109 203 130 248 46 223 142 101 67 77 8 249 183 71 12 66 27 47 109 118 42 236 85 216 171 177 87 98 174 197 85 99 183 102 221 190 17 248 229 114 200 3 3 52 66 69 26 116 27 248 156 164 204 150 6 68 175 200 177 118 42 236 85 216 171 177 86 136 4 80 138 140 65 85 23 182 83 186 236 124 59 101 177 202 122 179 19 67 186 50 26 48 166 92 36 11 96 54 214 20 187 21 118 42 236 85 216 171 177 87 98 174 197 81 58 103 252 116 173 63 227 52 127 241 49 150 224 250 227 253 96 213 168 254 238 95 213 151 220 255 0 255 208 61 213 145 151 83 187 7 253 253 37 63 224 142 121 174 99 115 151 245 139 234 122 115 251 184 255 0 84 125 200 92 173 185 216 171 177 87 98 174 197 93 138 187 174 42 137 138 220 15 137 247 62 30 25 68 242 119 53 74 106 249 83 7 98 174 197 93 138 187 21 118 42 236 85 216 171 177 86 136 4 80 238 49 5 80 211 64 87 226 93 215 184 240 204 136 100 190 109 177 146 142 88 205 216 171 177 87 98 174 197 93 138 187 21 84 138 18 230 189 23 199 33 57 211 25 74 145 74 138 162 138 40 51 28 146 90 137 181 234 238 191 101 136 249 100 12 65 98 64 84 23 51 14 245 249 140 129 197 22 60 1 112 188 126 234 50 62 0 71 134 23 125 119 252 143 199 251 48 120 30 104 240 155 250 224 254 79 199 7 129 230 190 19 95 93 255 0 35 241 254 204 62 7 154 248 77 27 199 236 163 15 128 19 225 133 134 234 99 220 15 144 201 12 49 79 134 22 52 178 55 86 57 49 0 58 50 17 10 18 194 175 184 217 188 114 216 78 153 198 84 133 101 42 104 69 14 100 131 109 192 181 138 187 21 118 42 236 85 216 171 177 87 0 73 160 220 156 73 82 81 113 64 19 115 187 126 172 199 158 75 106 148 173 87 43 96 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 211 42 176 161 21 24 65 164 130 132 150 18 155 141 215 50 33 59 109 140 173 79 38 201 216 171 177 87 98 174 197 93 138 184 2 77 7 92 85 50 210 45 194 234 22 165 183 111 90 61 188 62 33 145 197 146 242 70 191 157 31 189 197 212 207 247 114 254 169 127 255 209 148 234 177 171 223 221 3 254 254 146 135 253 145 207 44 205 42 203 47 235 75 239 125 55 78 106 17 254 168 74 157 74 177 83 212 101 128 219 150 13 181 133 46 197 93 138 187 21 118 42 138 130 30 35 147 125 175 213 152 249 39 123 6 169 74 213 178 182 14 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 66 207 15 31 137 126 207 113 225 151 227 157 236 91 99 37 28 181 155 177 87 98 174 197 93 138 170 67 17 118 223 236 142 167 33 57 211 25 74 145 96 0 40 54 3 49 137 105 111 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 78 88 131 175 249 67 161 201 66 116 202 50 164 25 4 26 29 136 204 160 91 157 138 187 21 118 42 236 85 192 18 104 58 226 168 200 98 8 42 126 209 234 115 26 115 182 153 74 213 50 12 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 104 128 69 15 76 85 9 52 92 13 71 217 57 147 9 219 116 101 106 121 54 78 197 93 138 187 21 118 42 138 134 16 131 145 251 71 240 204 121 206 218 165 43 71 105 223 241 208 181 255 0 140 209 255 0 196 134 29 63 247 145 254 180 126 247 31 63 247 114 254 169 127 255 210 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 10 120 249 173 71 218 29 50 56 229 69 190 38 144 153 146 220 236 85 216 171 177 85 107 104 234 121 158 131 167 207 42 201 42 217 132 202 43 40 106 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 86 136 4 80 244 56 170 10 88 248 61 59 118 204 168 74 195 124 77 173 201 37 216 171 177 86 213 75 48 81 212 224 38 148 148 106 32 69 10 59 102 44 141 150 130 109 118 4 59 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 170 133 204 117 28 199 81 215 229 150 226 151 70 112 40 108 189 181 216 171 177 87 98 168 139 104 246 230 126 140 167 44 186 53 204 244 68 101 45 110 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 211 40 101 32 244 56 65 164 130 129 116 40 197 79 108 202 137 176 220 13 181 133 46 197 93 138 171 219 71 83 204 244 29 50 172 178 232 194 103 162 39 40 106 68 105 223 241 208 181 255 0 140 209 255 0 196 134 91 167 254 242 63 214 143 222 213 159 251 185 127 84 191 255 211 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 65 206 156 95 110 135 113 153 56 229 97 186 38 194 158 77 147 177 87 40 36 128 58 156 73 165 40 245 80 170 20 116 25 136 77 150 130 91 192 135 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 165 112 156 146 189 215 124 158 57 81 101 3 69 9 153 45 206 197 93 138 162 45 83 98 231 190 195 41 203 46 141 115 61 17 25 75 91 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 129 149 56 57 29 187 102 84 101 97 190 38 194 220 146 93 138 174 141 57 184 95 30 184 36 104 32 154 70 128 0 160 232 51 17 161 188 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 168 92 165 87 144 234 58 252 178 220 82 232 206 5 13 151 182 187 21 109 84 179 0 58 156 4 210 146 142 85 10 0 29 6 98 19 109 4 183 138 17 26 119 252 116 45 127 227 52 127 241 33 150 233 255 0 188 143 245 163 247 181 103 254 238 95 213 47 255 212 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 82 185 90 199 94 235 190 89 136 238 206 7 116 38 100 54 187 21 86 181 90 185 111 12 175 41 217 132 206 200 172 199 106 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 160 100 94 46 87 192 230 92 77 134 240 108 45 194 151 1 83 76 85 28 171 197 66 248 102 33 54 90 9 93 129 14 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 170 133 210 252 33 188 54 57 110 35 209 178 5 13 151 182 59 21 68 90 175 86 250 6 83 148 244 107 153 68 101 45 110 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 68 2 8 61 14 32 210 160 8 161 32 246 204 192 92 135 98 170 214 171 86 45 225 252 114 172 167 106 97 50 138 202 26 157 138 162 52 239 248 232 90 255 0 198 104 255 0 226 67 45 211 255 0 121 31 235 71 239 106 207 253 220 191 170 95 255 213 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 105 133 84 143 17 132 26 41 8 12 203 111 118 42 138 182 20 142 190 39 49 242 157 218 167 205 91 43 96 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 66 221 10 56 62 35 50 49 29 155 97 201 71 44 102 190 17 89 87 239 251 178 51 59 49 151 36 110 98 180 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 86 76 43 27 15 106 253 217 40 26 44 163 205 5 153 77 206 197 81 144 10 68 61 247 204 108 135 118 153 115 84 200 49 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 160 238 5 37 62 251 230 78 51 179 116 57 41 228 217 34 173 133 35 175 137 204 124 167 118 169 243 86 202 216 59 21 68 105 223 241 208 181 255 0 140 209 255 0 196 134 91 167 254 242 63 214 143 222 213 159 251 185 127 84 191 255 214 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 128 113 71 97 238 115 44 114 114 3 88 85 25 0 164 75 152 185 57 180 203 154 166 69 139 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 15 118 54 83 243 203 176 182 99 67 229 205 138 182 195 247 159 33 149 229 228 194 124 145 121 142 212 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 104 138 130 49 10 128 204 199 33 216 170 57 5 17 71 176 204 73 115 104 60 215 96 67 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 11 116 62 48 125 178 252 92 155 97 201 71 45 102 141 132 82 37 249 102 44 249 180 203 154 252 139 23 98 168 141 59 254 58 22 191 241 154 63 248 144 203 116 255 0 222 71 250 209 251 218 179 255 0 119 47 234 151 255 215 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 128 147 251 198 249 156 203 143 38 241 201 172 41 70 195 253 210 252 179 22 124 218 101 205 126 69 139 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 66 239 236 175 207 45 194 217 141 13 151 182 43 90 255 0 120 126 95 199 43 203 201 132 249 34 179 29 169 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 47 204 199 33 216 170 61 126 200 249 102 33 230 208 91 192 135 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 170 26 235 237 47 203 47 197 201 182 10 25 107 52 108 95 221 175 203 49 103 204 180 75 154 252 138 29 138 162 52 239 248 232 90 255 0 198 104 255 0 226 67 45 211 255 0 121 31 235 71 239 106 207 253 220 191 170 95 255 208 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 118 42 151 147 82 79 142 102 7 33 216 170 46 220 214 33 237 152 217 6 237 51 230 171 144 98 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 67 93 157 212 124 242 236 33 179 26 134 92 216 169 110 105 40 247 200 100 27 49 159 36 102 99 52 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 86 185 162 49 240 7 12 70 233 28 208 57 150 222 236 85 27 17 172 106 125 179 22 99 118 137 115 95 145 67 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 9 114 107 37 60 6 100 98 27 54 195 146 150 88 205 25 1 172 75 152 217 6 237 50 230 169 144 98 236 85 17 167 127 199 66 215 254 51 71 255 0 18 25 110 159 251 200 255 0 90 63 123 86 127 238 229 253 82 255 0 255 209 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 89 51 113 141 143 181 62 252 148 5 150 81 27 160 179 41 185 216 170 34 213 182 101 250 114 156 163 171 92 194 35 41 107 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 160 238 26 178 159 109 179 39 24 160 221 1 178 158 77 147 104 220 92 31 3 128 139 8 33 31 152 141 14 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 85 43 134 164 100 120 237 147 198 55 103 1 186 19 50 91 93 138 162 173 154 177 211 192 230 62 81 187 84 198 234 217 91 7 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 170 6 86 229 35 31 124 203 136 160 223 17 178 220 41 68 218 183 194 87 195 124 163 40 234 215 48 175 149 53 187 21 68 105 223 241 208 181 255 0 140 209 255 0 196 134 91 167 254 242 63 214 143 222 213 159 251 185 127 84 191 255 210 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 31 42 109 67 221 63 68 250 78 93 136 117 108 128 67 229 205 142 197 87 194 252 36 7 183 67 145 152 176 137 11 8 220 197 104 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 86 187 5 82 222 24 98 44 164 11 64 147 83 92 203 111 118 42 236 85 25 3 242 140 120 141 142 99 100 20 90 100 40 170 100 24 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 168 91 151 171 241 236 191 175 50 49 13 155 96 54 81 203 25 187 21 85 183 126 50 83 179 109 149 228 22 24 204 108 139 204 118 151 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 100 207 198 50 123 244 25 40 11 44 162 44 160 179 41 185 216 170 248 95 140 128 246 59 28 140 197 134 50 22 17 185 138 210 236 85 17 167 127 199 66 215 254 51 71 255 0 18 25 110 159 251 200 255 0 90 63 123 86 127 238 229 253 82 255 0 255 211 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 25 152 42 150 61 6 86 5 183 0 129 102 44 197 143 83 153 64 80 111 2 154 194 174 197 93 138 162 224 147 154 80 253 161 215 49 178 70 139 76 133 42 228 24 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 84 53 204 149 60 7 110 185 126 40 245 109 128 234 161 150 179 118 42 236 85 82 9 56 62 253 14 199 33 146 54 24 200 88 70 102 51 75 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 89 35 132 66 223 118 24 198 202 64 180 17 36 154 158 167 50 219 221 138 187 21 118 42 141 138 78 104 15 126 249 139 56 209 105 144 162 191 34 197 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 93 138 161 46 36 228 244 29 23 245 230 70 56 208 110 128 82 203 25 59 21 118 42 140 130 78 105 191 218 27 28 198 201 26 45 50 20 85 50 12 81 26 119 252 116 45 127 227 52 127 241 33 150 233 255 0 188 143 245 163 247 181 103 254 238 95 213 47 255 212 149 234 63 241 208 186 255 0 140 210 127 196 142 121 86 163 251 201 127 90 95 123 233 152 63 187 143 245 66 89 113 47 35 196 125 145 248 228 241 194 156 168 70 148 178 198 110 197 93 138 187 21 93 27 148 96 195 233 193 40 216 65 22 141 86 12 160 142 135 49 72 166 146 41 188 8 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 170 156 210 132 95 242 143 65 147 132 108 178 140 109 6 73 38 167 174 100 183 59 21 118 42 236 85 216 170 42 222 94 67 137 251 67 167 190 81 146 21 187 84 226 173 149 48 118 42 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 93 49 84 36 210 243 109 190 200 233 153 48 141 6 232 198 148 242 108 157 138 187 21 118 42 190 41 10 53 123 30 163 35 56 216 68 133 163 1 4 84 116 57 138 67 67 120 171 177 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 84 103 151 128 226 62 209 252 50 204 112 182 113 141 161 115 33 181 216 171 177 87 98 171 163 114 141 81 244 140 18 141 132 17 104 213 96 192 17 184 57 136 69 52 144 137 211 191 227 161 107 255 0 25 163 255 0 137 12 183 79 253 228 127 173 31 189 167 63 247 114 254 169 127 255 213 145 235 19 215 80 186 69 255 0 127 73 83 254 200 231 152 228 199 251 201 19 252 233 125 239 168 105 163 232 137 254 136 75 241 114 93 138 187 21 118 42 236 85 216 170 248 165 40 124 84 245 25 25 194 216 202 54 140 86 12 42 13 70 99 17 77 68 55 129 14 197 93 138 187 21 118 42 236 85 216 171 177 87 98 174 197 86 73 42 160 223 175 97 146 140 109 144 141 160 217 139 53 79 92 201 2 155 64 166 176 165 216 171 177 87 98 174 197 92 9 6 163 168 197 81 112 204 28 80 236 223 175 49 231 10 106 148 105 87 43 96 236 85 216 171 177 87 98 174 197 93 138 187 21 118 42 236 85 162 64 220 226 168 105 167 229 240 175 217 253 121 145 8 86 229 182 49 165 28 177 155 177 87 98 174 197 93 138 187 21 85 134 98 134 135 236 254 172 174 112 182 50 141 162 129 4 84 110 51 28 134 150 241 87 98 174 197 93 138 187 21 118 42 236 85 216 171 177 87 98 170 114 204 16 80 110 221 134 78 16 182 81 141 160 201 36 212 238 78 100 128 220 236 85 216 171 177 87 98 174 197 85 33 148 161 241 83 212 100 39 11 99 40 218 103 166 48 107 251 82 13 71 171 31 252 72 100 48 10 201 31 235 71 239 113 115 143 68 191 170 95 255 214 60 212 255 0 227 165 119 255 0 25 164 255 0 137 156 243 108 255 0 92 191 172 95 84 211 255 0 119 31 234 199 238 67 101 77 174 197 93 138 187 21 118 42 236 85 216 170 228 145 144 212 125 35 4 162 10 8 180 84 115 35 251 31 3 152 242 129 13 70 36 42 100 24 187 21 118 42 236 85 216 171 177 87 98 174 197 84 36 185 81 178 110 124 123 101 177 197 222 204 65 12 88 177 169 53 57 120 20 218 3 177 87 98 174 197 93 138 187 21 118 42 236 85 216 170 34 43 158 207 255 0 5 148 203 23 115 92 161 220 174 8 34 160 212 101 36 53 183 138 187 21 118 42 236 85 216 171 177 87 98 171 30 68 65 185 223 195 190 74 49 37 32 90 22 89 153 246 232 190 25 124 96 3 108 99 75 50 108 157 138 187 21 118 42 236 85 216 171 177 87 98 171 227 149 144 237 184 238 50 50 128 40 49 180 84 114 163 244 59 248 102 60 160 67 81 137 11 242 44 93 138 187 21 118 42 236 85 216 171 177 86 137 0 84 236 49 85 9 46 123 39 223 151 71 23 123 96 135 122 28 146 77 79 92 185 177 216 171 177 87 98 174 197 93 138 187 21 118 42 139 210 100 100 212 173 105 208 205 29 71 251 33 150 98 136 51 143 245 131 78 164 94 57 127 84 191 255 215 159 223 255 0 189 215 31 241 200 254 245 254 215 218 251 71 175 190 113 25 126 179 253 207 55 191 195 244 15 239 249 5 15 251 131 100 63 229 67 103 253 116 59 254 224 216 255 0 202 133 255 0 174 135 127 220 27 31 249 80 191 245 208 239 251 131 99 255 0 42 23 254 186 29 255 0 112 108 127 229 66 255 0 215 67 191 238 13 143 252 168 95 250 232 119 253 193 177 255 0 149 11 255 0 93 14 255 0 184 54 63 242 161 127 235 161 223 247 6 199 254 84 47 253 116 34 211 236 143 248 228 230 57 231 255 0 33 218 143 252 151 111 254 225 56 63 235 157 31 242 189 223 247 9 199 254 185 215 254 87 187 254 225 56 255 0 215 58 255 0 202 247 127 220 39 31 250 231 95 249 94 239 251 132 227 255 0 92 235 255 0 43 221 255 0 112 156 127 235 157 127 229 122 156 255 0 103 254 149 31 79 76 158 62 127 242 29 148 127 228 186 31 254 224 217 119 252 168 108 255 0 174 135 127 220 27 31 249 80 191 245 208 239 251 131 99 255 0 42 23 254 186 29 255 0 112 108 127 229 66 255 0 215 67 191 238 13 143 252 168 95 250 232 119 253 193 177 255 0 149 11 255 0 93 14 255 0 184 54 63 242 161 127 235 161 223 247 6 199 254 84 47 253 116 59 254 224 216 255 0 202 133 255 0 174 135 127 220 27 31 249 80 191 245 208 239 251 131 99 255 0 42 23 254 186 21 96 234 127 227 145 254 199 43 201 255 0 90 236 37 255 0 37 213 255 0 238 19 149 127 215 59 15 249 94 239 251 132 227 255 0 92 235 255 0 43 221 255 0 112 156 127 235 157 127 229 123 191 238 19 143 253 115 175 252 175 119 253 194 113 255 0 174 117 255 0 149 238 255 0 184 78 63 245 206 191 242 189 199 254 221 56 255 0 215 58 255 0 202 244 35 125 163 255 0 28 127 167 174 100 15 249 32 218 63 235 97 175 251 131 97 255 0 149 9 255 0 174 135 127 220 27 31 249 80 191 245 208 239 251 131 99 255 0 42 23 254 186 29 255 0 112 108 127 229 66 255 0 215 67 191 238 13 143 252 168 95 250 232 119 253 193 177 255 0 149 11 255 0 93 14 255 0 184 54 63 242 161 127 235 161 223 247 6 199 254 84 47 253 116 59 254 224 216 255 0 202 133 255 0 174 135 127 220 27 31 249 80 191 245 208 216 234 63 227 141 244 96 255 0 149 11 255 0 93 8 161 208 127 199 39 49 255 0 235 157 167 254 87 183 255 0 112 156 127 235 157 127 229 123 191 238 19 143 253 115 175 252 175 119 253 194 113 255 0 174 117 255 0 149 238 255 0 184 78 63 245 206 191 242 189 223 247 9 199 254 185 215 254 87 187 254 225 56 255 0 215 58 255 0 202 245 27 142 223 241 200 250 122 101 152 255 0 235 93 156 127 228 186 143 253 193 178 223 249 80 207 254 186 29 255 0 112 108 127 229 66 255 0 215 67 191 238 13 143 252 168 95 250 232 119 253 193 177 255 0 149 11 255 0 93 14 255 0 184 54 63 242 161 127 235 161 223 247 6 199 254 84 47 253 116 59 254 224 216 255 0 202 133 255 0 174 135 127 220 27 31 249 80 191 245 208 239 251 131 99 255 0 42 23 254 186 21 236 63 222 235 127 248 228 127 122 159 103 237 125 161 211 223 39 139 235 31 220 243 107 205 244 31 239 249 23 255 217) asByteArray! !

!SgFilePool methodsFor: 'uploaded' stamp: 'HK 10/28/2010 14:30:30.173'!
reset

	self filenames do: [ :each |
		self removeFile: each
		]! !

!SgFilePool methodsFor: 'uploaded' stamp: 'HK 11/1/2010 22:09:17.79'!
styleCss
	^ '
	
	body {
		font-family: Verdana;
	}
	
	.message {
		color: red;
		padding: 10px;
		border: 1px solid grey;
	}
	
	.label {
		display: table-cell;
		width: 200px;
	}'! !

Object subclass: #SgDatabaseUtil
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Util'!

!SgDatabaseUtil class methodsFor: 'as yet unclassified' stamp: 'HK 11/2/2010 18:11:33.081'!
resetDatabase

	SgUser findAll do: [ :each | each delete ].
	SgImage findAll do: [ :each | each delete ].
	SgGallery findAll do: [ :each | each delete ].
	SDActiveRecord warmUpAllClasses! !

Object subclass: #SgFileHandler
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Util'!

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:46:59.218'!
assureExistenceOfDefaultDirectory

	(self defaultDirectoryExists) ifFalse: [self createDefaultDirectory].! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:01:35.879'!
assureExistenceOfDirectories

	self 
		assureExistenceOfDefaultDirectory;
		assureExistenceOfImageDirectory.! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:46:51.707'!
assureExistenceOfImageDirectory

	(self imageDirectoryExists) ifFalse: [self createImageDirectory].! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:02:39.204'!
createDefaultDirectory

	FileDirectory default createDirectory: self defaultDirectoryName.! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:47:14.235'!
createImageDirectory

	self defaultDirectory createDirectory: self defaultImageDirectoryName! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:43:07.651'!
defaultDirectory

	^ FileDirectory default directoryNamed: self defaultDirectoryName! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:02:58.171'!
defaultDirectoryExists

	^ FileDirectory default directoryExists: self defaultDirectoryName! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 15:50:30.917'!
defaultDirectoryName

	^ 'SeasideGallery'! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 15:51:36.059'!
defaultFilePath

	^ self defaultDirectoryName, FileDirectory slash, self defaultImageDirectoryName! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:04:17.377'!
defaultImageDirectoryName

	^ 'Images'! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 17:26:55.589'!
fileNameExtensionFor: aFile

	| index fileName |
	fileName := aFile fileName.
	index := fileName reversed indexOfAnyOf: '.'.
	^ (fileName reversed truncateTo: index) reversed.! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 17:19:51.868'!
fileNameWithoutExtensionFor: aFile

	| index fileName |
	fileName := aFile fileName.
	index := fileName size - (fileName reversed indexOfAnyOf: '.').
	^ fileName truncateTo: index.! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:43:51.584'!
imageDirectory

	^ self defaultDirectory directoryNamed: self defaultImageDirectoryName! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:46:24.396'!
imageDirectoryExists

	^ self defaultDirectory directoryExists: self defaultImageDirectoryName! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'HK 11/3/2010 11:11:20.85'!
isFileTypeSupportedFor: aFile

	^ self supportedFileTypes includes: (aFile contentType greaseString)
	! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'HK 11/3/2010 11:14:53.418'!
openAsFormFileNamed: aString

	^ JPEGReadWriter2 formFromFileNamed: self class defaultFilePath, FileDirectory slash, aString! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'HK 11/2/2010 17:50:34.358'!
saveFile: aFile named: aString

	| filePath fileStream |
	filePath := self imageDirectory pathName, FileDirectory slash, aString.
	fileStream := StandardFileStream fileNamed: filePath.
	fileStream
		nextPutAll: (String fromByteArray: aFile contents);
		close.! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'HK 11/2/2010 16:30:56.322'!
supportedFileTypes

	^ Array
		with: 'image/gif'
		with: 'image/png'
		with: 'image/jpeg'! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'HK 11/2/2010 17:22:46.938'!
uniqueFileNameFor: aFile

	| baseFileName uniqueFileName extension i |
	baseFileName := self fileNameWithoutExtensionFor: aFile.
	extension := '.jpg'.
	(self imageDirectory fileExists: baseFileName, extension)
		ifFalse: [^ baseFileName, extension].
	i := 1.
	[uniqueFileName := baseFileName, i asString.
	self imageDirectory fileExists: uniqueFileName, extension] whileTrue: [i := i+1].
	^ uniqueFileName, extension! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'HK 11/2/2010 17:03:37.488'!
uniqueFileNameForFile: aFile

	| baseFileName uniqueFileName i |
	baseFileName := aFile fileName.
	(self imageDirectory fileExists: baseFileName) ifFalse: [^ baseFileName].
	i := 1.
	[uniqueFileName := baseFileName, i asString.
	self imageDirectory fileExists: uniqueFileName] whileTrue: [i := i+1].
	^ uniqueFileName ! !

!SgFileHandler class methodsFor: 'as yet unclassified' stamp: 'HK 11/3/2010 11:15:01.338'!
writeForm: aForm toFileNamed: aString 

	"ImageReadWriter putForm: aForm onFileNamed: self class defaultFilePath, aString."
	aForm writeOn: self class defaultFilePath, FileDirectory slash,, 'new_', aString! !

Object subclass: #SgInstaller
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Util'!

!SgInstaller class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 15:45:55.223'!
setup

	self 
		setupFileDirectory;
		setupApplication.! !

!SgInstaller class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 15:45:21.902'!
setupApplication

	| application |
	application := WAAdmin register: SgRootTask asApplicationAt: 'gallery'.
	application
		preferenceAt: #sessionClass put: SgSession;
		addLibrary: JQDeploymentLibrary;
		addLibrary: JQUiDeploymentLibrary! !

!SgInstaller class methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 16:01:05.825'!
setupFileDirectory

	SgFileHandler assureExistenceOfDirectories.! !

TestCase subclass: #SgFileHandlerTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Tests'!

!SgFileHandlerTest methodsFor: 'as yet unclassified' stamp: 'HK 11/2/2010 17:01:24.709'!
setup

	! !

!SgFileHandlerTest methodsFor: 'as yet unclassified' stamp: 'HK 11/2/2010 17:01:13.343'!
testUniqueFileName

	! !

WATask subclass: #SgRootTask
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgRootTask class methodsFor: 'as yet unclassified' stamp: 'HK 11/1/2010 22:05:05.61'!
canBeRoot

	^ true! !

!SgRootTask methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 15:12:43.317'!
go

	self session isLoggedIn
		ifTrue: [self call: SgRoot new]
		ifFalse: [self handleLogin]! !

!SgRootTask methodsFor: 'as yet unclassified' stamp: 'LT 11/2/2010 14:40:06.686'!
handleLogin

	| loginAnswer user |
	loginAnswer := self call: SgLogin new.
	loginAnswer = #registerUser 
		ifTrue: [user := self call: SgRegister new.]
		ifFalse: 
			[user := loginAnswer.
			self session login: user.
			self go].! !

WASession subclass: #SgSession
	instanceVariableNames: 'user'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SeasideGallery-Views'!

!SgSession methodsFor: 'accessing' stamp: 'LT 11/1/2010 11:40:20.637'!
isLoggedIn

	^ self user notNil! !

!SgSession methodsFor: 'accessing' stamp: 'HK 11/1/2010 22:21:22.625'!
login: aUser

	self user: aUser.
	Transcript show: 'logged in ' , aUser username! !

!SgSession methodsFor: 'accessing' stamp: 'LT 11/1/2010 11:39:58.831'!
logout

	self user: nil.! !

!SgSession methodsFor: 'accessing' stamp: 'HK 11/1/2010 10:12:21.321'!
user
	^ user! !

!SgSession methodsFor: 'accessing' stamp: 'HK 11/1/2010 10:12:21.331'!
user: anObject
	user := anObject! !
